2023-01-31  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: a49b3a5fcea13fe5bfbac9730e7c8144c619b81e
	Prepare for glibc 2.37 release.

	* include/features.h: Modified.
	(__GLIBC_MINOR__): Modified.
	* version.h: Modified.
	(RELEASE): Modified.
	(VERSION): Modified.

2023-01-31  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: b2c474f8de4c92bfe7435853a96805ec32d68dfa
	x86: Fix strncat-avx2.S reading past length [BZ #30065]

	* string/test-strncat.c: Modified.
	[! WIDE](STRNLEN): New.
	[WIDE](STRNLEN): New.
	(do_one_test): Modified function.
	(test_main): Modified function.
	(do_test_src_no_nullterm_bz30065): New function.
	* sysdeps/x86_64/multiarch/strncat-avx2.S: Modified.

2023-01-31  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: 5199024232eb9da46150c73af3a198185aa48aa6
	Update install.texi, and regenerate INSTALL.

	* INSTALL: Modified.
	* manual/install.texi: Modified.

2023-01-31  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: 1bcbb25882c2406bcde58e91ad0da03ec848ff70
	Update manual/contrib.texi.

	* manual/contrib.texi: Modified.

2023-01-31  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: 01b9668c34ffe150efaae02bf79e68a987c86480
	Update NEWS file with bug fixes.

	* NEWS: Modified.

2023-01-31  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: b01f9769004dc651f2174c1ba5154afc85d8b8a1
	Regenerate configure.

	* sysdeps/loongarch/configure: Modified.
	* sysdeps/mach/configure: Modified.

2023-01-31  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: 748e23afb5263631a61528f628562e707f072f9a
	Update all PO files in preparation for release.

	* po/be.po: Modified.
	* po/bg.po: Modified.
	* po/ca.po: Modified.
	* po/cs.po: Modified.
	* po/da.po: Modified.
	* po/de.po: Modified.
	* po/el.po: Modified.
	* po/eo.po: Modified.
	* po/es.po: Modified.
	* po/fi.po: Modified.
	* po/fr.po: Modified.
	* po/gl.po: Modified.
	* po/hr.po: Modified.
	* po/hu.po: Modified.
	* po/ia.po: Modified.
	* po/id.po: Modified.
	* po/it.po: Modified.
	* po/ja.po: Modified.
	* po/ka.po: Modified.
	* po/ko.po: Modified.
	* po/lt.po: Modified.
	* po/nb.po: Modified.
	* po/nl.po: Modified.
	* po/pl.po: Modified.
	* po/pt.po: Modified.
	* po/pt_BR.po: Modified.
	* po/ru.po: Modified.
	* po/rw.po: Modified.
	* po/sk.po: Modified.
	* po/sl.po: Modified.
	* po/sr.po: Modified.
	* po/sv.po: Modified.
	* po/tr.po: Modified.
	* po/uk.po: Modified.
	* po/vi.po: Modified.
	* po/zh_CN.po: Modified.
	* po/zh_TW.po: Modified.

2023-01-31  fanquake  <fanquake@gmail.com>

	COMMIT: 1423a26a488aae1c6fa7210e20c147a242f40f47
	doc: correct _FORTIFY_SOURCE doc in features.h

	* include/features.h: Modified.

2023-01-31  Florian Weimer  <fweimer@redhat.com>

	COMMIT: f5c65fa920d78cffe56fe4065f16241637808353
	libio: Update number of written bytes in dprintf implementation

	* libio/iovdprintf.c: Modified.
	(__printf_buffer_flush_dprintf): Modified function.
	* stdio-common/Makefile: Modified.
	* stdio-common/tst-dprintf-length.c: New file.

2023-01-30  Andreas Schwab  <schwab@suse.de>

	COMMIT: 2f39e44a8417b4186a7f15bfeac5d0b557e63e03
	Account for octal marker in %#o format

	* stdio-common/Makefile: Modified.
	* stdio-common/tst-printf-oct.c: New file.
	* stdio-common/vfprintf-process-arg.c: Modified.
	(if): Modified function.
	(if): Modified function.

2023-01-27  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 90dffec958f4d423435d155939ef8abf4fedd1f1
	Use binutils 2.40 branch in build-many-glibcs.py

	* scripts/build-many-glibcs.py: Modified.

2023-01-27  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: d659442e01e659ad6400b29a0e096639853812c6
	Use MPFR 4.2.0, MPC 1.3.1 in build-many-glibcs.py

	* scripts/build-many-glibcs.py: Modified.

2023-01-25  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 0d50f477f47ba637b54fb03ac48d769ec4543e8d
	stdio-common: Handle -1 buffer size in __sprintf_chk & co (bug 30039)

	* debug/Makefile: Modified.
	* debug/tst-sprintf-fortify-unchecked.c: New file.
	* include/printf_buffer.h: Modified.
	(__printf_buffer_init): Modified function.
	(__printf_buffer_init_end): New function.
	* libio/iovsprintf.c: Modified.
	(__vsprintf_internal): Modified function.

2023-01-25  Paul Pluzhnikov  <ppluzhnikov@google.com>

	COMMIT: 0674613e6652a46063756f162bdef88622b3bdbd
	Document '%F' format specifier

	* manual/stdio.texi: Modified.

2023-01-24  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 33f0f58b59751a0cb0dd1611175d0211f567bede
	sparc (64bit): Regenerate ulps

	* sysdeps/sparc/fpu/libm-test-ulps: Modified.

2023-01-24  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 0bac959d75d5939b4c413fdd8242006837ac9c84
	ia64: Regenerate ulps

	* sysdeps/ia64/fpu/libm-test-ulps: Modified.

2023-01-23  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: 4645cc3cf6a1719768414c4dfb1c3eeb5eca4a7e
	Update libc.pot for 2.37 release.

	* po/libc.pot: Modified.

2023-01-18  Sajan Karumanchi  <sajan.karumanchi@amd.com>

	COMMIT: 103a469dc7755fd9e8ccf362f3dd4c55dc761908
	x86: Cache computation for AMD architecture.

	* sysdeps/x86/dl-cacheinfo.h: Modified.
	(handle_amd): Modified function.
	(dl_init_cacheinfo): Modified function.

2023-01-18  Martin Joerg  <martin.joerg@gmail.com>

	COMMIT: 8394b8c4617c925d7a7fab567401f07549d07b13
	manual: Fix typo

	* manual/string.texi: Modified.

2023-01-17  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 07937809ac377f8ffb5bad3335194dd9a447922f
	Add STATX_DIOALIGN from Linux 6.1 to bits/statx-generic.h

	* io/bits/statx-generic.h: Modified.
	[! STATX_TYPE](STATX_DIOALIGN): New.

2023-01-17  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: b5e3d66b964569acc919199ee34f3e9c28c5d6d0
	Add IPPROTO_L2TP from Linux 6.1 to netinet/in.h

	* inet/netinet/in.h: Modified.
	(<anoymous>): Modified.

2023-01-17  Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: 55599d480437dcf129b41b95be32b48f2a9e5da9
	AArch64: Improve strrchr

	* sysdeps/aarch64/strrchr.S: Modified.

2023-01-17  Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: ad098893ba3c3344a5f2f6ab1627c47204afdb47
	AArch64: Optimize strnlen

	* sysdeps/aarch64/strnlen.S: Modified.

2023-01-17  Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: 03c8ce5000198947a4dd7b2c14e5131738fda62b
	AArch64: Optimize strlen

	* sysdeps/aarch64/strlen.S: Modified.

2023-01-17  Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: 349e48c01e85bd96006860084e76d322e6ca02f1
	AArch64: Optimize strcpy

	* sysdeps/aarch64/strcpy.S: Modified.

2023-01-17  Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: 09ebd8549b2ce5a3a6c0c7c5f3e62227faf50a99
	AArch64: Improve strchrnul

	* sysdeps/aarch64/strchrnul.S: Modified.

2023-01-17  Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: 51541a229740801882490177fa178e49264b13fb
	AArch64: Optimize strchr

	* sysdeps/aarch64/strchr.S: Modified.

2023-01-17  Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: 1bbb1a2022e126f21810d3d0ebe0a975d5243e43
	AArch64: Improve strlen_asimd

	* sysdeps/aarch64/multiarch/strlen_asimd.S: Modified.

2023-01-17  Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: 00776241776e67fc666b896c1e85770f4f3ec1e1
	AArch64: Optimize memrchr

	* sysdeps/aarch64/memrchr.S: Modified.

2023-01-17  Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: ce758d4f063820c2bc743e12797d7454c66be718
	AArch64: Optimize memchr

	* sysdeps/aarch64/memchr.S: Modified.

2023-01-15  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 569cfcc6bf35c28112ca8d7112e9eb4a22bed5b8
	hurd: Fix _NOFLSH value

	* bits/termios.h: Modified.
	(termios): Modified.

2023-01-12  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 7e31d166510ac4adbf53d5e8144c709a37dd8c7a
	elf: Fix GL(dl_phdr) and GL(dl_phnum) for static builds [BZ #29864]

	* csu/libc-start.c: Modified.
	[! LIBC_START_MAIN_AUXVEC_ARG](LIBC_START_MAIN): Modified function.
	[LIBC_START_MAIN_AUXVEC_ARG](LIBC_START_MAIN): Modified function.
	* csu/libc-tls.c: Modified.
	(__libc_setup_tls): Modified function.
	* elf/dl-support.c: Modified.
	[! HAVE_AUX_VECTOR](__rtld_lock_define_initialized_recursive): Modified function.
	[HAVE_AUX_VECTOR](_dl_aux_init): Modified function.
	(__rtld_lock_define_initialized_recursive): Modified function.

2023-01-12  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 402853be1db5a233ec688f8c5343b73191629fbd
	string: Suppress -Wmaybe-unitialized for wordcopy [BZ #19444]

	* string/wordcopy.c: Modified.
	(WORDCOPY_FWD_ALIGNED): Modified function.
	(WORDCOPY_BWD_ALIGNED): Modified function.
	(libc-diag.h): Include file.
	(DIAG_PUSH_NEEDS_COMMENT): New.
	(DIAG_IGNORE_NEEDS_COMMENT): New function.
	(DIAG_POP_NEEDS_COMMENT): New.

2023-01-12  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 8b69e064d4bdad173446116e4a1b920814b7d5ec
	scripts/build-many-glibcs.py: Remove unused RANLIB and STRIP option

	* scripts/build-many-glibcs.py: Modified.

2023-01-12  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 02abdab0d1a28a36b21ad2f263c94f11fad98f24
	configure: Move nm, objdump, and readelf to LIBC_PROG_BINUTILS

	* aclocal.m4: Modified.
	* configure: Modified.
	* configure.ac: Modified.
	* scripts/build-many-glibcs.py: Modified.

2023-01-11  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 2d2d7e1a8f2e62b442ae8978f0a6c17f385575c4
	configure: Allow user override LD, AR, OBJCOPY, and GPROF

	* aclocal.m4: Modified.
	* configure: Modified.
	* scripts/build-many-glibcs.py: Modified.

2023-01-11  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 30546ac2d1d64adff07d317e3041ec0fc6e32f6d
	math: Suppress -O0 warnings for soft-fp fsqrt [BZ #19444]

	* sysdeps/ieee754/soft-fp/s_fsqrt.c: Modified.
	(libc-diag.h): Include file.
	(DIAG_PUSH_NEEDS_COMMENT): New.
	(DIAG_IGNORE_NEEDS_COMMENT): New function.
	(DIAG_POP_NEEDS_COMMENT): New.

2023-01-11  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 8176efe3cabeee003f193f6b877297bf5aee8eb6
	sunrpc: Suppress GCC -O1 warning on user2netname [BZ #19444]

	* sunrpc/netname.c: Modified.
	(user2netname): Modified function.

2023-01-11  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 0b3503e2e19602db9cda47915d19a26c00f59bb1
	locale: Use correct buffer size for utf8_sequence_error [BZ #19444]

	* locale/programs/linereader.c: Modified.
	(utf8_sequence_error): Modified function.

2023-01-10  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 57f4a850c84a0545dec9aea4242241d2b19fa6af
	Add HWCAP2_SVE_EBF16 from Linux 6.1 to AArch64 bits/hwcap.h

	* sysdeps/unix/sysv/linux/aarch64/bits/hwcap.h: Modified.
	(HWCAP2_SVE_EBF16): New.

2023-01-10  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 3d3a2911ba65e613eac878d8eb02a0aba4ad7651
	Add _FORTIFY_SOURCE implementation documentation [BZ #28998]

	* manual/creature.texi: Modified.
	* manual/maint.texi: Modified.

2023-01-06  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: ae612c45efb5e34713859a5facf92368307efb6e
	Update copyright dates not handled by scripts/update-copyrights

	* catgets/gencat.c: Modified.
	(print_version): Modified function.
	* debug/pcprofiledump.c: Modified.
	(print_version): Modified function.
	* debug/xtrace.sh: Modified.
	* elf/ldconfig.c: Modified.
	(print_version): Modified function.
	* elf/ldd.bash.in: Modified.
	* elf/pldd.c: Modified.
	(print_version): Modified function.
	* elf/sotruss.sh: Modified.
	* elf/sprof.c: Modified.
	(print_version): Modified function.
	* iconv/iconv_prog.c: Modified.
	(print_version): Modified function.
	* iconv/iconvconfig.c: Modified.
	(print_version): Modified function.
	* locale/programs/locale.c: Modified.
	(print_version): Modified function.
	* locale/programs/localedef.c: Modified.
	(print_version): Modified function.
	* login/programs/pt_chown.c: Modified.
	(print_version): Modified function.
	* malloc/memusage.sh: Modified.
	* malloc/memusagestat.c: Modified.
	(print_version): Modified function.
	* malloc/mtrace.pl: Modified.
	* nscd/nscd.c: Modified.
	(print_version): Modified function.
	* nss/getent.c: Modified.
	(print_version): Modified function.
	* nss/makedb.c: Modified.
	(print_version): Modified function.
	* posix/getconf.c: Modified.
	(main): Modified function.
	* scripts/test-installation.pl: Modified.

2023-01-06  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 6d7e8eda9b85b08f207a6dc6f187e94e4817270f
	Update copyright dates with scripts/update-copyrights

	* Suppressing diff as too many files differ.

2023-01-06  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 728ada505aca44f768675b3aa1ab34bae96a2656
	Remove trailing whitespace in gmp.h

	* stdlib/gmp.h: Modified.

2023-01-06  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 9228a3c2bee55f1112171a6ee9e91ca325c53049
	Remove trailing whitespace

	* locale/programs/ld-monetary.c: Modified.

2023-01-06  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 8a78f833d670f86302f2d0c32eb1e4357d9166ff
	C2x semantics for <tgmath.h>

	* math/gen-tgmath-tests.py: Modified.
	* math/tgmath.h: Modified.
	[__GNUC_PREREQ (2, 7)][! __HAVE_BUILTIN_TGMATH][! __HAVE_FLOAT128](__TGMATH_1_NARROW_F32): Remove.
	[__GNUC_PREREQ (2, 7)][! __HAVE_BUILTIN_TGMATH][! __HAVE_FLOAT128](__TGMATH_2_NARROW_F32): Remove.
	[__GNUC_PREREQ (2, 7)][! __HAVE_BUILTIN_TGMATH][! __HAVE_FLOAT128](__TGMATH_3_NARROW_F32): Remove.
	[__GNUC_PREREQ (2, 7)][! __HAVE_BUILTIN_TGMATH][! __NO_LONG_DOUBLE_MATH](__tgml): Remove.
	[__GNUC_PREREQ (2, 7)][! __HAVE_BUILTIN_TGMATH][!(__GNUC_PREREQ (3, 1))](__floating_type): Remove.
	[__GNUC_PREREQ (2, 7)][! __HAVE_BUILTIN_TGMATH][!(__GNUC_PREREQ (3, 1))](__real_integer_type): Remove.
	[__GNUC_PREREQ (2, 7)][! __HAVE_BUILTIN_TGMATH][!(__GNUC_PREREQ (3, 1))](__complex_integer_type): Remove.
	[__GNUC_PREREQ (2, 7)][! __HAVE_BUILTIN_TGMATH][!(__HAVE_DISTINCT_FLOAT128 && __GLIBC_USE (IEC_60559_TYPES_EXT))](__TGMATH_F128): Remove.
	[__GNUC_PREREQ (2, 7)][! __HAVE_BUILTIN_TGMATH][!(__HAVE_DISTINCT_FLOAT128 && __GLIBC_USE (IEC_60559_TYPES_EXT))](__TGMATH_CF128): Remove.
	[__GNUC_PREREQ (2, 7)][! __HAVE_BUILTIN_TGMATH][(__HAVE_DISTINCT_FLOAT16			 || __HAVE_DISTINCT_FLOAT32		 || __HAVE_DISTINCT_FLOAT64		 || __HAVE_DISTINCT_FLOAT32X		 || __HAVE_DISTINCT_FLOAT64X		 || __HAVE_DISTINCT_FLOAT128X)](Unsupported _FloatN or _FloatNx types for <tgmath.h>."): Remove.
	[__GNUC_PREREQ (2, 7)][! __HAVE_BUILTIN_TGMATH][__GNUC_PREREQ (3, 1)](__floating_type): Remove.
	[__GNUC_PREREQ (2, 7)][! __HAVE_BUILTIN_TGMATH][__GNUC_PREREQ (3, 1)](__real_integer_type): Remove.
	[__GNUC_PREREQ (2, 7)][! __HAVE_BUILTIN_TGMATH][__GNUC_PREREQ (3, 1)](__complex_integer_type): Remove.
	[__GNUC_PREREQ (2, 7)][! __HAVE_BUILTIN_TGMATH][__HAVE_DISTINCT_FLOAT128 && __GLIBC_USE (IEC_60559_TYPES_EXT)][!((!__HAVE_FLOAT64X			 || __HAVE_FLOAT64X_LONG_DOUBLE		 || !__HAVE_FLOATN_NOT_TYPEDEF))](__TGMATH_F128): Remove.
	[__GNUC_PREREQ (2, 7)][! __HAVE_BUILTIN_TGMATH][__HAVE_DISTINCT_FLOAT128 && __GLIBC_USE (IEC_60559_TYPES_EXT)][!((!__HAVE_FLOAT64X			 || __HAVE_FLOAT64X_LONG_DOUBLE		 || !__HAVE_FLOATN_NOT_TYPEDEF))](__TGMATH_CF128): Remove.
	[__GNUC_PREREQ (2, 7)][! __HAVE_BUILTIN_TGMATH][__HAVE_DISTINCT_FLOAT128 && __GLIBC_USE (IEC_60559_TYPES_EXT)][(!__HAVE_FLOAT64X			 || __HAVE_FLOAT64X_LONG_DOUBLE		 || !__HAVE_FLOATN_NOT_TYPEDEF)](__TGMATH_F128): Remove.
	[__GNUC_PREREQ (2, 7)][! __HAVE_BUILTIN_TGMATH][__HAVE_DISTINCT_FLOAT128 && __GLIBC_USE (IEC_60559_TYPES_EXT)][(!__HAVE_FLOAT64X			 || __HAVE_FLOAT64X_LONG_DOUBLE		 || !__HAVE_FLOATN_NOT_TYPEDEF)](__TGMATH_CF128): Remove.
	[__GNUC_PREREQ (2, 7)][! __HAVE_BUILTIN_TGMATH][__HAVE_FLOAT128](__TGMATH_1_NARROW_F32): Remove.
	[__GNUC_PREREQ (2, 7)][! __HAVE_BUILTIN_TGMATH][__HAVE_FLOAT128](__TGMATH_2_NARROW_F32): Remove.
	[__GNUC_PREREQ (2, 7)][! __HAVE_BUILTIN_TGMATH][__HAVE_FLOAT128](__TGMATH_3_NARROW_F32): Remove.
	[__GNUC_PREREQ (2, 7)][! __HAVE_BUILTIN_TGMATH][__HAVE_FLOAT128](__TGMATH_1_NARROW_F64): Remove.
	[__GNUC_PREREQ (2, 7)][! __HAVE_BUILTIN_TGMATH][__HAVE_FLOAT128](__TGMATH_2_NARROW_F64): Remove.
	[__GNUC_PREREQ (2, 7)][! __HAVE_BUILTIN_TGMATH][__HAVE_FLOAT128](__TGMATH_3_NARROW_F64): Remove.
	[__GNUC_PREREQ (2, 7)][! __HAVE_BUILTIN_TGMATH][__HAVE_FLOAT128](__TGMATH_1_NARROW_F32X): Remove.
	[__GNUC_PREREQ (2, 7)][! __HAVE_BUILTIN_TGMATH][__HAVE_FLOAT128](__TGMATH_2_NARROW_F32X): Remove.
	[__GNUC_PREREQ (2, 7)][! __HAVE_BUILTIN_TGMATH][__HAVE_FLOAT128](__TGMATH_3_NARROW_F32X): Remove.
	[__GNUC_PREREQ (2, 7)][! __HAVE_BUILTIN_TGMATH][__HAVE_FLOAT64X_LONG_DOUBLE && __HAVE_DISTINCT_FLOAT128](__TGMATH_1_NARROW_F32): Remove.
	[__GNUC_PREREQ (2, 7)][! __HAVE_BUILTIN_TGMATH][__HAVE_FLOAT64X_LONG_DOUBLE && __HAVE_DISTINCT_FLOAT128](__TGMATH_2_NARROW_F32): Remove.
	[__GNUC_PREREQ (2, 7)][! __HAVE_BUILTIN_TGMATH][__HAVE_FLOAT64X_LONG_DOUBLE && __HAVE_DISTINCT_FLOAT128](__TGMATH_3_NARROW_F32): Remove.
	[__GNUC_PREREQ (2, 7)][! __HAVE_BUILTIN_TGMATH][__HAVE_FLOAT64X_LONG_DOUBLE && __HAVE_DISTINCT_FLOAT128](__TGMATH_1_NARROW_F64): Remove.
	[__GNUC_PREREQ (2, 7)][! __HAVE_BUILTIN_TGMATH][__HAVE_FLOAT64X_LONG_DOUBLE && __HAVE_DISTINCT_FLOAT128](__TGMATH_2_NARROW_F64): Remove.
	[__GNUC_PREREQ (2, 7)][! __HAVE_BUILTIN_TGMATH][__HAVE_FLOAT64X_LONG_DOUBLE && __HAVE_DISTINCT_FLOAT128](__TGMATH_3_NARROW_F64): Remove.
	[__GNUC_PREREQ (2, 7)][! __HAVE_BUILTIN_TGMATH][__HAVE_FLOAT64X_LONG_DOUBLE && __HAVE_DISTINCT_FLOAT128](__TGMATH_1_NARROW_F32X): Remove.
	[__GNUC_PREREQ (2, 7)][! __HAVE_BUILTIN_TGMATH][__HAVE_FLOAT64X_LONG_DOUBLE && __HAVE_DISTINCT_FLOAT128](__TGMATH_2_NARROW_F32X): Remove.
	[__GNUC_PREREQ (2, 7)][! __HAVE_BUILTIN_TGMATH][__HAVE_FLOAT64X_LONG_DOUBLE && __HAVE_DISTINCT_FLOAT128](__TGMATH_3_NARROW_F32X): Remove.
	[__GNUC_PREREQ (2, 7)][! __HAVE_BUILTIN_TGMATH][__NO_LONG_DOUBLE_MATH](__tgml): Remove.
	[__GNUC_PREREQ (2, 7)][! __HAVE_BUILTIN_TGMATH](__expr_is_real): Remove.
	[__GNUC_PREREQ (2, 7)][! __HAVE_BUILTIN_TGMATH](__tgmath_real_type_sub): Remove.
	[__GNUC_PREREQ (2, 7)][! __HAVE_BUILTIN_TGMATH](__tgmath_real_type): Remove.
	[__GNUC_PREREQ (2, 7)][! __HAVE_BUILTIN_TGMATH](__tgmath_complex_type_sub): Remove.
	[__GNUC_PREREQ (2, 7)][! __HAVE_BUILTIN_TGMATH](__tgmath_complex_type): Remove.
	[__GNUC_PREREQ (2, 7)][! __HAVE_BUILTIN_TGMATH](__TGMATH_UNARY_REAL_ONLY): Remove.
	[__GNUC_PREREQ (2, 7)][! __HAVE_BUILTIN_TGMATH](__TGMATH_UNARY_REAL_RET_ONLY): Remove.
	[__GNUC_PREREQ (2, 7)][! __HAVE_BUILTIN_TGMATH](__TGMATH_BINARY_FIRST_REAL_ONLY): Remove.
	[__GNUC_PREREQ (2, 7)][! __HAVE_BUILTIN_TGMATH](__TGMATH_BINARY_FIRST_REAL_STD_ONLY): Remove.
	[__GNUC_PREREQ (2, 7)][! __HAVE_BUILTIN_TGMATH](__TGMATH_BINARY_REAL_ONLY): Remove.
	[__GNUC_PREREQ (2, 7)][! __HAVE_BUILTIN_TGMATH](__TGMATH_BINARY_REAL_STD_ONLY): Remove.
	[__GNUC_PREREQ (2, 7)][! __HAVE_BUILTIN_TGMATH](__TGMATH_TERNARY_FIRST_SECOND_REAL_ONLY): Remove.
	[__GNUC_PREREQ (2, 7)][! __HAVE_BUILTIN_TGMATH](__TGMATH_TERNARY_REAL_ONLY): Remove.
	[__GNUC_PREREQ (2, 7)][! __HAVE_BUILTIN_TGMATH](__TGMATH_TERNARY_FIRST_REAL_RET_ONLY): Remove.
	[__GNUC_PREREQ (2, 7)][! __HAVE_BUILTIN_TGMATH](__TGMATH_UNARY_REAL_IMAG): Remove.
	[__GNUC_PREREQ (2, 7)][! __HAVE_BUILTIN_TGMATH](__TGMATH_UNARY_IMAG): Remove.
	[__GNUC_PREREQ (2, 7)][! __HAVE_BUILTIN_TGMATH](__TGMATH_UNARY_REAL_IMAG_RET_REAL): Remove.
	[__GNUC_PREREQ (2, 7)][! __HAVE_BUILTIN_TGMATH](__TGMATH_UNARY_REAL_IMAG_RET_REAL_SAME): Remove.
	[__GNUC_PREREQ (2, 7)][! __HAVE_BUILTIN_TGMATH](__TGMATH_BINARY_REAL_IMAG): Remove.
	[__GNUC_PREREQ (2, 7)][! __HAVE_BUILTIN_TGMATH](__TGMATH_1_NARROW_F): Remove.
	[__GNUC_PREREQ (2, 7)][! __HAVE_BUILTIN_TGMATH](__TGMATH_2_NARROW_F): Remove.
	[__GNUC_PREREQ (2, 7)][! __HAVE_BUILTIN_TGMATH](__TGMATH_3_NARROW_F): Remove.
	[__GNUC_PREREQ (2, 7)][__HAVE_BUILTIN_TGMATH][__HAVE_FLOAT128](__TGMATH_1_NARROW_F32X): Remove.
	[__GNUC_PREREQ (2, 7)][__HAVE_BUILTIN_TGMATH][__HAVE_FLOAT128](__TGMATH_2_NARROW_F32X): Remove.
	[__GNUC_PREREQ (2, 7)][__HAVE_BUILTIN_TGMATH][__HAVE_FLOAT128](__TGMATH_3_NARROW_F32X): Remove.
	[__GNUC_PREREQ (2, 7)][__HAVE_BUILTIN_TGMATH](__TGMATH_BINARY_REAL_ONLY): Remove.
	[__GNUC_PREREQ (2, 7)][__HAVE_BUILTIN_TGMATH](__TGMATH_TERNARY_FIRST_SECOND_REAL_ONLY): Remove.
	[__GNUC_PREREQ (2, 7)][__HAVE_BUILTIN_TGMATH](__TGMATH_TERNARY_REAL_ONLY): Remove.
	[__GNUC_PREREQ (2, 7)][__HAVE_BUILTIN_TGMATH](__TGMATH_BINARY_REAL_IMAG): Remove.
	[__GNUC_PREREQ (2, 7)][__HAVE_BUILTIN_TGMATH][__HAVE_BUILTIN_TGMATH_C2X](__TGMATH_BINARY_REAL_ONLY): New.
	[__GNUC_PREREQ (2, 7)][__HAVE_BUILTIN_TGMATH][__HAVE_BUILTIN_TGMATH_C2X](__TGMATH_TERNARY_FIRST_SECOND_REAL_ONLY): New.
	[__GNUC_PREREQ (2, 7)][__HAVE_BUILTIN_TGMATH][__HAVE_BUILTIN_TGMATH_C2X](__TGMATH_TERNARY_REAL_ONLY): New.
	[__GNUC_PREREQ (2, 7)][__HAVE_BUILTIN_TGMATH][__HAVE_BUILTIN_TGMATH_C2X](__TGMATH_BINARY_REAL_IMAG): New.
	[__GNUC_PREREQ (2, 7)][__HAVE_BUILTIN_TGMATH][__HAVE_FLOAT128 && __HAVE_BUILTIN_TGMATH_C2X](__TGMATH_1_NARROW_F32X): New.
	[__GNUC_PREREQ (2, 7)][__HAVE_BUILTIN_TGMATH][__HAVE_FLOAT128 && __HAVE_BUILTIN_TGMATH_C2X](__TGMATH_2_NARROW_F32X): New.
	[__GNUC_PREREQ (2, 7)][__HAVE_BUILTIN_TGMATH][__HAVE_FLOAT128 && __HAVE_BUILTIN_TGMATH_C2X](__TGMATH_3_NARROW_F32X): New.
	[__GNUC_PREREQ (2, 7)][! __HAVE_FLOAT128][!__HAVE_BUILTIN_TGMATH](__TGMATH_1_NARROW_F32): New.
	[__GNUC_PREREQ (2, 7)][! __HAVE_FLOAT128][!__HAVE_BUILTIN_TGMATH](__TGMATH_2_NARROW_F32): New.
	[__GNUC_PREREQ (2, 7)][! __HAVE_FLOAT128][!__HAVE_BUILTIN_TGMATH](__TGMATH_3_NARROW_F32): New.
	[__GNUC_PREREQ (2, 7)][!__HAVE_BUILTIN_TGMATH](__TGMATH_UNARY_REAL_ONLY): New.
	[__GNUC_PREREQ (2, 7)][!__HAVE_BUILTIN_TGMATH](__TGMATH_UNARY_REAL_RET_ONLY): New.
	[__GNUC_PREREQ (2, 7)][!__HAVE_BUILTIN_TGMATH](__TGMATH_BINARY_FIRST_REAL_ONLY): New.
	[__GNUC_PREREQ (2, 7)][!__HAVE_BUILTIN_TGMATH](__TGMATH_BINARY_FIRST_REAL_STD_ONLY): New.
	[__GNUC_PREREQ (2, 7)][!__HAVE_BUILTIN_TGMATH](__TGMATH_BINARY_REAL_STD_ONLY): New.
	[__GNUC_PREREQ (2, 7)][!__HAVE_BUILTIN_TGMATH](__TGMATH_TERNARY_FIRST_REAL_RET_ONLY): New.
	[__GNUC_PREREQ (2, 7)][!__HAVE_BUILTIN_TGMATH](__TGMATH_UNARY_REAL_IMAG): New.
	[__GNUC_PREREQ (2, 7)][!__HAVE_BUILTIN_TGMATH](__TGMATH_UNARY_IMAG): New.
	[__GNUC_PREREQ (2, 7)][!__HAVE_BUILTIN_TGMATH](__TGMATH_UNARY_REAL_IMAG_RET_REAL): New.
	[__GNUC_PREREQ (2, 7)][!__HAVE_BUILTIN_TGMATH](__TGMATH_UNARY_REAL_IMAG_RET_REAL_SAME): New.
	[__GNUC_PREREQ (2, 7)][!__HAVE_BUILTIN_TGMATH](__TGMATH_1_NARROW_F): New.
	[__GNUC_PREREQ (2, 7)][!__HAVE_BUILTIN_TGMATH](__TGMATH_2_NARROW_F): New.
	[__GNUC_PREREQ (2, 7)][!__HAVE_BUILTIN_TGMATH](__TGMATH_3_NARROW_F): New.
	[__GNUC_PREREQ (2, 7)][!__HAVE_BUILTIN_TGMATH_C2X][! __HAVE_FLOATN_NOT_TYPEDEF](__tgmath_real_type2): New.
	[__GNUC_PREREQ (2, 7)][!__HAVE_BUILTIN_TGMATH_C2X][! __HAVE_FLOATN_NOT_TYPEDEF](__tgmath_complex_type2): New.
	[__GNUC_PREREQ (2, 7)][!__HAVE_BUILTIN_TGMATH_C2X][! __HAVE_FLOATN_NOT_TYPEDEF](__tgmath_real_type3): New.
	[__GNUC_PREREQ (2, 7)][!__HAVE_BUILTIN_TGMATH_C2X][! __HAVE_FLOATN_NOT_TYPEDEF](__TGMATH_NARROW_F32X_USE_F64X): New.
	[__GNUC_PREREQ (2, 7)][!__HAVE_BUILTIN_TGMATH_C2X][! __NO_LONG_DOUBLE_MATH](__tgml): New.
	[__GNUC_PREREQ (2, 7)][!__HAVE_BUILTIN_TGMATH_C2X][!(__GNUC_PREREQ (3, 1))](__floating_type): New.
	[__GNUC_PREREQ (2, 7)][!__HAVE_BUILTIN_TGMATH_C2X][!(__GNUC_PREREQ (3, 1))](__real_integer_type): New.
	[__GNUC_PREREQ (2, 7)][!__HAVE_BUILTIN_TGMATH_C2X][!(__GNUC_PREREQ (3, 1))](__complex_integer_type): New.
	[__GNUC_PREREQ (2, 7)][!__HAVE_BUILTIN_TGMATH_C2X][!(__HAVE_DISTINCT_FLOAT128 && __GLIBC_USE (IEC_60559_TYPES_EXT))](__TGMATH_F128): New.
	[__GNUC_PREREQ (2, 7)][!__HAVE_BUILTIN_TGMATH_C2X][!(__HAVE_DISTINCT_FLOAT128 && __GLIBC_USE (IEC_60559_TYPES_EXT))](__TGMATH_CF128): New.
	[__GNUC_PREREQ (2, 7)][!__HAVE_BUILTIN_TGMATH_C2X][(__HAVE_DISTINCT_FLOAT16			 || __HAVE_DISTINCT_FLOAT32		 || __HAVE_DISTINCT_FLOAT64		 || __HAVE_DISTINCT_FLOAT32X		 || __HAVE_DISTINCT_FLOAT64X		 || __HAVE_DISTINCT_FLOAT128X)](Unsupported _FloatN or _FloatNx types for <tgmath.h>."): New.
	[__GNUC_PREREQ (2, 7)][!__HAVE_BUILTIN_TGMATH_C2X][__GNUC_PREREQ (3, 1)](__floating_type): New.
	[__GNUC_PREREQ (2, 7)][!__HAVE_BUILTIN_TGMATH_C2X][__GNUC_PREREQ (3, 1)](__real_integer_type): New.
	[__GNUC_PREREQ (2, 7)][!__HAVE_BUILTIN_TGMATH_C2X][__GNUC_PREREQ (3, 1)](__complex_integer_type): New.
	[__GNUC_PREREQ (2, 7)][!__HAVE_BUILTIN_TGMATH_C2X][__HAVE_DISTINCT_FLOAT128 && __GLIBC_USE (IEC_60559_TYPES_EXT)][!((!__HAVE_FLOAT64X			 || __HAVE_FLOAT64X_LONG_DOUBLE		 || !__HAVE_FLOATN_NOT_TYPEDEF))](__TGMATH_F128): New.
	[__GNUC_PREREQ (2, 7)][!__HAVE_BUILTIN_TGMATH_C2X][__HAVE_DISTINCT_FLOAT128 && __GLIBC_USE (IEC_60559_TYPES_EXT)][!((!__HAVE_FLOAT64X			 || __HAVE_FLOAT64X_LONG_DOUBLE		 || !__HAVE_FLOATN_NOT_TYPEDEF))](__TGMATH_CF128): New.
	[__GNUC_PREREQ (2, 7)][!__HAVE_BUILTIN_TGMATH_C2X][__HAVE_DISTINCT_FLOAT128 && __GLIBC_USE (IEC_60559_TYPES_EXT)][(!__HAVE_FLOAT64X			 || __HAVE_FLOAT64X_LONG_DOUBLE		 || !__HAVE_FLOATN_NOT_TYPEDEF)](__TGMATH_F128): New.
	[__GNUC_PREREQ (2, 7)][!__HAVE_BUILTIN_TGMATH_C2X][__HAVE_DISTINCT_FLOAT128 && __GLIBC_USE (IEC_60559_TYPES_EXT)][(!__HAVE_FLOAT64X			 || __HAVE_FLOAT64X_LONG_DOUBLE		 || !__HAVE_FLOATN_NOT_TYPEDEF)](__TGMATH_F128LD): New.
	[__GNUC_PREREQ (2, 7)][!__HAVE_BUILTIN_TGMATH_C2X][__HAVE_DISTINCT_FLOAT128 && __GLIBC_USE (IEC_60559_TYPES_EXT)][(!__HAVE_FLOAT64X			 || __HAVE_FLOAT64X_LONG_DOUBLE		 || !__HAVE_FLOATN_NOT_TYPEDEF)](__TGMATH_CF128): New.
	[__GNUC_PREREQ (2, 7)][!__HAVE_BUILTIN_TGMATH_C2X][__HAVE_FLOATN_NOT_TYPEDEF](__tgmath_real_type2): New.
	[__GNUC_PREREQ (2, 7)][!__HAVE_BUILTIN_TGMATH_C2X][__HAVE_FLOATN_NOT_TYPEDEF](__tgmath_complex_type2): New.
	[__GNUC_PREREQ (2, 7)][!__HAVE_BUILTIN_TGMATH_C2X][__HAVE_FLOATN_NOT_TYPEDEF](__tgmath_real_type3): New.
	[__GNUC_PREREQ (2, 7)][!__HAVE_BUILTIN_TGMATH_C2X][__HAVE_FLOATN_NOT_TYPEDEF](__TGMATH_NARROW_F32X_USE_F64X): New.
	[__GNUC_PREREQ (2, 7)][!__HAVE_BUILTIN_TGMATH_C2X][__NO_LONG_DOUBLE_MATH](__tgml): New.
	[__GNUC_PREREQ (2, 7)][!__HAVE_BUILTIN_TGMATH_C2X](__expr_is_real): New.
	[__GNUC_PREREQ (2, 7)][!__HAVE_BUILTIN_TGMATH_C2X](__tgmath_type_if): New.
	[__GNUC_PREREQ (2, 7)][!__HAVE_BUILTIN_TGMATH_C2X](__tgmath_real_type_sub): New.
	[__GNUC_PREREQ (2, 7)][!__HAVE_BUILTIN_TGMATH_C2X](__tgmath_real_type): New.
	[__GNUC_PREREQ (2, 7)][!__HAVE_BUILTIN_TGMATH_C2X](__tgmath_complex_type_sub): New.
	[__GNUC_PREREQ (2, 7)][!__HAVE_BUILTIN_TGMATH_C2X](__tgmath_complex_type): New.
	[__GNUC_PREREQ (2, 7)][!__HAVE_BUILTIN_TGMATH_C2X](__tgmath_real_type2_base): New.
	[__GNUC_PREREQ (2, 7)][!__HAVE_BUILTIN_TGMATH_C2X](__tgmath_complex_type2_base): New.
	[__GNUC_PREREQ (2, 7)][!__HAVE_BUILTIN_TGMATH_C2X](__tgmath_real_type3_base): New.
	[__GNUC_PREREQ (2, 7)][!__HAVE_BUILTIN_TGMATH_C2X](__TGMATH_BINARY_REAL_ONLY): New.
	[__GNUC_PREREQ (2, 7)][!__HAVE_BUILTIN_TGMATH_C2X](__TGMATH_TERNARY_FIRST_SECOND_REAL_ONLY): New.
	[__GNUC_PREREQ (2, 7)][!__HAVE_BUILTIN_TGMATH_C2X](__TGMATH_TERNARY_REAL_ONLY): New.
	[__GNUC_PREREQ (2, 7)][!__HAVE_BUILTIN_TGMATH_C2X](__TGMATH_BINARY_REAL_IMAG): New.
	[__GNUC_PREREQ (2, 7)][__HAVE_FLOAT128][!__HAVE_BUILTIN_TGMATH](__TGMATH_1_NARROW_F32): New.
	[__GNUC_PREREQ (2, 7)][__HAVE_FLOAT128][!__HAVE_BUILTIN_TGMATH](__TGMATH_2_NARROW_F32): New.
	[__GNUC_PREREQ (2, 7)][__HAVE_FLOAT128][!__HAVE_BUILTIN_TGMATH](__TGMATH_3_NARROW_F32): New.
	[__GNUC_PREREQ (2, 7)][__HAVE_FLOAT128][!__HAVE_BUILTIN_TGMATH](__TGMATH_1_NARROW_F64): New.
	[__GNUC_PREREQ (2, 7)][__HAVE_FLOAT128][!__HAVE_BUILTIN_TGMATH](__TGMATH_2_NARROW_F64): New.
	[__GNUC_PREREQ (2, 7)][__HAVE_FLOAT128][!__HAVE_BUILTIN_TGMATH](__TGMATH_3_NARROW_F64): New.
	[__GNUC_PREREQ (2, 7)][__HAVE_FLOAT128][!__HAVE_BUILTIN_TGMATH_C2X](__TGMATH_1_NARROW_F32X): New.
	[__GNUC_PREREQ (2, 7)][__HAVE_FLOAT128][!__HAVE_BUILTIN_TGMATH_C2X](__TGMATH_2_NARROW_F32X): New.
	[__GNUC_PREREQ (2, 7)][__HAVE_FLOAT128][!__HAVE_BUILTIN_TGMATH_C2X](__TGMATH_3_NARROW_F32X): New.
	[__GNUC_PREREQ (2, 7)][__HAVE_FLOAT64X_LONG_DOUBLE && __HAVE_DISTINCT_FLOAT128][!__HAVE_BUILTIN_TGMATH](__TGMATH_1_NARROW_F32): New.
	[__GNUC_PREREQ (2, 7)][__HAVE_FLOAT64X_LONG_DOUBLE && __HAVE_DISTINCT_FLOAT128][!__HAVE_BUILTIN_TGMATH](__TGMATH_2_NARROW_F32): New.
	[__GNUC_PREREQ (2, 7)][__HAVE_FLOAT64X_LONG_DOUBLE && __HAVE_DISTINCT_FLOAT128][!__HAVE_BUILTIN_TGMATH](__TGMATH_3_NARROW_F32): New.
	[__GNUC_PREREQ (2, 7)][__HAVE_FLOAT64X_LONG_DOUBLE && __HAVE_DISTINCT_FLOAT128][!__HAVE_BUILTIN_TGMATH](__TGMATH_1_NARROW_F64): New.
	[__GNUC_PREREQ (2, 7)][__HAVE_FLOAT64X_LONG_DOUBLE && __HAVE_DISTINCT_FLOAT128][!__HAVE_BUILTIN_TGMATH](__TGMATH_2_NARROW_F64): New.
	[__GNUC_PREREQ (2, 7)][__HAVE_FLOAT64X_LONG_DOUBLE && __HAVE_DISTINCT_FLOAT128][!__HAVE_BUILTIN_TGMATH](__TGMATH_3_NARROW_F64): New.
	[__GNUC_PREREQ (2, 7)][__HAVE_FLOAT64X_LONG_DOUBLE && __HAVE_DISTINCT_FLOAT128][!__HAVE_BUILTIN_TGMATH_C2X](__TGMATH_1_NARROW_F32X): New.
	[__GNUC_PREREQ (2, 7)][__HAVE_FLOAT64X_LONG_DOUBLE && __HAVE_DISTINCT_FLOAT128][!__HAVE_BUILTIN_TGMATH_C2X](__TGMATH_2_NARROW_F32X): New.
	[__GNUC_PREREQ (2, 7)][__HAVE_FLOAT64X_LONG_DOUBLE && __HAVE_DISTINCT_FLOAT128][!__HAVE_BUILTIN_TGMATH_C2X](__TGMATH_3_NARROW_F32X): New.
	(__HAVE_BUILTIN_TGMATH_C2X): New.

2023-01-05  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 35141f304e319109c322f797ae71c0b9420ccb05
	time: Set daylight to 1 for matching DST/offset change (bug 29951)

	* time/tzfile.c: Modified.
	(__tzfile_read): Modified function.
	(__tzfile_compute): Modified function.
	(daylight_saved): New.
	* timezone/Makefile: Modified.
	* timezone/testdata/XT6: New file.
	* timezone/tst-bz29951.c: New file.

2023-01-05  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 8f27dc1af5238adbc14000f073178ee4a2c2b3cf
	Fix ldbl-128 built-in function use

	* sysdeps/ieee754/float128/float128_private.h: Modified.
	(__builtin_roundevenl): New.
	(__builtin_lrintl): New.
	(__builtin_llrintl): New.
	(__builtin_fabsl): New.
	* sysdeps/ieee754/ldbl-128/s_fabsl.c: Modified.
	(__fabsl): Modified function.
	* sysdeps/ieee754/ldbl-128/s_llrintl.c: Modified.
	(__llrintl): Modified function.

2023-01-03  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 48b74865c63840b288bd85b4d8743533b73b339b
	x86: Check minimum/maximum of non_temporal_threshold [BZ #29953]

	* sysdeps/x86/dl-cacheinfo.h: Modified.
	(dl_init_cacheinfo): Modified function.

2023-01-02  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: c80b311ac0a65fea2d34214d937b8313fc9e29a5
	i686: Regenerate ulps

	* sysdeps/i386/i686/fpu/multiarch/libm-test-ulps: Modified.

2023-01-02  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 5f55b22f4b3ea14c777a60f239d25dc4555eb804
	hurd getcwd: Fix memory leak on error

	* sysdeps/mach/hurd/getcwd.c: Modified.
	(__hurd_canonicalize_directory_name_internal): Modified function.

2023-01-02  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: e1a467d330d2dd4ab83adcadeba75961952ec826
	hurd fcntl: Make LOCKED macro more robust

	* sysdeps/mach/hurd/fcntl.c: Modified.
	(__libc_fcntl): Modified function.

2023-01-02  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: b7a5fec8b04edb505f51c207ae50b6777c2c55b2
	hurd: Make dl-sysdep __sbrk check __vm_allocate call

	* sysdeps/mach/hurd/dl-sysdep.c: Modified.
	(__sbrk): Modified function.

2023-01-02  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: cba62c231c0ba67b5cc6f3beb07571f316f9deeb
	htl: Drop duplicate check in __pthread_stack_alloc

	* sysdeps/mach/htl/pt-stack-alloc.c: Modified.
	(__pthread_stack_alloc): Modified function.

2023-01-02  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: f77bd0ee9a4a7ef7295f3a35a0ca67c95c4e1bd6
	hurd hurdstartup: Initialize remaining fields of hurd_startup_data

	* hurd/hurdstartup.c: Modified.
	(_hurd_startup): Modified function.

2023-01-02  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 6514b2d59545300b27785abaaacd0115ff61a18d
	hurd _S_msg_add_auth: Initialize new arrays to 0

	* hurd/hurdauth.c: Modified.
	(_S_msg_add_auth): Modified function.

2023-01-02  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 3a614f39e61140dd2478ce5b7564ec8a53269ea4
	htl: Check error returned by __getrlimit

	* htl/pt-create.c: Modified.
	(__pthread_create_internal): Modified function.

2023-01-02  Andreas Schwab  <schwab@suse.de>

	COMMIT: a09183aed7bb8ace211e042b2e6e982bcc004957
	getdelim: ensure error indicator is set on error (bug 29917)

	* libio/Makefile: Modified.
	* libio/iogetdelim.c: Modified.
	(__getdelim): Modified function.
	* libio/tst-getdelim.c: New file.

2022-12-30  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 289b098c9e21e2805e3835f9b5780235ab14a290
	htl: Fix sem_wait race between read and gsync_wait

	* sysdeps/htl/sem-timedwait.c: Modified.
	(__sem_timedwait_internal): Modified function.

2022-12-22  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: c923cd8c496c7f253f327361a65c737233c7ebbd
	Avoid use of atoi in malloc

	* malloc/arena.c: Modified.
	(ptmalloc_init): Modified function.

2022-12-22  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 3c66c9600e285a42f042dd596859664b1d1372a7
	Linux: Pass size argument of epoll_create to the kernel

	* sysdeps/unix/sysv/linux/epoll_create.c: Modified.
	(epoll_create): Modified function.

2022-12-22  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: 9ffeabdf2e5078d8e8a4158e9b6be2ac2c616220
	Simplify scripts/cross-test-ssh.sh configuration.

	* scripts/dso-ordering-test.py: Modified.

2022-12-22  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 81a94a2ae34bac9c3d907bbe0468ba56914accb0
	Define MADV_COLLAPSE from Linux 6.1

	* sysdeps/unix/sysv/linux/bits/mman-linux.h: Modified.
	[__USE_MISC](MADV_COLLAPSE): New.
	* sysdeps/unix/sysv/linux/hppa/bits/mman.h: Modified.
	[__USE_MISC](MADV_COLLAPSE): New.

2022-12-21  Rajalakshmi Srinivasaraghavan  <rajis@linux.ibm.com>

	COMMIT: e2b68828fab4fdfa5595fa89180230cdc4373ec1
	powerpc64: Increase SIGSTKSZ and MINSIGSTKSZ

	* sysdeps/unix/sysv/linux/powerpc/bits/sigstack.h: Modified.
	(MINSIGSTKSZ): Remove.
	(SIGSTKSZ): Remove.
	[! __powerpc64__](MINSIGSTKSZ): New.
	[! __powerpc64__](SIGSTKSZ): New.
	[__powerpc64__](MINSIGSTKSZ): New.
	[__powerpc64__](SIGSTKSZ): New.

2022-12-21  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: 161eafec32fbf895b76d81cc23e37c24aa06ba2c
	Update all PO files in preparation for release.

	* po/be.po: Modified.
	* po/bg.po: Modified.
	* po/ca.po: Modified.
	* po/cs.po: Modified.
	* po/da.po: Modified.
	* po/de.po: Modified.
	* po/el.po: Modified.
	* po/eo.po: Modified.
	* po/es.po: Modified.
	* po/fi.po: Modified.
	* po/fr.po: Modified.
	* po/gl.po: Modified.
	* po/hr.po: Modified.
	* po/hu.po: Modified.
	* po/ia.po: Modified.
	* po/id.po: Modified.
	* po/it.po: Modified.
	* po/ja.po: Modified.
	* po/ka.po: New file.
	* po/ko.po: Modified.
	* po/lt.po: Modified.
	* po/nb.po: Modified.
	* po/nl.po: Modified.
	* po/pl.po: Modified.
	* po/pt.po: Modified.
	* po/pt_BR.po: Modified.
	* po/ru.po: Modified.
	* po/rw.po: Modified.
	* po/sk.po: Modified.
	* po/sl.po: Modified.
	* po/sr.po: Modified.
	* po/sv.po: Modified.
	* po/tr.po: Modified.
	* po/uk.po: Modified.
	* po/vi.po: Modified.
	* po/zh_CN.po: Modified.
	* po/zh_TW.po: Modified.

2022-12-21  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 258d554a9c2cc098dd19439d2cebd675ae935999
	Update kernel version to 6.1 in header constant tests

	* sysdeps/unix/sysv/linux/tst-mman-consts.py: Modified.
	* sysdeps/unix/sysv/linux/tst-mount-consts.py: Modified.
	* sysdeps/unix/sysv/linux/tst-pidfd-consts.py: Modified.

2022-12-20  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 5ab9b2c92411eb52f7b7a8e6074f0740d9bd727b
	Update syscall lists for Linux 6.1

	* sysdeps/unix/sysv/linux/syscall-names.list: Modified.

2022-12-19  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 118816de3383ff12769349784689141355cc787c
	libio: Convert __vswprintf_internal to buffers (bug 27857)

	* elf/Makefile: Modified.
	* include/printf_buffer.h: Modified.
	(__wprintf_buffer_mode): Modified.
	* libio/tst_swprintf.c: Modified.
	(array_length): Modified function.
	(errno.h): Include file.
	* libio/vswprintf.c: Modified.
	(libioP.h): Remove include.
	(strfile.h): Remove include.
	(_IO_wstrn_overflow): Remove.
	(_IO_wstrn_overflow): Remove function.
	(libio_vtable): Remove.
	(__vswprintf_internal): Modified function.
	(errno.h): Include file.
	(math_ldbl_opt.h): Include file.
	(printf.h): Include file.
	(printf_buffer.h): Include file.
	* manual/stdio.texi: Modified.
	* stdio-common/wprintf_buffer_flush.c: Modified.
	(__wprintf_buffer_do_flush): Modified function.
	(errno.h): Include file.

2022-12-19  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 5365acc567a49270b4341b9d325794ec554258d9
	libio: Convert __obstack_vprintf_internal to buffers (bug 27124)

	* elf/Makefile: Modified.
	* include/printf_buffer.h: Modified.
	(__printf_buffer_mode): Modified.
	(__printf_buffer_obstack): New.
	(__printf_buffer_flush_obstack): New function.
	* libio/obprintf.c: Modified.
	(stdlib.h): Remove include.
	(libioP.h): Remove include.
	(strfile.h): Remove include.
	(string.h): Remove include.
	(errno.h): Remove include.
	(stdio_ext.h): Remove include.
	(_IO_obstack_file): Remove.
	(_IO_obstack_overflow): Remove function.
	(_IO_obstack_xsputn): Remove function.
	(libio_vtable): Remove.
	(__obstack_vprintf_internal): Modified function.
	(math_ldbl_opt.h): Include file.
	(printf.h): Include file.
	(printf_buffer.h): Include file.
	(__printf_buffer_obstack): New.
	(__printf_buffer_flush_obstack): New function.
	* stdio-common/printf_buffer_flush.c: Modified.
	(__printf_buffer_do_flush): Modified function.

2022-12-19  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 8ece45e4f586abd212d1c02d74d38ef681a45600
	libio: Convert __vdprintf_internal to buffers

	* include/printf_buffer.h: Modified.
	(__printf_buffer_mode): Modified.
	(__printf_buffer_dprintf): New.
	(__printf_buffer_flush_dprintf): New function.
	(PRINTF_BUFFER_SIZE_DPRINTF): New.
	* libio/iovdprintf.c: Modified.
	(libioP.h): Remove include.
	(__vdprintf_internal): Modified function.
	(array_length.h): Include file.
	(math_ldbl_opt.h): Include file.
	(printf.h): Include file.
	(unistd.h): Include file.
	(printf_buffer.h): Include file.
	(__printf_buffer_dprintf): New.
	(__printf_buffer_flush_dprintf): New function.
	* stdio-common/printf_buffer_flush.c: Modified.
	(__printf_buffer_do_flush): Modified function.

2022-12-19  Florian Weimer  <fweimer@redhat.com>

	COMMIT: af7f4165512ea242b5f711ee03a04f6afe22232d
	libio: Convert __vasprintf_internal to buffers

	* include/printf_buffer.h: Modified.
	(__printf_buffer_mode): Modified.
	(__printf_buffer_asprintf): New.
	(__printf_buffer_flush_asprintf): New function.
	(PRINTF_BUFFER_SIZE_ASPRINTF): New.
	* libio/vasprintf.c: Modified.
	(strfile.h): Remove include.
	(__vasprintf_internal): Modified function.
	(array_length.h): Include file.
	(errno.h): Include file.
	(limits.h): Include file.
	(math_ldbl_opt.h): Include file.
	(printf.h): Include file.
	(stdio.h): Include file.
	(printf_buffer.h): Include file.
	(__printf_buffer_asprintf): New.
	(__printf_buffer_flush_asprintf): New function.
	* stdio-common/printf_buffer_flush.c: Modified.
	(__printf_buffer_do_flush): Modified function.

2022-12-19  Florian Weimer  <fweimer@redhat.com>

	COMMIT: fb9bd841b8e8b22a42fd68c56355c2ddd211db21
	libio: Convert __vsprintf_internal to buffers

	* elf/Makefile: Modified.
	* include/printf_buffer.h: Modified.
	(__printf_buffer_mode): Modified.
	* libio/iovsprintf.c: Modified.
	(strfile.h): Remove include.
	(_IO_str_chk_overflow): Remove function.
	(libio_vtable): Remove.
	(__vsprintf_internal): Modified function.
	(printf.h): Include file.
	(stdint.h): Include file.
	(printf_buffer.h): Include file.
	* stdio-common/printf_buffer_flush.c: Modified.
	(__printf_buffer_do_flush): Modified function.

2022-12-19  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 3d0005b54af06d3bb7ab9f85bfe6a27552b11f74
	stdio-common: Add lock optimization to vfprintf and vfwprintf

	* stdio-common/vfprintf-internal.c: Modified.
	(vfprintf): Modified function.

2022-12-19  Florian Weimer  <fweimer@redhat.com>

	COMMIT: e88b9f0e5cc50cab57a299dc7efe1a4eb385161d
	stdio-common: Convert vfprintf and related functions to buffers

	* elf/Makefile: Modified.
	* include/printf.h: Modified.
	[! _ISOMAC](__printf_fphex): Remove.
	[! _ISOMAC](__printf_fp_l): Remove.
	[! _ISOMAC](libc_hidden_proto): Remove.
	[! _ISOMAC](__guess_grouping): Remove.
	[! _ISOMAC](__printf_buffer): New.
	[! _ISOMAC](__printf_buffer): New function.
	[! _ISOMAC](__wprintf_buffer): New.
	[! _ISOMAC](__wprintf_buffer): New function.
	[! _ISOMAC](__printf_fphex_l_buffer): New function.
	[! _ISOMAC](__printf_fp_l_buffer): New function.
	[! _ISOMAC](__wprintf_buffer): New.
	[! _ISOMAC](__wprintf_fphex_l_buffer): New function.
	[! _ISOMAC](__wprintf_fp_l_buffer): New function.
	* include/printf_buffer.h: Modified.
	(__printf_buffer_mode): Modified.
	(__printf_buffer_snprintf): New.
	(__printf_buffer_snprintf_init): New function.
	(__printf_buffer_snprintf_done): New function.
	(__printf_buffer_flush_snprintf): New function.
	(__printf_buffer_fp): New.
	(__printf_buffer_flush_fp): New function.
	(__printf_buffer_fp_to_wide): New.
	(__printf_buffer_flush_fp_to_wide): New function.
	(__printf_buffer_fphex_to_wide): New.
	(__printf_buffer_flush_fphex_to_wide): New function.
	(PRINTF_BUFFER_SIZE_DIGITS): New.
	* libio/strfile.h: Modified.
	(_IO_strn_jumps): Remove.
	* libio/tst-vtables-common.c: Modified.
	(with_compatibility_fprintf): Modified function.
	* libio/vsnprintf.c: Modified.
	(strfile.h): Remove include.
	(_IO_strn_overflow): Remove.
	(_IO_strn_overflow): Remove function.
	(libio_vtable): Remove.
	(__vsnprintf_internal): Modified function.
	(array_length.h): Include file.
	(printf.h): Include file.
	(printf_buffer.h): Include file.
	(__printf_buffer_flush_snprintf): New function.
	(__printf_buffer_snprintf_init): New function.
	(__printf_buffer_snprintf_done): New function.
	* stdio-common/printf_buffer_flush.c: Modified.
	(__printf_buffer_do_flush): Modified function.
	(errno.h): Include file.
	* stdio-common/printf_fp.c: Modified.
	[! COMPILE_WPRINTF](CHAR_T): Remove.
	[! NDEBUG](NDEBUG): Remove.
	[COMPILE_WPRINTF](CHAR_T): Remove.
	(_i18n_number.h): Remove include.
	(PUT): Remove.
	(PAD): Remove.
	(putc): Remove.
	(outchar): Remove.
	(PRINT): Remove.
	(PADN): Remove.
	(group_number): Remove.
	(hack_digit): Modified function.
	(__printf_fp_l): Remove function.
	(libc_hidden_def): Remove.
	(___printf_fp): Modified function.
	(ldbl_hidden_def): Remove function.
	(group_number): Remove function.
	(printf_buffer.h): Include file.
	(printf_buffer_to_file.h): Include file.
	(grouping_iterator.h): Include file.
	(__printf_fp_buffer_1): New function.
	(__printf_buffer_fp): New.
	(__printf_buffer_flush_fp): New function.
	(__printf_fp_l_buffer): New function.
	(__printf_buffer_fp_to_wide): New.
	(__printf_buffer_flush_fp_to_wide): New function.
	(__wprintf_fp_l_buffer): New function.
	* stdio-common/printf_fphex.c: Modified.
	[! MIN](MIN): Remove.
	(PUT): Remove.
	(PAD): Remove.
	(putc): Remove.
	(outchar): Remove.
	(PRINT): Remove.
	(PADN): Remove.
	(__printf_fphex): Remove function.
	(sys/param.h): Include file.
	(printf_buffer.h): Include file.
	(errno.h): Include file.
	(__printf_fphex_buffer): New function.
	(__printf_fphex_l_buffer): New function.
	(__printf_buffer_fphex_to_wide): New.
	(__printf_buffer_flush_fphex_to_wide): New function.
	(__wprintf_fphex_l_buffer): New function.
	* stdio-common/vfprintf-internal.c: Modified.
	[! COMPILE_WPRINTF](CHAR_T): Remove.
	[! COMPILE_WPRINTF](PUT): Remove.
	[! COMPILE_WPRINTF](PUTC): Remove.
	[! COMPILE_WPRINTF](libio_vtable): Remove.
	[! COMPILE_WPRINTF](printf_buffer-char.h): Include file.
	[COMPILE_WPRINTF](CHAR_T): Remove.
	[COMPILE_WPRINTF](PUT): Remove.
	[COMPILE_WPRINTF](PUTC): Remove.
	[COMPILE_WPRINTF](libio_vtable): Remove.
	[COMPILE_WPRINTF](printf_buffer-wchar_t.h): Include file.
	(done_add_func): Remove function.
	(done_add): Remove.
	(pad_func): Remove function.
	(PAD): Remove.
	(_i18n_number.h): Remove include.
	(outchar): Remove.
	(outstring_func): Remove function.
	(outstring): Remove.
	(outstring_converted_wide_string): Modified function.
	(__printf_fp_spec): Modified function.
	(buffered_vfprintf): Remove.
	(printf_positional): Modified.
	(printf_unknown): Modified.
	(group_number): Modified.
	(vfprintf): Modified function.
	(printf_positional): Modified function.
	(printf_unknown): Modified function.
	(group_number): Modified function.
	(helper_file): Remove.
	(_IO_helper_overflow): Remove function.
	(buffered_vfprintf): Remove function.
	(assert.h): Include file.
	(grouping_iterator.h): Include file.
	(printf_buffer.h): Include file.
	(printf_buffer_to_file.h): Include file.
	(Xprintf_buffer): New function.
	* stdio-common/vfprintf-process-arg.c: Modified.
	[! COMPILE_WPRINTF](process_arg_int): Remove.
	[! COMPILE_WPRINTF](done): Remove.
	[! COMPILE_WPRINTF](all_done): Modified.
	[! COMPILE_WPRINTF](buf): Remove.
	[! COMPILE_WPRINTF](len): Modified.
	[! COMPILE_WPRINTF](len): Modified.
	[! COMPILE_WPRINTF](all_done): Remove.
	[! COMPILE_WPRINTF](if): Modified.
	[! COMPILE_WPRINTF](outstring): Remove.
	[! COMPILE_WPRINTF](if): Modified.
	[! COMPILE_WPRINTF](base): New.
	[! COMPILE_WPRINTF](number_length): New.
	[! COMPILE_WPRINTF](__printf_buffer_putc): New function.
	[! COMPILE_WPRINTF](outstring_converted_wide_string): New function.
	[! COMPILE_WPRINTF](wcbuf): New.
	[! COMPILE_WPRINTF](Xprintf_buffer_write): New function.
	[! COMPILE_WPRINTF](if): New function.
	[COMPILE_WPRINTF](outchar): Remove.
	[COMPILE_WPRINTF](done): Remove.
	[COMPILE_WPRINTF](all_done): Remove.
	[COMPILE_WPRINTF](if): Modified.
	[COMPILE_WPRINTF](outchar): Remove.
	[COMPILE_WPRINTF](if): Modified.
	[COMPILE_WPRINTF](number_length): New.
	[COMPILE_WPRINTF](separators): New.
	[COMPILE_WPRINTF](__wprintf_buffer_putc): New function.
	[COMPILE_WPRINTF](outstring_converted_wide_string): New function.
	[COMPILE_WPRINTF](Xprintf_buffer_putc): New function.
	(LABEL): Modified.
	(if): Modified function.
	(string): Modified.
	(base): Modified.
	(base): Remove.
	(if): Modified function.
	(if): Modified function.
	(string): Modified.
	(if): Modified.
	(ptrptr): Modified.
	(ptrptr): Modified.
	(ptrptr): Modified.
	(ptrptr): Modified.
	(ptrptr): Modified.
	(string): Modified.
	(string): Modified.
	(string): Modified.
	(if): Modified.
	(if): Modified.
	(string): Modified.
	(string): Remove.
	(outstring): Remove.
	(if): Modified.
	(outstring): Remove.
	(if): Modified.
	(iter): New.
	(number_slow_path): New.
	(number_length): New.
	(octal_marker): New.
	(written): New.
	(Xprintf_buffer_write): New function.
	(Xprintf_buffer_write): New function.
	(if): New function.
	* stdlib/strfmon_l.c: Modified.
	(out_char): Remove.
	(out_string): Remove.
	(out_nstring): Remove.
	(__vstrfmon_l_internal): Modified function.
	(stdio-common/grouping_iterator.h): Include file.
	(printf_buffer.h): Include file.
	(__vstrfmon_l_buffer): New function.
	* stdlib/strfrom-skeleton.c: Modified.
	(STRFROM): Modified function.
	(printf_buffer.h): Include file.
	* sysdeps/ia64/fpu/printf_fphex.c: Modified.
	(PRINT_FPHEX_LONG_DOUBLE): Modified.
	* sysdeps/ieee754/ldbl-128/printf_fphex_macros.h: Modified.
	(PRINT_FPHEX): Modified.
	* sysdeps/ieee754/ldbl-128ibm/printf_fphex.c: Modified.
	(PRINT_FPHEX_LONG_DOUBLE): Modified.
	* sysdeps/ieee754/ldbl-96/printf_fphex.c: Modified.
	(PRINT_FPHEX_LONG_DOUBLE): Modified.
	* sysdeps/x86_64/fpu/printf_fphex.c: Modified.
	(PRINT_FPHEX_LONG_DOUBLE): Modified.

2022-12-19  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 46378560e056300623364669de2405a7182b064f
	stdio-common: Add __translated_number_width

	* include/printf.h: Modified.
	[! _ISOMAC](__translated_number_width): New function.
	* stdio-common/Makefile: Modified.
	* stdio-common/translated_number_width.c: New file.

2022-12-19  Florian Weimer  <fweimer@redhat.com>

	COMMIT: c7bf2e99cafbd8970f81c38d6f32842cc7846421
	stdio-common: Add __printf_function_invoke

	* include/printf.h: Modified.
	[! _ISOMAC](__printf_function_invoke): New function.
	[! _ISOMAC](__wprintf_function_invoke): New function.
	* stdio-common/Makefile: Modified.
	* stdio-common/Xprintf_function_invoke.c: New file.
	* stdio-common/printf_function_invoke.c: New file.
	* stdio-common/wprintf_function_invoke.c: New file.

2022-12-19  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 659fe9fdd14b0772f4e9722b751b9b010665e053
	stdio-common: Introduce buffers for implementing printf

	* elf/Makefile: Modified.
	* include/printf_buffer.h: New file.
	* stdio-common/Makefile: Modified.
	* stdio-common/Xprintf_buffer_done.c: New file.
	* stdio-common/Xprintf_buffer_flush.c: New file.
	* stdio-common/Xprintf_buffer_pad_1.c: New file.
	* stdio-common/Xprintf_buffer_putc_1.c: New file.
	* stdio-common/Xprintf_buffer_puts_1.c: New file.
	* stdio-common/Xprintf_buffer_write.c: New file.
	* stdio-common/printf_buffer-char.h: New file.
	* stdio-common/printf_buffer-wchar_t.h: New file.
	* stdio-common/printf_buffer_as_file.c: New file.
	* stdio-common/printf_buffer_as_file.h: New file.
	* stdio-common/printf_buffer_done.c: New file.
	* stdio-common/printf_buffer_flush.c: New file.
	* stdio-common/printf_buffer_pad_1.c: New file.
	* stdio-common/printf_buffer_putc_1.c: New file.
	* stdio-common/printf_buffer_puts_1.c: New file.
	* stdio-common/printf_buffer_to_file.c: New file.
	* stdio-common/printf_buffer_to_file.h: New file.
	* stdio-common/printf_buffer_write.c: New file.
	* stdio-common/wprintf_buffer_as_file.c: New file.
	* stdio-common/wprintf_buffer_done.c: New file.
	* stdio-common/wprintf_buffer_flush.c: New file.
	* stdio-common/wprintf_buffer_pad_1.c: New file.
	* stdio-common/wprintf_buffer_putc_1.c: New file.
	* stdio-common/wprintf_buffer_puts_1.c: New file.
	* stdio-common/wprintf_buffer_to_file.c: New file.
	* stdio-common/wprintf_buffer_write.c: New file.

2022-12-19  Florian Weimer  <fweimer@redhat.com>

	COMMIT: ffde06c915d10c0717a0980508ccb28506c6ec63
	locale: Implement struct grouping_iterator

	* stdio-common/Makefile: Modified.
	* stdio-common/grouping_iterator.c: New file.
	* stdio-common/grouping_iterator.h: New file.
	* stdio-common/tst-grouping_iterator.c: New file.

2022-12-19  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: edd1b2a0d9025b849a87f9b7eec616eb820e4fe2
	Use Linux 6.1 in build-many-glibcs.py

	* scripts/build-many-glibcs.py: Modified.

2022-12-19  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: a3708cf6b0a5a68e2ed1ce3db28a03ed21d368d2
	Avoid use of atoi in some places in libc

	* argp/argp-help.c: Modified.
	(fill_in_uparams): Modified function.
	* argp/argp-parse.c: Modified.
	(argp_default_parser): Modified function.
	* inet/rexec.c: Modified.
	(rexec_af): Modified function.
	* resolv/res_init.c: Modified.
	(res_setoptions): Modified function.

2022-12-19  Florian Weimer  <fweimer@redhat.com>

	COMMIT: c1c0dea38833751f36a145c322ce53c9a08332e1
	Linux: Remove epoll_create, inotify_init from syscalls.list

	* sysdeps/unix/sysv/linux/Makefile: Modified.
	* sysdeps/unix/sysv/linux/syscalls.list: Modified.

2022-12-19  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 9a5b1d84fbe405801ba027e328aca9d261bc2d53
	Linux: Reflow and sort some Makefile variables

	* sysdeps/unix/sysv/linux/Makefile: Modified.

2022-12-19  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 0fb10e49ad169374650534509767ec1d4232e230
	mach: Drop remnants of old_CFLAGS

	* sysdeps/mach/configure: Modified.
	* sysdeps/mach/configure.ac: Modified.

2022-12-19  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 7685630b98ca2a3f5de86eadf130993e6cf998a0
	mach: Fix passing -ffreestanding when checking for gnumach headers

	* sysdeps/mach/configure: Modified.
	* sysdeps/mach/configure.ac: Modified.

2022-12-19  Flavio Cruz  <flaviocruz@gmail.com>

	COMMIT: 8b8c768e3c701ed1993789bb46acb8a12c7a93df
	Force use of -ffreestanding when checking for gnumach headers

	* sysdeps/mach/configure: Modified.
	* sysdeps/mach/configure.ac: Modified.

2022-12-15  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 71e408e45dcacf429a94b2807f75aaadd8d37cb9
	elf: Fix tst-relro-symbols.py argument passing

	* elf/tst-relro-symbols.py: Modified.

2022-12-15  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: b712be52645282c706a5faa038242504feb06db5
	x86: Prevent SIGSEGV in memcmp-sse2 when data is concurrently modified [BZ #29863]

	* sysdeps/x86_64/multiarch/memcmp-sse2.S: Modified.

2022-12-13  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 6fd504849de404aad59df5b198d3751b373a0154
	Allow _Qp_fgt in sparc64 localplt.data

	* sysdeps/unix/sysv/linux/sparc/sparc64/localplt.data: Modified.

2022-12-12  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 5dcd2d0ad02ff12c76355ef4f40947c1857ac482
	stdlib: Move _IO_cleanup to call_function_static_weak

	* Makerules: Modified.
	* libio/genops.c: Modified.
	(text_set_element): Remove.
	* stdlib/exit.c: Modified.
	(set-hooks.h): Remove include.
	(__exit_funcs_done): Modified.
	(__run_exit_handlers): Modified function.
	(libio/libioP.h): Include file.

2022-12-12  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: d4facb63ff0349b3c2a83df7363f23a2dbd64a17
	elf: Do not assume symbol order on tst-audit25{a,b}

	* elf/tst-audit25.h: New file.
	* elf/tst-audit25a.c: Modified.
	(do_test): Modified function.
	(tst-audit25.h): Include file.
	* elf/tst-audit25b.c: Modified.
	(do_test): Modified function.
	(array_length.h): Include file.
	(tst-audit25.h): Include file.

2022-12-09  Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>

	COMMIT: 4e21c2075193e406a92c0d1cb091a7c804fda4d9
	time: Use 64 bit time on tzfile

	* time/tzfile.c: Modified.
	(tzfile_mtime): Modified.

2022-12-09  Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>

	COMMIT: fa4a19277842fd09a4815a986f70e0fe0903836f
	nscd: Use 64 bit time_t on libc nscd routines (BZ# 29402)

	* nscd/nscd.h: Modified.
	(traced_file): Modified.
	* nscd/nscd_gethst_r.c: Modified.
	(__nscd_get_nl_timestamp): Modified function.

2022-12-09  Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>

	COMMIT: 545eefc2f5da61801ba82b7a32ca2589b769ec90
	nis: Build libnsl with 64 bit time_t

	* Makeconfig: Modified.
	* nis/nis_call.c: Modified.
	(nis_server_cache): Modified.
	(__libc_lock_define_initialized): Modified function.
	(nis_server_cache_add): Modified function.
	(__nisfind_server): Modified function.

2022-12-08  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: f4f2ca1509288f6f780af50659693a89949e7e46
	realloc: Return unchanged if request is within usable size

	* malloc/malloc.c: Modified.
	[IS_IN (libc)](__libc_realloc): Modified function.
	(musable): New function.
	* malloc/tst-realloc.c: Modified.
	(do_test): Modified function.
	(stdint.h): Include file.

2022-12-07  Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>

	COMMIT: 929ea132b43dbec93e5f4d28f316d37ede91a635
	Linux: Consolidate typesizes.h

	* sysdeps/unix/sysv/linux/arm/bits/typesizes.h: New file.
	* sysdeps/unix/sysv/linux/generic/bits/typesizes.h: Move to...
	* sysdeps/unix/sysv/linux/bits/typesizes.h: ... here.
	* sysdeps/unix/sysv/linux/hppa/bits/typesizes.h: New file.
	* sysdeps/unix/sysv/linux/ia64/bits/typesizes.h: New file.
	* sysdeps/unix/sysv/linux/m68k/bits/typesizes.h: New file.
	* sysdeps/unix/sysv/linux/microblaze/bits/typesizes.h: New file.
	* sysdeps/unix/sysv/linux/mips/bits/typesizes.h: New file.
	* sysdeps/unix/sysv/linux/powerpc/bits/typesizes.h: New file.
	* sysdeps/unix/sysv/linux/sh/bits/typesizes.h: New file.

2022-12-07  Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>

	COMMIT: 9d53dc48e885da95b60a12c1cbbce8d3ca5d7598
	Linux: Make generic fcntl.h the default one

	* sysdeps/unix/sysv/linux/bits/fcntl.h: Modified.
	(This file must be supplied by every Linux architecture."): Remove.
	[!	_FCNTL_H](Never use <bits/fcntl.h> directly; include <fcntl.h> instead."): New.
	[__USE_LARGEFILE64](flock64): New.
	[__WORDSIZE == 64](__O_LARGEFILE): New.
	(bits/wordsize.h): Include file.
	(flock): New.
	(bits/fcntl-linux.h): Include file.
	* sysdeps/unix/sysv/linux/generic/bits/fcntl.h: Delete file.

2022-12-07  Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>

	COMMIT: fea7abbc23d47e5d4f4077dcee0aa35a8ce66800
	Linux: make generic xstatver.h the default one

	* sysdeps/unix/sysv/linux/generic/xstatver.h: Move to...
	* sysdeps/unix/sysv/linux/arm/xstatver.h: ... here.
	(_STAT_VER_KERNEL): Modified.
	(_STAT_VER_LINUX): Modified.
	(_STAT_VER): Modified.
	(_MKNOD_VER_LINUX): Modified.
	(_STAT_VER_LINUX_OLD): New.
	(_STAT_VER_SVR4): New.
	(_MKNOD_VER_SVR4): New.
	* sysdeps/unix/sysv/linux/hppa/xstatver.h: New file.
	* sysdeps/unix/sysv/linux/sh/xstatver.h: New file.
	* sysdeps/unix/sysv/linux/xstatver.h: Modified.
	(_STAT_VER_LINUX_OLD): Remove.
	(_STAT_VER_KERNEL): Modified.
	(_STAT_VER_SVR4): Remove.
	(_STAT_VER_LINUX): Modified.
	(_STAT_VER): Modified.
	(_MKNOD_VER_LINUX): Modified.
	(_MKNOD_VER_SVR4): Remove.

2022-12-07  Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>

	COMMIT: 71e4344f2568c53d7d7a122ae2b4196c1d2b8ae0
	Linux: Remove generic sysdep

	* sysdeps/unix/sysv/linux/aarch64/sysdep.h: Modified.
	(sysdeps/unix/sysv/linux/generic/sysdep.h): Remove include.
	(sysdeps/unix/sysdep.h): Include file.
	(sysdeps/unix/sysv/linux/sysdep.h): Include file.
	* sysdeps/unix/sysv/linux/arc/sysdep.h: Modified.
	(sysdeps/unix/sysv/linux/generic/sysdep.h): Remove include.
	(bits/wordsize.h): Include file.
	(sysdeps/unix/sysdep.h): Include file.
	(sysdeps/unix/sysv/linux/sysdep.h): Include file.
	* sysdeps/unix/sysv/linux/csky/sysdep.h: Modified.
	(sysdeps/unix/sysv/linux/generic/sysdep.h): Remove include.
	(sysdeps/unix/sysdep.h): Include file.
	* sysdeps/unix/sysv/linux/generic/sysdep.h: Delete file.
	* sysdeps/unix/sysv/linux/loongarch/sysdep.h: Modified.
	(sysdeps/unix/sysv/linux/generic/sysdep.h): Remove include.
	(sysdeps/unix/sysv/linux/sysdep.h): Include file.
	(sysdeps/unix/sysdep.h): Include file.
	* sysdeps/unix/sysv/linux/lseek.c: Modified.
	[! __OFF_T_MATCHES_OFF64_T](__lseek): Modified function.
	* sysdeps/unix/sysv/linux/lseek64.c: Modified.
	(__lseek64): Modified function.
	* sysdeps/unix/sysv/linux/nios2/sysdep.h: Modified.
	(sysdeps/unix/sysv/linux/generic/sysdep.h): Remove include.
	(sysdeps/unix/sysv/linux/sysdep.h): Include file.
	* sysdeps/unix/sysv/linux/or1k/sysdep.h: Modified.
	(sysdeps/unix/sysv/linux/generic/sysdep.h): Remove include.
	(sysdeps/unix/sysv/linux/sysdep.h): Include file.
	(sysdeps/unix/sysdep.h): Include file.
	* sysdeps/unix/sysv/linux/riscv/sysdep.h: Modified.
	(sysdeps/unix/sysv/linux/generic/sysdep.h): Remove include.
	(sysdeps/unix/sysv/linux/sysdep.h): Include file.
	(sysdeps/unix/sysdep.h): Include file.

2022-12-07  Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>

	COMMIT: 127945c561535be3975d418fa8f85334a76c298c
	Linux: Assume and consolidate shutdown wire-up syscall

	* sysdeps/unix/sysv/linux/generic/syscalls.list: Modified.
	* sysdeps/unix/sysv/linux/i386/kernel-features.h: Modified.
	[__LINUX_KERNEL_VERSION < 0x040300](__ASSUME_SHUTDOWN_SYSCALL): New.
	[__LINUX_KERNEL_VERSION >= 0x040300](__ASSUME_SHUTDOWN_SYSCALL): Remove.
	* sysdeps/unix/sysv/linux/kernel-features.h: Modified.
	(__ASSUME_SHUTDOWN_SYSCALL): New.
	* sysdeps/unix/sysv/linux/m68k/kernel-features.h: Modified.
	[__LINUX_KERNEL_VERSION < 0x040300](__ASSUME_SHUTDOWN_SYSCALL): New.
	[__LINUX_KERNEL_VERSION >= 0x040300](__ASSUME_SHUTDOWN_SYSCALL): Remove.
	* sysdeps/unix/sysv/linux/microblaze/kernel-features.h: Modified.
	(__ASSUME_SHUTDOWN_SYSCALL): Remove.
	* sysdeps/unix/sysv/linux/powerpc/kernel-features.h: Modified.
	(__ASSUME_SHUTDOWN_SYSCALL): Remove.
	* sysdeps/unix/sysv/linux/s390/kernel-features.h: Modified.
	[__LINUX_KERNEL_VERSION < 0x040300](__ASSUME_SHUTDOWN_SYSCALL): New.
	[__LINUX_KERNEL_VERSION >= 0x040300](__ASSUME_SHUTDOWN_SYSCALL): Remove.
	* sysdeps/unix/sysv/linux/sh/kernel-features.h: Modified.
	(__ASSUME_SHUTDOWN_SYSCALL): Remove.
	* sysdeps/unix/sysv/linux/shutdown.c: Modified.
	(errno.h): Remove include.
	(signal.h): Remove include.
	(kernel-features.h): Remove include.
	(sys/syscall.h): Remove include.
	(__shutdown): Modified function.
	* sysdeps/unix/sysv/linux/sparc/kernel-features.h: Modified.
	[!(! __arch64__ && __LINUX_KERNEL_VERSION < 0x040400)](__ASSUME_SHUTDOWN_SYSCALL): Remove.

2022-12-07  Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>

	COMMIT: 377a14a22a202a0a161778b31a86d3cb6958dc43
	Linux: Assume and consolidate listen wire-up syscall

	* sysdeps/unix/sysv/linux/generic/syscalls.list: Modified.
	* sysdeps/unix/sysv/linux/i386/kernel-features.h: Modified.
	[__LINUX_KERNEL_VERSION < 0x040300](__ASSUME_LISTEN_SYSCALL): New.
	[__LINUX_KERNEL_VERSION >= 0x040300](__ASSUME_LISTEN_SYSCALL): Remove.
	* sysdeps/unix/sysv/linux/kernel-features.h: Modified.
	(__ASSUME_LISTEN_SYSCALL): New.
	* sysdeps/unix/sysv/linux/listen.c: Modified.
	(errno.h): Remove include.
	(signal.h): Remove include.
	(kernel-features.h): Remove include.
	(sys/syscall.h): Remove include.
	(listen): Modified function.
	* sysdeps/unix/sysv/linux/m68k/kernel-features.h: Modified.
	[__LINUX_KERNEL_VERSION < 0x040300](__ASSUME_LISTEN_SYSCALL): New.
	[__LINUX_KERNEL_VERSION >= 0x040300](__ASSUME_LISTEN_SYSCALL): Remove.
	* sysdeps/unix/sysv/linux/microblaze/kernel-features.h: Modified.
	(__ASSUME_LISTEN_SYSCALL): Remove.
	* sysdeps/unix/sysv/linux/powerpc/kernel-features.h: Modified.
	(__ASSUME_LISTEN_SYSCALL): Remove.
	* sysdeps/unix/sysv/linux/s390/kernel-features.h: Modified.
	[__LINUX_KERNEL_VERSION < 0x040300](__ASSUME_LISTEN_SYSCALL): New.
	[__LINUX_KERNEL_VERSION >= 0x040300](__ASSUME_LISTEN_SYSCALL): Remove.
	* sysdeps/unix/sysv/linux/sh/kernel-features.h: Modified.
	(__ASSUME_LISTEN_SYSCALL): Remove.
	* sysdeps/unix/sysv/linux/sparc/kernel-features.h: Modified.
	[__LINUX_KERNEL_VERSION < 0x040400](__ASSUME_LISTEN_SYSCALL): New.
	[__LINUX_KERNEL_VERSION >= 0x040400](__ASSUME_LISTEN_SYSCALL): Remove.

2022-12-07  Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>

	COMMIT: d00783653a56020be669c304f18d39c10dc9eae9
	Linux: Assume and consolidate socketpair wire-up syscall

	* sysdeps/unix/sysv/linux/generic/syscalls.list: Modified.
	* sysdeps/unix/sysv/linux/i386/kernel-features.h: Modified.
	[__LINUX_KERNEL_VERSION < 0x040300](__ASSUME_SOCKETPAIR_SYSCALL): New.
	[__LINUX_KERNEL_VERSION >= 0x040300](__ASSUME_SOCKETPAIR_SYSCALL): Remove.
	* sysdeps/unix/sysv/linux/kernel-features.h: Modified.
	(__ASSUME_SOCKETPAIR_SYSCALL): New.
	* sysdeps/unix/sysv/linux/m68k/kernel-features.h: Modified.
	[__LINUX_KERNEL_VERSION < 0x040300](__ASSUME_SOCKETPAIR_SYSCALL): New.
	[__LINUX_KERNEL_VERSION >= 0x040300](__ASSUME_SOCKETPAIR_SYSCALL): Remove.
	* sysdeps/unix/sysv/linux/microblaze/kernel-features.h: Modified.
	(__ASSUME_SOCKETPAIR_SYSCALL): Remove.
	* sysdeps/unix/sysv/linux/powerpc/kernel-features.h: Modified.
	(__ASSUME_SOCKETPAIR_SYSCALL): Remove.
	* sysdeps/unix/sysv/linux/s390/kernel-features.h: Modified.
	[__LINUX_KERNEL_VERSION < 0x040300](__ASSUME_SOCKETPAIR_SYSCALL): New.
	[__LINUX_KERNEL_VERSION >= 0x040300](__ASSUME_SOCKETPAIR_SYSCALL): Remove.
	* sysdeps/unix/sysv/linux/sh/kernel-features.h: Modified.
	(__ASSUME_SOCKETPAIR_SYSCALL): Remove.
	* sysdeps/unix/sysv/linux/socketpair.c: Modified.
	(errno.h): Remove include.
	(signal.h): Remove include.
	(kernel-features.h): Remove include.
	(sys/syscall.h): Remove include.
	(__socketpair): Modified function.
	* sysdeps/unix/sysv/linux/sparc/kernel-features.h: Modified.
	[!(! __arch64__ && __LINUX_KERNEL_VERSION < 0x040400)](__ASSUME_SOCKETPAIR_SYSCALL): Remove.

2022-12-07  Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>

	COMMIT: 1fed1a5af46fa64d63a7ab7166521b4c1be56007
	Linux: Assume and consolidate socket wire-up syscall

	* sysdeps/unix/sysv/linux/generic/syscalls.list: Modified.
	* sysdeps/unix/sysv/linux/i386/kernel-features.h: Modified.
	[__LINUX_KERNEL_VERSION < 0x040300](__ASSUME_SOCKET_SYSCALL): New.
	[__LINUX_KERNEL_VERSION >= 0x040300](__ASSUME_SOCKET_SYSCALL): Remove.
	* sysdeps/unix/sysv/linux/kernel-features.h: Modified.
	(__ASSUME_SOCKET_SYSCALL): New.
	* sysdeps/unix/sysv/linux/m68k/kernel-features.h: Modified.
	[__LINUX_KERNEL_VERSION < 0x040300](__ASSUME_SOCKET_SYSCALL): New.
	[__LINUX_KERNEL_VERSION >= 0x040300](__ASSUME_SOCKET_SYSCALL): Remove.
	* sysdeps/unix/sysv/linux/microblaze/kernel-features.h: Modified.
	(__ASSUME_SOCKET_SYSCALL): Remove.
	* sysdeps/unix/sysv/linux/powerpc/kernel-features.h: Modified.
	(__ASSUME_SOCKET_SYSCALL): Remove.
	* sysdeps/unix/sysv/linux/s390/kernel-features.h: Modified.
	[__LINUX_KERNEL_VERSION < 0x040300](__ASSUME_SOCKET_SYSCALL): New.
	[__LINUX_KERNEL_VERSION >= 0x040300](__ASSUME_SOCKET_SYSCALL): Remove.
	* sysdeps/unix/sysv/linux/sh/kernel-features.h: Modified.
	(__ASSUME_SOCKET_SYSCALL): Remove.
	* sysdeps/unix/sysv/linux/socket.c: Modified.
	(errno.h): Remove include.
	(signal.h): Remove include.
	(kernel-features.h): Remove include.
	(sys/syscall.h): Remove include.
	(__socket): Modified function.
	* sysdeps/unix/sysv/linux/sparc/kernel-features.h: Modified.
	[!(! __arch64__ && __LINUX_KERNEL_VERSION < 0x040400)](__ASSUME_SOCKET_SYSCALL): Remove.

2022-12-07  Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>

	COMMIT: 215bf99347be78f80ea1e9d7d717a4b67616e28d
	Linux: Assume and consolidate bind wire-up syscall

	* sysdeps/unix/sysv/linux/bind.c: Modified.
	(errno.h): Remove include.
	(signal.h): Remove include.
	(kernel-features.h): Remove include.
	(sys/syscall.h): Remove include.
	(__bind): Modified function.
	* sysdeps/unix/sysv/linux/generic/syscalls.list: Modified.
	* sysdeps/unix/sysv/linux/i386/kernel-features.h: Modified.
	[__LINUX_KERNEL_VERSION < 0x040300](__ASSUME_BIND_SYSCALL): New.
	[__LINUX_KERNEL_VERSION >= 0x040300](__ASSUME_BIND_SYSCALL): Remove.
	* sysdeps/unix/sysv/linux/kernel-features.h: Modified.
	(__ASSUME_BIND_SYSCALL): New.
	* sysdeps/unix/sysv/linux/m68k/kernel-features.h: Modified.
	[__LINUX_KERNEL_VERSION < 0x040300](__ASSUME_BIND_SYSCALL): New.
	[__LINUX_KERNEL_VERSION >= 0x040300](__ASSUME_BIND_SYSCALL): Remove.
	* sysdeps/unix/sysv/linux/microblaze/kernel-features.h: Modified.
	(__ASSUME_BIND_SYSCALL): Remove.
	* sysdeps/unix/sysv/linux/powerpc/kernel-features.h: Modified.
	(__ASSUME_BIND_SYSCALL): Remove.
	* sysdeps/unix/sysv/linux/s390/kernel-features.h: Modified.
	[__LINUX_KERNEL_VERSION < 0x040300](__ASSUME_BIND_SYSCALL): New.
	[__LINUX_KERNEL_VERSION >= 0x040300](__ASSUME_BIND_SYSCALL): Remove.
	* sysdeps/unix/sysv/linux/sh/kernel-features.h: Modified.
	(__ASSUME_BIND_SYSCALL): Remove.
	* sysdeps/unix/sysv/linux/sparc/kernel-features.h: Modified.
	[__LINUX_KERNEL_VERSION >= 0x040400](__ASSUME_BIND_SYSCALL): Remove.
	[__LINUX_KERNEL_VERSION < 0x040400](__ASSUME_BIND_SYSCALL): New.

2022-12-07  Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>

	COMMIT: a33919698b8b7e556f2eaf7d8550842ee654f2ae
	Linux: consolidate ____longjmp_chk

	* sysdeps/unix/sysv/linux/generic/____longjmp_chk.c: Move to...
	* sysdeps/unix/sysv/linux/____longjmp_chk.c: ... here.
	(____longjmp_chk): Modified.

2022-12-07  Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>

	COMMIT: 04e7e2658c4ffe1a96fb445cbfe583a9d51ca622
	Linux: consolidate sendfile implementation

	* sysdeps/unix/sysv/linux/mips/mips64/n64/sendfile64.c: Delete file.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/syscalls.list: Delete file.
	* sysdeps/unix/sysv/linux/generic/wordsize-32/sendfile.c: Move to...
	* sysdeps/unix/sysv/linux/sendfile.c: ... here.
	(sendfile): Remove function.
	[! __OFF_T_MATCHES_OFF64_T](sendfile): New.
	* sysdeps/unix/sysv/linux/sendfile64.c: New file.
	* sysdeps/unix/sysv/linux/syscalls.list: Modified.
	* sysdeps/unix/sysv/linux/wordsize-64/sendfile64.c: Delete file.
	* sysdeps/unix/sysv/linux/wordsize-64/syscalls.list: Modified.

2022-12-07  Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>

	COMMIT: 9cffb295e3af682bcc1c2629e808e3db8a4e2cbf
	Linux: consolidate unlink implementation

	* sysdeps/unix/sysv/linux/generic/unlink.c: Move to...
	* sysdeps/unix/sysv/linux/unlink.c: ... here.
	(__unlink): Modified function.

2022-12-07  Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>

	COMMIT: bf58f34a708055361056907511c625449b7d27d6
	Linux: consolidate symlink implementation

	* sysdeps/unix/sysv/linux/generic/symlink.c: Move to...
	* sysdeps/unix/sysv/linux/symlink.c: ... here.
	(__symlink): Modified function.

2022-12-07  Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>

	COMMIT: 54ed77914a7718f5847aa193dcc5234675b6ef7b
	Linux: consolidate rmdir implementation

	* sysdeps/unix/sysv/linux/generic/rmdir.c: Move to...
	* sysdeps/unix/sysv/linux/rmdir.c: ... here.
	(__rmdir): Modified function.

2022-12-07  Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>

	COMMIT: 2fc81f6ca56f1df5323fc849f3f8dc40f38fc5b2
	Linux: consolidate readlink implementation

	* sysdeps/unix/sysv/linux/generic/readlink.c: Move to...
	* sysdeps/unix/sysv/linux/readlink.c: ... here.
	(__readlink): Modified function.

2022-12-07  Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>

	COMMIT: ccb9215dbe414207d9ee63bb85e9fa6daac4f641
	Linux: consolidate mkdir implementation

	* sysdeps/unix/sysv/linux/generic/mkdir.c: Move to...
	* sysdeps/unix/sysv/linux/mkdir.c: ... here.
	(errno.h): Remove include.
	(stddef.h): Remove include.
	(sys/types.h): Remove include.
	(__mkdir): Modified function.

2022-12-07  Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>

	COMMIT: f178e5173f737c33f421a7a994a3ab67a8a4eb86
	Linux: consolidate link implementation

	* sysdeps/unix/sysv/linux/generic/link.c: Move to...
	* sysdeps/unix/sysv/linux/link.c: ... here.
	(__link): Modified function.

2022-12-07  Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>

	COMMIT: 25ca6175bacb40b9704458e53ddee58865d8ab2b
	Linux: consolidate lchown implementation

	* sysdeps/unix/sysv/linux/generic/lchown.c: Move to...
	* sysdeps/unix/sysv/linux/lchown.c: ... here.
	(__lchown): Modified function.

2022-12-07  Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>

	COMMIT: 842128f160a48e5545900ea3bc3ba2ce40539d11
	Linux: consolidate inotify_init implementation

	* sysdeps/unix/sysv/linux/generic/inotify_init.c: Move to...
	* sysdeps/unix/sysv/linux/inotify_init.c: ... here.
	(inotify_init): Modified function.

2022-12-07  Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>

	COMMIT: d1d23b134244d59c4d6ef2295df5ec97b81ddb0a
	Lninux: consolidate epoll_create implementation

	* sysdeps/unix/sysv/linux/generic/epoll_create.c: Move to...
	* sysdeps/unix/sysv/linux/epoll_create.c: ... here.
	(epoll_create): Modified function.

2022-12-07  Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>

	COMMIT: 33ef940302eba1ecf9e98376557af75d7d9c0ed1
	Linux: consolidate dup2 implementation

	* sysdeps/unix/sysv/linux/generic/dup2.c: Move to...
	* sysdeps/unix/sysv/linux/dup2.c: ... here.
	(__dup2): Modified function.

2022-12-07  Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>

	COMMIT: 1001abfa14d5289236dcca740ab72ec4d1fa5352
	Linux: consolidate chown implementation

	* sysdeps/unix/sysv/linux/generic/chown.c: Move to...
	* sysdeps/unix/sysv/linux/chown.c: ... here.
	(__chown): Modified function.

2022-12-07  Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>

	COMMIT: f0fa84d31fac30ce0f5cba715751478253f4ba8c
	Linux: consolidate chmod implementation

	* sysdeps/unix/sysv/linux/generic/chmod.c: Move to...
	* sysdeps/unix/sysv/linux/chmod.c: ... here.
	(sys/types.h): Remove include.
	(__chmod): Modified function.

2022-12-07  Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>

	COMMIT: b14e1f9fcd3ca4dd86d0637f6e32e7bf642394da
	linux: Consolidate dl-origin.c

	* sysdeps/unix/sysv/linux/dl-origin.c: Modified.
	(stdlib.h): Remove include.
	(string.h): Remove include.
	(unistd.h): Remove include.
	(sys/param.h): Remove include.
	(_dl_get_origin): Modified function.
	(fcntl.h): Include file.
	* sysdeps/unix/sysv/linux/generic/dl-origin.c: Delete file.

2022-12-07  Xing Li  <lixing@loongson.cn>

	COMMIT: 36d423e2032e98305799071b831691fc4c06deea
	linux: Use long int for syscall return value

	* sysdeps/unix/sysv/linux/syscall.c: Modified.
	(syscall): Modified function.

2022-12-07  Chenghua Xu  <xuchenghua@loongson.cn>

	COMMIT: 9f482b73f41a9a1bbfb173aad0733d1c824c788a
	LoongArch: Use medium cmodel build libc_nonshared.a.

	* sysdeps/loongarch/Makefile: Modified.
	* sysdeps/loongarch/configure: Modified.
	* sysdeps/loongarch/configure.ac: Modified.

2022-12-06  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 8d6083717c1df492d1276b302180df0dcdddb4cf
	x86_64: State assembler is being tested on sysdeps/x86/configure

	* sysdeps/x86/configure: Modified.
	* sysdeps/x86/configure.ac: Modified.

2022-12-06  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 2b0da5028dc85421dae2bbe67727b896569c814f
	configure: Remove AS check

	* aclocal.m4: Modified.
	* configure: Modified.
	* configure.ac: Modified.
	* scripts/build-many-glibcs.py: Modified.
	* sysdeps/x86/configure: Modified.
	* sysdeps/x86/configure.ac: Modified.

2022-12-06  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 6cfc50f40a5e59bc46d8b45bc7520f719e86af1e
	configure: Remove check if ld is GNU

	* aclocal.m4: Modified.
	* configure: Modified.
	* sysdeps/unix/sysv/linux/powerpc/configure: Modified.

2022-12-06  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: f35b7ce02fcf5267e128f25d4b01b80711a01110
	configure: Remove check if as is GNU

	* aclocal.m4: Modified.
	* configure: Modified.

2022-12-06  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 43ecc41dda576947c6adcc94b35c083d926e43ce
	configure: Move locale tools early

	* configure: Modified.
	* configure.ac: Modified.

2022-12-02  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: 8fb923ddc38dd5f4bfac4869d70fd80483fdb87a
	hurd: Make getrandom cache the server port

	* sysdeps/mach/hurd/getrandom.c: Modified.
	(unistd.h): Remove include.
	(not-cancel.h): Remove include.
	(__getrandom): Modified function.
	(hurd.h): Include file.
	(__libc_rwlock_define_initialized): New function.
	(urandom_server_nonblock): New.

2022-12-02  Rajalakshmi Srinivasaraghavan  <rajis@linux.ibm.com>

	COMMIT: 2f47198b04a02097f438ecb765306fa39568a006
	powerpc64: Remove old strncmp optimization

	* sysdeps/powerpc/powerpc64/multiarch/Makefile: Modified.
	* sysdeps/powerpc/powerpc64/multiarch/ifunc-impl-list.c: Modified.
	(__libc_ifunc_impl_list): Modified function.
	* sysdeps/powerpc/powerpc64/multiarch/strncmp-power4.S: Delete file.
	* sysdeps/powerpc/powerpc64/multiarch/strncmp.c: Modified.
	[! __LITTLE_ENDIAN__](libc_ifunc_redirected): Modified.
	[__LITTLE_ENDIAN__](libc_ifunc_redirected): Modified.
	(__strncmp_power4): Remove.
	* sysdeps/powerpc/powerpc64/power4/strncmp.S: Delete file.

2022-12-02  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: e5672763c44f16ddbc42809f5def7c6a962602bd
	x86-64 strncpy: Properly handle the length parameter [BZ# 29839]

	* sysdeps/x86_64/multiarch/strncpy-avx2.S: Modified.
	* sysdeps/x86_64/multiarch/strncpy-evex.S: Modified.

2022-12-02  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: f566b028524149ddfebe7f9770a3befb13b81a13
	x86-64 strncat: Properly handle the length parameter [BZ# 24097]

	* sysdeps/x86_64/multiarch/strcat-sse2-unaligned.S: Modified.
	* sysdeps/x86_64/multiarch/strncat-avx2.S: Modified.
	* sysdeps/x86_64/multiarch/strncat-evex.S: Modified.
	* sysdeps/x86_64/x32/Makefile: Modified.
	* sysdeps/x86_64/x32/tst-size_t-strncat.c: New file.

2022-11-29  Shahab Vahedi  <shahab@synopsys.com>

	COMMIT: 6ae0737d430900fff02569548a92bdca49622a15
	ARC: update definitions in elf/elf.h

	* elf/elf.h: Modified.
	(R_ARC_B26): Remove.
	(R_ARC_JUMP_SLOT): Remove.
	(R_ARC_TLS_DTPOFF_S9): Modified.
	(R_ARC_TLS_LE_S9): Modified.
	(R_ARC_TLS_LE_32): Modified.
	(EF_ARC_MACH_MSK): New.
	(EF_ARC_OSABI_MSK): New.
	(EF_ARC_ALL_MSK): New.
	(SHT_ARC_ATTRIBUTES): New.
	(R_ARC_SDA_12): New.
	(R_ARC_SDA16_ST2): New.
	(R_ARC_32_PCREL): New.
	(R_ARC_JMP_SLOT): New.
	(R_ARC_S21W_PCREL_PLT): New.
	(R_ARC_S25H_PCREL_PLT): New.
	(R_ARC_JLI_SECTOFF): New.
	(R_ARC_S25W_PCREL_PLT): New.
	(R_ARC_S21H_PCREL_PLT): New.
	(R_ARC_NPS_CMEM16): New.
	* scripts/glibcelf.py: Modified.
	* sysdeps/arc/dl-machine.h: Modified.
	[! dl_machine_h](elf_machine_type_class): Modified.
	[! dl_machine_h](ELF_MACHINE_JMP_SLOT): Modified.
	[RESOLVE_MAP](elf_machine_rela): Modified function.
	[RESOLVE_MAP](elf_machine_lazy_rel): Modified function.

2022-11-29  Shahab Vahedi  <shahab@synopsys.com>

	COMMIT: 987f8647e8d6206cebc613e5c162ff8b4d014d40
	scripts: Add "|" operator support to glibcpp's parsing

	* scripts/glibcpp.py: Modified.
	* support/tst-glibcpp.py: Modified.

2022-11-29  Tulio Magno Quites Machado Filho  <tuliom@redhat.com>

	COMMIT: 227df6243a2b5b4d70d11772d12c02eb9cb666ca
	Apply asm redirections in syslog.h before first use [BZ #27087]

	* misc/bits/syslog.h: Modified.
	[__LDBL_COMPAT || __LDOUBLE_REDIRECTS_TO_FLOAT128_ABI == 1](bits/syslog-ldbl.h): New.
	(bits/floatn.h): Include file.
	* misc/sys/syslog.h: Modified.
	[__LDBL_COMPAT || __LDOUBLE_REDIRECTS_TO_FLOAT128_ABI == 1](bits/syslog-ldbl.h): Remove.
	(bits/floatn.h): Remove include.
	[!(__USE_FORTIFY_LEVEL > 0 &&  __forty_function)][__LDBL_COMPAT || __LDOUBLE_REDIRECTS_TO_FLOAT128_ABI == 1](bits/syslog-ldbl.h): New.
	[!(__USE_FORTIFY_LEVEL > 0 &&  __forty_function)](bits/floatn.h): New.

2022-11-29  Xiaolin Tang  <tangxiaolin@loongson.cn>

	COMMIT: 885d340f20aab989482b8a1f844a224a1656d52c
	LoongArch: Add support for ilogb[f]

	* sysdeps/loongarch/fpu/e_ilogb.c: New file.
	* sysdeps/loongarch/fpu/e_ilogbf.c: New file.

2022-11-29  Xiaolin Tang  <tangxiaolin@loongson.cn>

	COMMIT: d3366b6b87d0b178dca1cc88f964f1140fdd872c
	LoongArch: Add support for scalb[f]

	* sysdeps/loongarch/fpu/e_scalb.c: New file.
	* sysdeps/loongarch/fpu/e_scalbf.c: New file.

2022-11-29  Xiaolin Tang  <tangxiaolin@loongson.cn>

	COMMIT: e3d9ca4e9474ed4f9b6a9879867f14fea6e2bee9
	LoongArch: Add support for scalbn[f]

	* sysdeps/loongarch/fpu/s_scalbn.c: New file.
	* sysdeps/loongarch/fpu/s_scalbnf.c: New file.

2022-11-29  Xiaolin Tang  <tangxiaolin@loongson.cn>
            Xi Ruoyao  <xry111@xry111.site>

	COMMIT: 13c549f49705d10105b16706124077e07068a936
	LoongArch: Use __builtin_logb{,f} with GCC >= 13

	* sysdeps/loongarch/fpu/math-use-builtins-logb.h: New file.

2022-11-29  Xiaolin Tang  <tangxiaolin@loongson.cn>
            Xi Ruoyao  <xry111@xry111.site>

	COMMIT: 2e2485ce05bce85bf092ba0752854afa14b92dad
	Use GCC builtins for logb functions if desired.

	* sysdeps/generic/math-use-builtins-logb.h: New file.
	* sysdeps/generic/math-use-builtins.h: Modified.
	(math-use-builtins-logb.h): Include file.
	* sysdeps/ieee754/dbl-64/s_logb.c: Modified.
	(__logb): Modified function.
	(math-use-builtins.h): Include file.
	* sysdeps/ieee754/float128/float128_private.h: Modified.
	(USE_LOGBL_BUILTIN): New.
	* sysdeps/ieee754/flt-32/s_logbf.c: Modified.
	(__logbf): Modified function.
	(math-use-builtins.h): Include file.
	* sysdeps/ieee754/ldbl-128/s_logbl.c: Modified.
	(__logbl): Modified function.
	(math-use-builtins.h): Include file.

2022-11-29  Xiaolin Tang  <tangxiaolin@loongson.cn>
            Xi Ruoyao  <xry111@xry111.site>

	COMMIT: f711e4ef53990b6c76f2dfdbcb9f791c541cdac3
	LoongArch: Use __builtin_llrint{,f} with GCC >= 13

	* sysdeps/loongarch/fpu/math-use-builtins-llrint.h: New file.

2022-11-29  Xiaolin Tang  <tangxiaolin@loongson.cn>
            Xi Ruoyao  <xry111@xry111.site>

	COMMIT: a1981ecbfd4aec84dea26936d91c8ed9164f8b13
	Use GCC builtins for llrint functions if desired.

	* sysdeps/generic/math-use-builtins-llrint.h: New file.
	* sysdeps/generic/math-use-builtins.h: Modified.
	(math-use-builtins-llrint.h): Include file.
	* sysdeps/ieee754/dbl-64/s_llrint.c: Modified.
	(two52): Remove.
	(__llrint): Modified function.
	(math-use-builtins.h): Include file.
	* sysdeps/ieee754/float128/float128_private.h: Modified.
	(USE_LLRINTL_BUILTIN): New.
	* sysdeps/ieee754/flt-32/s_llrintf.c: Modified.
	(two23): Remove.
	(__llrintf): Modified function.
	(math-use-builtins.h): Include file.
	* sysdeps/ieee754/ldbl-128/s_llrintl.c: Modified.
	(two112): Remove.
	(__llrintl): Modified function.
	(math-use-builtins.h): Include file.

2022-11-29  Xiaolin Tang  <tangxiaolin@loongson.cn>
            Xi Ruoyao  <xry111@xry111.site>

	COMMIT: e1697a540c49d5bd35e84b22fcd537c14f71a4e9
	LoongArch: Use __builtin_lrint{,f} with GCC >= 13

	* sysdeps/loongarch/fpu/math-use-builtins-lrint.h: New file.

2022-11-29  Xiaolin Tang  <tangxiaolin@loongson.cn>
            Xi Ruoyao  <xry111@xry111.site>

	COMMIT: 2b23ab1feab5a59bcc1931666663b2a8eac3fdbc
	Use GCC builtins for lrint functions if desired.

	* sysdeps/generic/math-use-builtins-lrint.h: New file.
	* sysdeps/generic/math-use-builtins.h: Modified.
	(math-use-builtins-lrint.h): Include file.
	* sysdeps/ieee754/dbl-64/s_lrint.c: Modified.
	(two52): Remove.
	(__lrint): Modified function.
	(math-use-builtins.h): Include file.
	* sysdeps/ieee754/float128/float128_private.h: Modified.
	(USE_LRINTL_BUILTIN): New.
	* sysdeps/ieee754/flt-32/s_lrintf.c: Modified.
	(two23): Remove.
	(__lrintf): Modified function.
	(math-use-builtins.h): Include file.
	* sysdeps/ieee754/ldbl-128/s_lrintl.c: Modified.
	(two112): Remove.
	(__lrintl): Modified function.
	(math-use-builtins.h): Include file.

2022-11-29  Xi Ruoyao  <xry111@xry111.site>

	COMMIT: 948652e4f82f5aedbe882178ae158990bde63c79
	LoongArch: Use __builtin_rint{,f} with GCC >= 13

	* sysdeps/loongarch/fpu/math-use-builtins-rint.h: New file.

2022-11-27  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: f704192911c6c7b65a54beab3ab369fca7609a5d
	x86/fpu: Factor out shared avx2/avx512 code in svml_{s|d}_wrapper_impl.h

	* sysdeps/x86_64/fpu/svml_d_wrapper_impl.h: Modified.
	(svml_sd_wrapper_impl.h): Include file.
	* sysdeps/x86_64/fpu/svml_s_wrapper_impl.h: Modified.
	(svml_sd_wrapper_impl.h): Include file.
	* sysdeps/x86_64/fpu/svml_sd_wrapper_impl.h: New file.

2022-11-27  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 72f6a5a0ed25d14e6dab8f54878fd46ebaee2dd5
	x86/fpu: Cleanup code in svml_{s|d}_wrapper_impl.h

	* sysdeps/x86_64/fpu/svml_d_wrapper_impl.h: Modified.
	* sysdeps/x86_64/fpu/svml_s_wrapper_impl.h: Modified.

2022-11-27  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: d371be4b1137151482e70087bae321ddde8541e2
	x86/fpu: Reformat svml_{s|d}_wrapper_impl.h

	* sysdeps/x86_64/fpu/svml_d_wrapper_impl.h: Modified.
	* sysdeps/x86_64/fpu/svml_s_wrapper_impl.h: Modified.

2022-11-27  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 95177b78ffa7a23c781d9b4f8bd0d8a8270891d9
	x86/fpu: Fix misspelled evex512 section in variety of svml files

	* sysdeps/x86_64/fpu/multiarch/svml_s_acosf16_core_avx512.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_s_acoshf16_core_avx512.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_s_asinf16_core_avx512.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_s_asinhf16_core_avx512.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_s_atan2f16_core_avx512.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_s_atanf16_core_avx512.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_s_atanhf16_core_avx512.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_s_cbrtf16_core_avx512.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_s_coshf16_core_avx512.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_s_erfcf16_core_avx512.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_s_erff16_core_avx512.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_s_exp10f16_core_avx512.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_s_exp2f16_core_avx512.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_s_expm1f16_core_avx512.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_s_hypotf16_core_avx512.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_s_log10f16_core_avx512.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_s_log1pf16_core_avx512.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_s_log2f16_core_avx512.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_s_sinhf16_core_avx512.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_s_tanf16_core_avx512.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_s_tanhf16_core_avx512.S: Modified.

2022-11-27  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: e1d082d9de391d07c0c96b5f3408a9d2857860c1
	x86/fpu: Add missing ISA sections to variety of svml files

	* Suppressing diff as too many files differ.

2022-11-21  Andreas Schwab  <schwab@suse.de>

	COMMIT: a46956e65d037358161e7512a9f0fd408ea1333a
	stdio-common: Add missing dependencies (bug 29780)

	* stdio-common/Makefile: Modified.

2022-11-21  Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>

	COMMIT: 59aa41585f668b70b86a8e2617057da08f3291cc
	i386: Avoid rely on linker optimization to avoid relocation

	* sysdeps/i386/start.S: Modified.

2022-11-21  Vladislav Khmelevsky  <och95@yandex.ru>

	COMMIT: eb4181e9f4a512de37dad4ba623c921671584dea
	elf: Fix rtld-audit trampoline for aarch64

	* sysdeps/aarch64/dl-trampoline.S: Modified.

2022-11-17  YunQiang Su  <yunqiang.su@cipunited.com>

	COMMIT: a9acb7b39ed21386142b963aeecc35e0b468c0de
	Define in_int32_t_range to check if the 64 bit time_t syscall should be used

	* include/time.h: Modified.
	[! _ISOMAC](in_time_t_range): Modified function.
	[! _ISOMAC](in_int32_t_range): New function.
	* nptl/futex-internal.c: Modified.
	(__futex_abstimed_wait_common): Modified function.
	(__futex_lock_pi64): Modified function.
	* sysdeps/unix/sysv/linux/clock_adjtime.c: Modified.
	(__clock_adjtime64): Modified function.
	* sysdeps/unix/sysv/linux/clock_nanosleep.c: Modified.
	(__clock_nanosleep_time64): Modified function.
	* sysdeps/unix/sysv/linux/clock_settime.c: Modified.
	(__clock_settime64): Modified function.
	* sysdeps/unix/sysv/linux/mq_timedreceive.c: Modified.
	(___mq_timedreceive_time64): Modified function.
	* sysdeps/unix/sysv/linux/mq_timedsend.c: Modified.
	(___mq_timedsend_time64): Modified function.
	* sysdeps/unix/sysv/linux/ppoll.c: Modified.
	(__ppoll64): Modified function.
	* sysdeps/unix/sysv/linux/pselect.c: Modified.
	(__pselect64): Modified function.
	* sysdeps/unix/sysv/linux/recvmmsg.c: Modified.
	(recvmmsg_syscall): Modified function.
	* sysdeps/unix/sysv/linux/select.c: Modified.
	(__select64): Modified function.
	* sysdeps/unix/sysv/linux/semtimedop.c: Modified.
	(__semtimedop64): Modified function.
	* sysdeps/unix/sysv/linux/setitimer.c: Modified.
	(__setitimer64): Modified function.
	* sysdeps/unix/sysv/linux/setsockopt.c: Modified.
	[! __ASSUME_TIME64_SYSCALLS](setsockopt32): Modified function.
	* sysdeps/unix/sysv/linux/sigtimedwait.c: Modified.
	(__sigtimedwait64): Modified function.
	* sysdeps/unix/sysv/linux/timer_settime.c: Modified.
	[!TIMER_T_WAS_INT_COMPAT](___timer_settime64): Modified function.
	* sysdeps/unix/sysv/linux/timerfd_settime.c: Modified.
	(__timerfd_settime64): Modified function.
	* sysdeps/unix/sysv/linux/utimensat.c: Modified.
	(__utimensat64_helper): Modified function.

2022-11-14  Alan Modra  <amodra@gmail.com>

	COMMIT: 94628de77888c3292fc103840731ff85f283368e
	elf/tst-tlsopt-powerpc fails when compiled with -mcpu=power10 (BZ# 29776)

	* sysdeps/powerpc/mod-tlsopt-powerpc.c: Modified.
	(tls_get_addr_opt_test): Modified function.

2022-11-14  Xiaolin Tang  <tangxiaolin@loongson.cn>

	COMMIT: 838b0da96a33e1200adb279c9cef30b1079b6709
	LoongArch: Hard Float Support for fmaximum_mag_num{f/ }, fminimum_mag_num{f/ }.

	* sysdeps/loongarch/fpu/s_fmaximum_mag_num.c: New file.
	* sysdeps/loongarch/fpu/s_fmaximum_mag_numf.c: New file.
	* sysdeps/loongarch/fpu/s_fminimum_mag_num.c: New file.
	* sysdeps/loongarch/fpu/s_fminimum_mag_numf.c: New file.

2022-11-14  Xiaolin Tang  <tangxiaolin@loongson.cn>

	COMMIT: a10f9fb3ff37b98f0adc5bdc0b4c32920c0c540a
	LoongArch: Hard Float Support for fmaximum_mag{f/ }, fminimum_mag{f/ }.

	* sysdeps/loongarch/fpu/s_fmaximum_mag.c: New file.
	* sysdeps/loongarch/fpu/s_fmaximum_magf.c: New file.
	* sysdeps/loongarch/fpu/s_fminimum_mag.c: New file.
	* sysdeps/loongarch/fpu/s_fminimum_magf.c: New file.

2022-11-14  Xiaolin Tang  <tangxiaolin@loongson.cn>

	COMMIT: 73e35174f5673d58cb8e1bd5f34c086a7759ff20
	LoongArch: Hard Float Support for fmaxmag{f/ }, fminmag{f/ }.

	* sysdeps/loongarch/fpu/s_fmaxmag.c: New file.
	* sysdeps/loongarch/fpu/s_fmaxmagf.c: New file.
	* sysdeps/loongarch/fpu/s_fminmag.c: New file.
	* sysdeps/loongarch/fpu/s_fminmagf.c: New file.

2022-11-14  Xiaolin Tang  <tangxiaolin@loongson.cn>

	COMMIT: bd612245748b2662a6e37d6592db5b177f621208
	LoongArch: Hard Float Support for fmaximum_num{f/ }, fminimum_num{f/ }.

	* sysdeps/loongarch/fpu/s_fmaximum_num.c: New file.
	* sysdeps/loongarch/fpu/s_fmaximum_numf.c: New file.
	* sysdeps/loongarch/fpu/s_fminimum_num.c: New file.
	* sysdeps/loongarch/fpu/s_fminimum_numf.c: New file.

2022-11-14  Xiaolin Tang  <tangxiaolin@loongson.cn>

	COMMIT: 1ed6c7ab2e4c51251932daecb0d14bfa71c35aee
	LoongArch: Hard Float Support for fmaximum{f/ }, fminimum{f/ }.

	* sysdeps/loongarch/fpu/s_fmaximum.c: New file.
	* sysdeps/loongarch/fpu/s_fmaximumf.c: New file.
	* sysdeps/loongarch/fpu/s_fminimum.c: New file.
	* sysdeps/loongarch/fpu/s_fminimumf.c: New file.

2022-11-14  Xiaolin Tang  <tangxiaolin@loongson.cn>

	COMMIT: 5fe2647d3168194f3534bbf1c02930c891a25977
	LoongArch: Hard Float Support for float-point classification functions.

	* sysdeps/loongarch/fpu/s_finite.c: New file.
	* sysdeps/loongarch/fpu/s_finitef.c: New file.
	* sysdeps/loongarch/fpu/s_fpclassify.c: New file.
	* sysdeps/loongarch/fpu/s_fpclassifyf.c: New file.
	* sysdeps/loongarch/fpu/s_isinf.c: New file.
	* sysdeps/loongarch/fpu/s_isinff.c: New file.
	* sysdeps/loongarch/fpu/s_isnan.c: New file.
	* sysdeps/loongarch/fpu/s_isnanf.c: New file.
	* sysdeps/loongarch/fpu/s_issignaling.c: New file.
	* sysdeps/loongarch/fpu/s_issignalingf.c: New file.
	* sysdeps/loongarch/fpu_control.h: Modified.
	[! __loongarch_soft_float](_FCLASS_SNAN): New.
	[! __loongarch_soft_float](_FCLASS_QNAN): New.
	[! __loongarch_soft_float](_FCLASS_MINF): New.
	[! __loongarch_soft_float](_FCLASS_MNORM): New.
	[! __loongarch_soft_float](_FCLASS_MSUBNORM): New.
	[! __loongarch_soft_float](_FCLASS_MZERO): New.
	[! __loongarch_soft_float](_FCLASS_PINF): New.
	[! __loongarch_soft_float](_FCLASS_PNORM): New.
	[! __loongarch_soft_float](_FCLASS_PSUBNORM): New.
	[! __loongarch_soft_float](_FCLASS_PZERO): New.
	[! __loongarch_soft_float](_FCLASS_ZERO): New.
	[! __loongarch_soft_float](_FCLASS_SUBNORM): New.
	[! __loongarch_soft_float](_FCLASS_NORM): New.
	[! __loongarch_soft_float](_FCLASS_INF): New.
	[! __loongarch_soft_float](_FCLASS_NAN): New.

2022-11-14  Xiaolin Tang  <tangxiaolin@loongson.cn>

	COMMIT: 56da6a073daaf86a7044df22b8778e913db5099c
	LoongArch: Use __builtin_{fma, fmaf} to implement function {fma, fmaf}.

	* sysdeps/loongarch/fpu/math-use-builtins-fma.h: New file.

2022-11-10  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 22a46dee24351fd5f4f188ad80554cad79c82524
	Linux: Support __IPC_64 in sysvctl *ctl command arguments (bug 29771)

	* sysdeps/unix/sysv/linux/ipc_priv.h: Modified.
	[!(__IPC_TIME64 ||  __ASSUME_SYSVIPC_BROKEN_MODE_T)](IPC_CTL_NEED_TRANSLATION): New.
	[__IPC_TIME64 ||  __ASSUME_SYSVIPC_BROKEN_MODE_T](IPC_CTL_NEED_TRANSLATION): New.
	* sysdeps/unix/sysv/linux/msgctl.c: Modified.
	(__msgctl64): Modified function.
	* sysdeps/unix/sysv/linux/semctl.c: Modified.
	(__semctl64): Modified function.
	* sysdeps/unix/sysv/linux/shmctl.c: Modified.
	(__shmctl64): Modified function.

2022-11-09  Zong Li  <zong.li@sifive.com>

	COMMIT: 38caf7a1cc92e6a546ea655701c8237ee727d0d3
	riscv: Get level 3 cache's information

	* sysdeps/unix/sysv/linux/riscv/sysconf.c: Modified.
	(__sysconf): Modified function.

2022-11-09  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 1a8335a408430517001a0660f5c7787223ce85e4
	debug: Fix typo in tests-unsupported rule

	* debug/Makefile: Modified.

2022-11-09  наб  <nabijaczleweli@nabijaczleweli.xyz>

	COMMIT: 049781285dad97e33c6d54e5c6e3c8c6f6eda69e
	iconvdata/tst-table-charmap.sh: remove handling of old, borrowed format

	* iconvdata/gb18030.c: Modified.
	* iconvdata/tst-table-charmap.sh: Modified.
	* iconvdata/tst-table.sh: Modified.

2022-11-08  Fangrui Song  <maskray@google.com>

	COMMIT: 2ae7990542e1955097aa21943e416dec70f867fa
	Makerules: Generate shlib.lds with -fuse-ld=bfd

	* Makerules: Modified.

2022-11-08  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 52cf11004eb10f8ebbc193fbdf4094cfecb3dbff
	x86: Add avx2 optimized functions for the wchar_t strcpy family

	* sysdeps/x86_64/multiarch/Makefile: Modified.
	* sysdeps/x86_64/multiarch/ifunc-impl-list.c: Modified.
	(__libc_ifunc_impl_list): Modified function.
	* sysdeps/x86_64/multiarch/ifunc-wcs.h: Modified.
	(__typeof): Modified.
	(IFUNC_SELECTOR): Modified function.
	(__typeof): New function.
	* sysdeps/x86_64/multiarch/wcpcpy-avx2.S: New file.
	* sysdeps/x86_64/multiarch/wcpcpy-generic.c: Modified.
	[ISA_SHOULD_BUILD (3)](WCPCPY): Remove.
	[ISA_SHOULD_BUILD (3)](wcsmbs/wcpcpy.c): Remove.
	[ISA_SHOULD_BUILD (2)](WCPCPY): New.
	[ISA_SHOULD_BUILD (2)](wcsmbs/wcpcpy.c): New.
	* sysdeps/x86_64/multiarch/wcpncpy-avx2.S: New file.
	* sysdeps/x86_64/multiarch/wcpncpy-generic.c: Modified.
	[ISA_SHOULD_BUILD (3)](WCPNCPY): Remove.
	[ISA_SHOULD_BUILD (3)](wcsmbs/wcpncpy.c): Remove.
	[ISA_SHOULD_BUILD (2)](WCPNCPY): New.
	[ISA_SHOULD_BUILD (2)](wcsmbs/wcpncpy.c): New.
	* sysdeps/x86_64/multiarch/wcscat-avx2.S: New file.
	* sysdeps/x86_64/multiarch/wcscat-generic.c: Modified.
	[ISA_SHOULD_BUILD (3)](WCSCAT): Remove.
	[ISA_SHOULD_BUILD (3)](wcsmbs/wcscat.c): Remove.
	[ISA_SHOULD_BUILD (2)](WCSCAT): New.
	[ISA_SHOULD_BUILD (2)](wcsmbs/wcscat.c): New.
	* sysdeps/x86_64/multiarch/wcscpy-avx2.S: New file.
	* sysdeps/x86_64/multiarch/wcscpy-generic.c: Modified.
	[ISA_SHOULD_BUILD (3)](WCSCPY): Remove.
	[ISA_SHOULD_BUILD (3)](wcsmbs/wcscpy.c): Remove.
	[ISA_SHOULD_BUILD (2)](WCSCPY): New.
	[ISA_SHOULD_BUILD (2)](wcsmbs/wcscpy.c): New.
	* sysdeps/x86_64/multiarch/wcscpy.c: Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(IFUNC_SELECTOR): Modified function.
	(__typeof): New function.
	* sysdeps/x86_64/multiarch/wcsncat-avx2.S: New file.
	* sysdeps/x86_64/multiarch/wcsncat-generic.c: Modified.
	[ISA_SHOULD_BUILD (3)](WCSNCAT): Remove.
	[ISA_SHOULD_BUILD (3)](wcsmbs/wcsncat.c): Remove.
	[ISA_SHOULD_BUILD (2)](WCSNCAT): New.
	[ISA_SHOULD_BUILD (2)](wcsmbs/wcsncat.c): New.
	* sysdeps/x86_64/multiarch/wcsncpy-avx2.S: New file.
	* sysdeps/x86_64/multiarch/wcsncpy-generic.c: Modified.
	[ISA_SHOULD_BUILD (3)](WCSNCPY): Remove.
	[ISA_SHOULD_BUILD (3)](wcsmbs/wcsncpy.c): Remove.
	[ISA_SHOULD_BUILD (2)](WCSNCPY): New.
	[ISA_SHOULD_BUILD (2)](wcsmbs/wcsncpy.c): New.
	* sysdeps/x86_64/wcpcpy-generic.c: Modified.
	[MINIMUM_X86_ISA_LEVEL <= 3](wcsmbs/wcpcpy.c): Remove.
	[MINIMUM_X86_ISA_LEVEL <= 2](wcsmbs/wcpcpy.c): New.
	* sysdeps/x86_64/wcpcpy.S: Modified.
	* sysdeps/x86_64/wcpncpy-generic.c: Modified.
	[MINIMUM_X86_ISA_LEVEL <= 3](wcsmbs/wcpncpy.c): Remove.
	[MINIMUM_X86_ISA_LEVEL <= 2](wcsmbs/wcpncpy.c): New.
	* sysdeps/x86_64/wcpncpy.S: Modified.
	* sysdeps/x86_64/wcscat-generic.c: Modified.
	[MINIMUM_X86_ISA_LEVEL <= 3](wcsmbs/wcscat.c): Remove.
	[MINIMUM_X86_ISA_LEVEL <= 2](wcsmbs/wcscat.c): New.
	* sysdeps/x86_64/wcscat.S: Modified.
	* sysdeps/x86_64/wcscpy.S: Modified.
	* sysdeps/x86_64/wcsncat-generic.c: Modified.
	[MINIMUM_X86_ISA_LEVEL <= 3](wcsmbs/wcsncat.c): Remove.
	[MINIMUM_X86_ISA_LEVEL <= 2](wcsmbs/wcsncat.c): New.
	* sysdeps/x86_64/wcsncat.S: Modified.
	* sysdeps/x86_64/wcsncpy-generic.c: Modified.
	[MINIMUM_X86_ISA_LEVEL <= 3](wcsmbs/wcsncpy.c): Remove.
	[MINIMUM_X86_ISA_LEVEL <= 2](wcsmbs/wcsncpy.c): New.
	* sysdeps/x86_64/wcsncpy.S: Modified.

2022-11-08  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 64b8b6516b3cba19dba4c8f4f9b97daa0556fd98
	x86: Add evex optimized functions for the wchar_t strcpy family

	* sysdeps/x86_64/Makefile: Modified.
	* sysdeps/x86_64/multiarch/Makefile: Modified.
	* sysdeps/x86_64/multiarch/ifunc-impl-list.c: Modified.
	(__libc_ifunc_impl_list): Modified function.
	* sysdeps/x86_64/multiarch/ifunc-wcs.h: New file.
	* sysdeps/x86_64/multiarch/wcpcpy-evex.S: New file.
	* sysdeps/x86_64/multiarch/wcpcpy-generic.c: New file.
	* sysdeps/x86_64/multiarch/wcpcpy.c: New file.
	* sysdeps/x86_64/multiarch/wcpncpy-evex.S: New file.
	* sysdeps/x86_64/multiarch/wcpncpy-generic.c: New file.
	* sysdeps/x86_64/multiarch/wcpncpy.c: New file.
	* sysdeps/x86_64/multiarch/wcscat-evex.S: New file.
	* sysdeps/x86_64/multiarch/wcscat-generic.c: New file.
	* sysdeps/x86_64/multiarch/wcscat.c: New file.
	* sysdeps/x86_64/multiarch/wcscpy-evex.S: New file.
	* sysdeps/x86_64/multiarch/wcscpy-generic.c: Modified.
	[ISA_SHOULD_BUILD (1)](WCSCPY): Remove.
	[ISA_SHOULD_BUILD (1)](wcsmbs/wcscpy.c): Remove.
	[ISA_SHOULD_BUILD (3)](WCSCPY): New.
	[ISA_SHOULD_BUILD (3)](wcsmbs/wcscpy.c): New.
	* sysdeps/x86_64/multiarch/wcscpy.c: Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(IFUNC_SELECTOR): Modified function.
	(__typeof): New function.
	* sysdeps/x86_64/multiarch/wcsncat-evex.S: New file.
	* sysdeps/x86_64/multiarch/wcsncat-generic.c: New file.
	* sysdeps/x86_64/multiarch/wcsncat.c: New file.
	* sysdeps/x86_64/multiarch/wcsncpy-evex.S: New file.
	* sysdeps/x86_64/multiarch/wcsncpy-generic.c: New file.
	* sysdeps/x86_64/multiarch/wcsncpy.c: New file.
	* sysdeps/x86_64/wcpcpy-generic.c: New file.
	* sysdeps/x86_64/wcpcpy.S: New file.
	* sysdeps/x86_64/wcpncpy-generic.c: New file.
	* sysdeps/x86_64/wcpncpy.S: New file.
	* sysdeps/x86_64/wcscat-generic.c: New file.
	* sysdeps/x86_64/wcscat.S: New file.
	* sysdeps/x86_64/wcscpy.S: Modified.
	* sysdeps/x86_64/wcsncat-generic.c: New file.
	* sysdeps/x86_64/wcsncat.S: New file.
	* sysdeps/x86_64/wcsncpy-generic.c: New file.
	* sysdeps/x86_64/wcsncpy.S: New file.

2022-11-08  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 642933158e7cf072d873231b1a9bb03291f2b989
	x86: Optimize and shrink st{r|p}{n}{cat|cpy}-avx2 functions

	* sysdeps/x86_64/multiarch/stpcpy-avx2-rtm.S: Modified.
	* sysdeps/x86_64/multiarch/stpncpy-avx2-rtm.S: Modified.
	* sysdeps/x86_64/multiarch/stpncpy-avx2.S: Modified.
	* sysdeps/x86_64/multiarch/strcat-avx2-rtm.S: Modified.
	* sysdeps/x86_64/multiarch/strcat-avx2.S: Modified.
	* sysdeps/x86_64/multiarch/strcat-strlen-avx2.h.S: New file.
	* sysdeps/x86_64/multiarch/strcpy-avx2-rtm.S: Modified.
	* sysdeps/x86_64/multiarch/strcpy-avx2.S: Modified.
	* sysdeps/x86_64/multiarch/strncat-avx2-rtm.S: Modified.
	* sysdeps/x86_64/multiarch/strncat-avx2.S: Modified.
	* sysdeps/x86_64/multiarch/strncpy-avx2-rtm.S: Modified.
	* sysdeps/x86_64/multiarch/strncpy-avx2.S: Modified.
	* sysdeps/x86_64/multiarch/x86-avx-vecs.h: Modified.
	(USE_WITH_AVX): Remove.
	(USE_WITH_AVX2): New.

2022-11-08  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: f049f52dfeed8129c11ab1641a815705d09ff7e8
	x86: Optimize and shrink st{r|p}{n}{cat|cpy}-evex functions

	* sysdeps/x86_64/multiarch/stpncpy-evex.S: Modified.
	* sysdeps/x86_64/multiarch/strcat-evex.S: Modified.
	* sysdeps/x86_64/multiarch/strcat-strlen-evex.h.S: New file.
	* sysdeps/x86_64/multiarch/strcpy-evex.S: Modified.
	* sysdeps/x86_64/multiarch/strncat-evex.S: Modified.
	* sysdeps/x86_64/multiarch/strncpy-evex.S: Modified.
	* sysdeps/x86_64/multiarch/strncpy-or-cat-overflow-def.h: New file.

2022-11-08  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: d44e116428fefa0c2d01151af11f7a41fb525536
	benchtests: Make str{n}{cat|cpy} benchmarks output json

	* benchtests/bench-strcat.c: Modified.
	(do_one_test): Modified function.
	(do_test): Modified function.
	(test_main): Modified function.
	(json-lib.h): Include file.
	* benchtests/bench-strcpy.c: Modified.
	(do_one_test): Modified function.
	(do_test): Modified function.
	(test_main): Modified function.
	(json-lib.h): Include file.
	* benchtests/bench-strncat.c: Modified.
	(do_one_test): Modified function.
	(do_test): Modified function.
	(main): Modified function.
	(json-lib.h): Include file.
	* benchtests/bench-strncpy.c: Modified.
	(do_one_test): Modified function.
	(do_test): Modified function.
	(test_main): Modified function.
	(json-lib.h): Include file.

2022-11-08  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 2d2493a644092dd3d32dd3b8f6aa3adad351db3c
	x86: Use VMM API in memcmpeq-evex.S and minor changes

	* sysdeps/x86_64/multiarch/memcmpeq-evex.S: Modified.

2022-11-08  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 419c832aba43276e285586998261d1db06033193
	x86: Use VMM API in memcmp-evex-movbe.S and minor changes

	* sysdeps/x86_64/multiarch/memcmp-evex-movbe.S: Modified.

2022-11-08  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: ca7d181b62f703ae56b7be1e27428184560f68b4
	string: Add len=0 to {w}memcmp{eq} tests and benchtests

	* benchtests/bench-memcmp.c: Modified.
	(do_one_test): Modified function.
	(do_test): Modified function.
	(test_main): Modified function.
	* string/test-memcmp.c: Modified.
	(do_test): Modified function.

2022-11-08  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 2e274cd8c1ebd0bd0c43a7f2e5433685740938ca
	Linux: Add ppoll fortify symbol for 64 bit time_t (BZ# 29746)

	* debug/Makefile: Modified.
	* include/sys/poll.h: Modified.
	[! _ISOMAC][__TIMESIZE == 64](__ppoll64): Modified.
	[! _ISOMAC][__TIMESIZE == 64](__ppoll64_chk): New.
	[! _ISOMAC](include/struct___timespec64.h): Include file.
	* io/bits/poll2.h: Modified.
	[__USE_GNU](__REDIRECT): Remove.
	[__USE_GNU](__ppoll_chk): Remove.
	[__USE_GNU](__REDIRECT): Remove.
	[__USE_GNU](__fortified_attr_access): Remove function.
	[__USE_GNU][! __USE_TIME_BITS64](__REDIRECT): New.
	[__USE_GNU][! __USE_TIME_BITS64](__ppoll_chk): New.
	[__USE_GNU][! __USE_TIME_BITS64](__REDIRECT): New.
	[__USE_GNU][! __USE_TIME_BITS64](__fortified_attr_access): New.
	[__USE_GNU][__USE_TIME_BITS64](__REDIRECT): New.
	[__USE_GNU][__USE_TIME_BITS64](__ppoll64_chk): New.
	[__USE_GNU][__USE_TIME_BITS64](__REDIRECT): New.
	[__USE_GNU][__USE_TIME_BITS64](__fortified_attr_access): New.
	* sysdeps/unix/sysv/linux/Versions: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/ppoll.c: Modified.
	[__TIMESIZE != 64](__ppoll): Remove function.
	[__TIMESIZE != 64](ppoll): New function.
	(strong_alias): Remove.
	* sysdeps/unix/sysv/linux/ppoll_chk.c: New file.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc.abilist: Modified.

2022-11-07  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 19934d629ee22bbd332f04da4320e4f624c9560c
	hurd: Add sigtimedwait and sigwaitinfo support

	* sysdeps/mach/hurd/sigtimedwait.c: New file.
	* sysdeps/mach/hurd/sigwait.c: Modified.
	(errno.h): Remove include.
	(hurd/signal.h): Remove include.
	(hurd/msg.h): Remove include.
	(hurd/sigpreempt.h): Remove include.
	(assert.h): Remove include.
	(sysdep-cancel.h): Remove include.
	(__sigwait): Modified function.
	(signal.h): Include file.
	* sysdeps/mach/hurd/sigwaitinfo.c: New file.

2022-11-07  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 8d291eabd541029d7ac705cc1ea112c58dfbb05f
	Apply asm redirection in gmp.h before first use

	* include/gmp.h: Modified.
	[! __GMP_H__][! _ISOMAC](mpn_add_1): Remove.
	[! __GMP_H__][! _ISOMAC](mpn_addmul_1): Remove.
	[! __GMP_H__][! _ISOMAC](mpn_add_n): Remove.
	[! __GMP_H__][! _ISOMAC](mpn_cmp): Remove.
	[! __GMP_H__][! _ISOMAC](mpn_divrem): Remove.
	[! __GMP_H__][! _ISOMAC](mpn_lshift): Remove.
	[! __GMP_H__][! _ISOMAC](mpn_mul): Remove.
	[! __GMP_H__][! _ISOMAC](mpn_mul_1): Remove.
	[! __GMP_H__][! _ISOMAC](mpn_rshift): Remove.
	[! __GMP_H__][! _ISOMAC](mpn_sub_1): Remove.
	[! __GMP_H__][! _ISOMAC](mpn_submul_1): Remove.
	[! __GMP_H__][! _ISOMAC](mpn_sub_n): Remove.
	* stdlib/gmp.h: Modified.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][!((__GNUC__) ||  (_FORCE_INLINES))][!((__GNUC__))][! 0](mpz_mdiv): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][!((__GNUC__) ||  (_FORCE_INLINES))][!((__GNUC__))][! 0](mpz_mdivmod): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][!((__GNUC__) ||  (_FORCE_INLINES))][!((__GNUC__))][! 0](mpz_mmod): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][!((__GNUC__) ||  (_FORCE_INLINES))][!((__GNUC__))][! 0](mpz_mdiv_ui): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][!((__GNUC__) ||  (_FORCE_INLINES))][!((__GNUC__))][! 0](mpz_mdivmod_ui): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][!((__GNUC__) ||  (_FORCE_INLINES))][!((__GNUC__))][! 0](mpz_mmod_ui): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][!((__GNUC__) ||  (_FORCE_INLINES))][!((__GNUC__))][! 0](mpz_div): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][!((__GNUC__) ||  (_FORCE_INLINES))][!((__GNUC__))][! 0](mpz_divmod): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][!((__GNUC__) ||  (_FORCE_INLINES))][!((__GNUC__))][! 0](mpz_div_ui): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][!((__GNUC__) ||  (_FORCE_INLINES))][!((__GNUC__))][! 0](mpz_divmod_ui): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][!((__GNUC__) ||  (_FORCE_INLINES))][!((__GNUC__))][! 0](mpz_mod_ui): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][!((__GNUC__) ||  (_FORCE_INLINES))][!((__GNUC__))][! 0](mpz_div_2exp): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][!((__GNUC__) ||  (_FORCE_INLINES))][!((__GNUC__))][! 0](mpz_mod_2exp): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][!((__GNUC__) ||  (_FORCE_INLINES))][!((__GNUC__))][! 0](__GNU_MP_VERSION): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][!((__GNUC__) ||  (_FORCE_INLINES))][!((__GNUC__))][! 0](__GNU_MP_VERSION_MINOR): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][!((__GNUC__) ||  (_FORCE_INLINES))][!((__GNUC__))][! 0](__GMP_H__): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][!((__GNUC__) ||  (_FORCE_INLINES))][!((__GNUC__))][0](mpn_divmod_1): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][!((__GNUC__) ||  (_FORCE_INLINES))][!((__GNUC__))](mpn_divmod): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][!((__GNUC__) ||  (_FORCE_INLINES))][(__GNUC__)](mpz_cmp_ui): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][!((__GNUC__) ||  (_FORCE_INLINES))][(__GNUC__)](mpz_cmp_si): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][!((__GNUC__) ||  (_FORCE_INLINES))][(__GNUC__)](mpq_cmp_ui): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][!((__GNUC__) ||  (_FORCE_INLINES))](mpz_sgn): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][!((__GNUC__) ||  (_FORCE_INLINES))](mpf_sgn): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][!((__GNUC__) ||  (_FORCE_INLINES))](mpq_sgn): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][!((__GNUC__) ||  (_FORCE_INLINES))](mpq_numref): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][!((__GNUC__) ||  (_FORCE_INLINES))](mpq_denref): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__STDC__) ||  (__cplusplus))](_PROTO): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__STDC__) ||  (__cplusplus))](res_ptr): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__STDC__) ||  (__cplusplus))](s1_ptr): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__STDC__) ||  (__cplusplus))](s1_size): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__STDC__) ||  (__cplusplus))](s2_limb): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__STDC__) ||  (__cplusplus))](mpn_add): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__STDC__) ||  (__cplusplus))](res_ptr): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__STDC__) ||  (__cplusplus))](s1_ptr): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__STDC__) ||  (__cplusplus))](s1_size): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__STDC__) ||  (__cplusplus))](s2_ptr): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__STDC__) ||  (__cplusplus))](s2_size): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__STDC__) ||  (__cplusplus))](mpn_sub_1): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__STDC__) ||  (__cplusplus))](res_ptr): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__STDC__) ||  (__cplusplus))](s1_ptr): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__STDC__) ||  (__cplusplus))](s1_size): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__STDC__) ||  (__cplusplus))](s2_limb): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__STDC__) ||  (__cplusplus))](mpn_sub): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__STDC__) ||  (__cplusplus))](res_ptr): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__STDC__) ||  (__cplusplus))](s1_ptr): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__STDC__) ||  (__cplusplus))](s1_size): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__STDC__) ||  (__cplusplus))](s2_ptr): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__STDC__) ||  (__cplusplus))](s2_size): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][(__STDC__) ||  (__cplusplus)](_PROTO): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][(__STDC__) ||  (__cplusplus)](mpn_add): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][(__STDC__) ||  (__cplusplus)](mpn_sub_1): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][(__STDC__) ||  (__cplusplus)](mpn_sub): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)](x): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)](x): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)](s2_limb): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)](s2_limb): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)](if): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)](if): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)](0): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)](cy_limb): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)](cy_limb): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)](cy_limb): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)](cy_limb): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)](x): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)](x): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)](s2_limb): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)](s2_limb): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)](if): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)](if): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)](0): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)](cy_limb): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)](cy_limb): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)](cy_limb): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)](cy_limb): Remove.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][!((__cplusplus))](_ATTRIBUTE_HIDDEN): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__GNUC__))][! 0](mpz_mdiv): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__GNUC__))][! 0](mpz_mdivmod): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__GNUC__))][! 0](mpz_mmod): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__GNUC__))][! 0](mpz_mdiv_ui): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__GNUC__))][! 0](mpz_mdivmod_ui): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__GNUC__))][! 0](mpz_mmod_ui): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__GNUC__))][! 0](mpz_div): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__GNUC__))][! 0](mpz_divmod): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__GNUC__))][! 0](mpz_div_ui): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__GNUC__))][! 0](mpz_divmod_ui): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__GNUC__))][! 0](mpz_mod_ui): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__GNUC__))][! 0](mpz_div_2exp): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__GNUC__))][! 0](mpz_mod_2exp): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__GNUC__))][! 0](__GNU_MP_VERSION): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__GNUC__))][! 0](__GNU_MP_VERSION_MINOR): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__GNUC__))][! 0](__GMP_H__): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__GNUC__))][0](mpn_divmod_1): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__GNUC__))](mpn_divmod): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__STDC__) ||  (__cplusplus))](mpn_add_1): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__STDC__) ||  (__cplusplus))](res_ptr): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__STDC__) ||  (__cplusplus))](s1_ptr): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__STDC__) ||  (__cplusplus))](s1_size): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__STDC__) ||  (__cplusplus))](s2_limb): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__STDC__) ||  (__cplusplus))](mpn_add): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__STDC__) ||  (__cplusplus))](res_ptr): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__STDC__) ||  (__cplusplus))](s1_ptr): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__STDC__) ||  (__cplusplus))](s1_size): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__STDC__) ||  (__cplusplus))](s2_ptr): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__STDC__) ||  (__cplusplus))](s2_size): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__STDC__) ||  (__cplusplus))](mpn_sub_1): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__STDC__) ||  (__cplusplus))](res_ptr): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__STDC__) ||  (__cplusplus))](s1_ptr): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__STDC__) ||  (__cplusplus))](s1_size): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__STDC__) ||  (__cplusplus))](s2_limb): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__STDC__) ||  (__cplusplus))](mpn_sub): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__STDC__) ||  (__cplusplus))](res_ptr): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__STDC__) ||  (__cplusplus))](s1_ptr): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__STDC__) ||  (__cplusplus))](s1_size): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__STDC__) ||  (__cplusplus))](s2_ptr): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][!((__STDC__) ||  (__cplusplus))](s2_size): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][(__GNUC__)](mpz_cmp_ui): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][(__GNUC__)](mpz_cmp_si): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][(__GNUC__)](mpq_cmp_ui): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][(__STDC__) ||  (__cplusplus)](mpn_add_1): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][(__STDC__) ||  (__cplusplus)](mpn_add): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][(__STDC__) ||  (__cplusplus)](mpn_sub_1): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)][(__STDC__) ||  (__cplusplus)](mpn_sub): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)](x): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)](x): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)](s2_limb): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)](s2_limb): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)](if): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)](if): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)](0): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)](cy_limb): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)](cy_limb): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)](cy_limb): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)](cy_limb): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)](x): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)](x): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)](s2_limb): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)](s2_limb): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)](if): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)](if): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)](0): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)](cy_limb): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)](cy_limb): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)](cy_limb): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)](cy_limb): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)](mpz_sgn): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)](mpf_sgn): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)](mpq_sgn): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)](mpq_numref): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__GNUC__) ||  (_FORCE_INLINES)](mpq_denref): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))][(__cplusplus)](_ATTRIBUTE_HIDDEN): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))](_ATTRIBUTE_HIDDEN): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))](_ATTRIBUTE_HIDDEN): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))](_ATTRIBUTE_HIDDEN): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))](_ATTRIBUTE_HIDDEN): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))](_ATTRIBUTE_HIDDEN): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))](_ATTRIBUTE_HIDDEN): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))](_ATTRIBUTE_HIDDEN): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))](_ATTRIBUTE_HIDDEN): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))](_ATTRIBUTE_HIDDEN): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))](_ATTRIBUTE_HIDDEN): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))](_ATTRIBUTE_HIDDEN): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))](_ATTRIBUTE_HIDDEN): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))](_ATTRIBUTE_HIDDEN): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))](_ATTRIBUTE_HIDDEN): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))](_ATTRIBUTE_HIDDEN): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))](_ATTRIBUTE_HIDDEN): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))](_ATTRIBUTE_HIDDEN): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))](_ATTRIBUTE_HIDDEN): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))](_ATTRIBUTE_HIDDEN): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))](_ATTRIBUTE_HIDDEN): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))](_ATTRIBUTE_HIDDEN): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))](_ATTRIBUTE_HIDDEN): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))](_ATTRIBUTE_HIDDEN): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))](_ATTRIBUTE_HIDDEN): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))](_ATTRIBUTE_HIDDEN): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))](_ATTRIBUTE_HIDDEN): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))](_ATTRIBUTE_HIDDEN): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))](_ATTRIBUTE_HIDDEN): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))](_ATTRIBUTE_HIDDEN): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))](_ATTRIBUTE_HIDDEN): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))](_ATTRIBUTE_HIDDEN): New.
	[! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][! _GMP_H_HAVE_FILE][!((__cplusplus))](_ATTRIBUTE_HIDDEN): New.
	[! __GNU_MP__][! _LIBC](_ATTRIBUTE_HIDDEN): New.
	[! __GNU_MP__][_LIBC](_ATTRIBUTE_HIDDEN): New.

2022-11-07  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 596183a1eed0699be96bdcd495ab1b497370afda
	Rewrite find_cxx_header config configure.ac

	* configure: Modified.
	* configure.ac: Modified.

2022-11-07  Xiaoming Ni  <nixiaoming@huawei.com>

	COMMIT: d1d0162e50afe7fa1e2fc4a901eb411db48acd7b
	elf/tlsdeschtab.h: Add the Malloc return value check in _dl_make_tlsdesc_dynamic()

	* elf/tlsdeschtab.h: Modified.
	[SHARED](_dl_make_tlsdesc_dynamic): Modified function.

2022-11-04  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 9cc9d61ee12f2f8620d8e0ea3c42af02bf07fe1e
	elf: Disable some subtests of ifuncmain1, ifuncmain5 for !PIE

	* elf/ifuncmain1.c: Modified.
	(foo_procted_ptr): Remove.
	(main): Modified function.
	[__PIE__](foo_procted_ptr): New.
	* elf/ifuncmain5.c: Modified.
	(get_foo_protected): Remove function.
	(main): Modified function.
	[__PIE__](get_foo_protected): New.

2022-11-04  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 2ff48a4025515e93d722947a9eabb114f4a65b22
	posix: Make posix_spawn extensions available by default

	* posix/spawn.h: Modified.
	[__USE_GNU](posix_spawn_file_actions_addchdir_np): Remove.
	[__USE_GNU](posix_spawn_file_actions_addfchdir_np): Remove.
	[__USE_GNU](posix_spawn_file_actions_addclosefrom_np): Remove.
	[__USE_GNU](posix_spawn_file_actions_addtcsetpgrp_np): Remove.
	[__USE_MISC](posix_spawn_file_actions_addchdir_np): New.
	[__USE_MISC](posix_spawn_file_actions_addfchdir_np): New.
	[__USE_MISC](posix_spawn_file_actions_addclosefrom_np): New.
	[__USE_MISC](posix_spawn_file_actions_addtcsetpgrp_np): New.

2022-11-03  Sunil K Pandey  <skpgkp2@gmail.com>

	COMMIT: faaf733f49211439475e50f06716b303ee2644bf
	x86_64: Implement evex512 version of strrchr and wcsrchr

	* sysdeps/x86_64/multiarch/Makefile: Modified.
	* sysdeps/x86_64/multiarch/ifunc-impl-list.c: Modified.
	(__libc_ifunc_impl_list): Modified function.
	* sysdeps/x86_64/multiarch/strrchr-evex-base.S: New file.
	* sysdeps/x86_64/multiarch/strrchr-evex512.S: New file.
	* sysdeps/x86_64/multiarch/wcsrchr-evex512.S: New file.

2022-11-03  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 1f34a2328890aa192141f96449d25b77f666bf47
	elf: Introduce <dl-call_tls_init_tp.h> and call_tls_init_tp (bug 29249)

	* csu/libc-tls.c: Modified.
	(__libc_setup_tls): Modified function.
	(dl-call_tls_init_tp.h): Include file.
	* elf/rtld.c: Modified.
	(init_tls): Modified function.
	(dl_main): Modified function.
	(dl-call_tls_init_tp.h): Include file.
	* sysdeps/aarch64/nptl/tls.h: Modified.
	[! __ASSEMBLER__](TLS_INIT_TP): Modified.
	* sysdeps/alpha/nptl/tls.h: Modified.
	[! __ASSEMBLER__](TLS_INIT_TP): Modified.
	* sysdeps/arc/nptl/tls.h: Modified.
	[! __ASSEMBLER__](TLS_INIT_TP): Modified.
	* sysdeps/csky/nptl/tls.h: Modified.
	[! __ASSEMBLER__](TLS_INIT_TP): Modified.
	* sysdeps/generic/dl-call_tls_init_tp.h: New file.
	* sysdeps/generic/startup.h: Modified.
	(unistd.h): Remove include.
	(stdio.h): Include file.
	* sysdeps/hppa/nptl/tls.h: Modified.
	[! __ASSEMBLER__](TLS_INIT_TP): Modified.
	* sysdeps/i386/nptl/tls.h: Modified.
	[! __ASSEMBLER__](TLS_INIT_TP): Modified.
	* sysdeps/ia64/nptl/tls.h: Modified.
	[! __ASSEMBLER__](TLS_INIT_TP): Modified.
	* sysdeps/loongarch/nptl/tls.h: Modified.
	[! __ASSEMBLER__](TLS_INIT_TP): Modified.
	* sysdeps/m68k/nptl/tls.h: Modified.
	[! __ASSEMBLER__](TLS_INIT_TP): Modified.
	* sysdeps/mach/hurd/i386/tls.h: Modified.
	[! __ASSEMBLER__](_hurd_tls_init): Modified function.
	* sysdeps/microblaze/nptl/tls.h: Modified.
	[! __ASSEMBLER__](TLS_INIT_TP): Modified.
	* sysdeps/mips/nptl/tls.h: Modified.
	[! __ASSEMBLER__](TLS_INIT_TP): Modified.
	* sysdeps/nios2/nptl/tls.h: Modified.
	[! __ASSEMBLER__](TLS_INIT_TP): Modified.
	* sysdeps/or1k/nptl/tls.h: Modified.
	[! __ASSEMBLER__](TLS_INIT_TP): Modified.
	* sysdeps/powerpc/nptl/tls.h: Modified.
	[! __ASSEMBLER__](TLS_INIT_TP): Modified.
	* sysdeps/riscv/nptl/tls.h: Modified.
	[! __ASSEMBLER__](TLS_INIT_TP): Modified.
	* sysdeps/s390/nptl/tls.h: Modified.
	[! __ASSEMBLER__](TLS_INIT_TP): Modified.
	* sysdeps/sh/nptl/tls.h: Modified.
	[! __ASSEMBLER__](TLS_INIT_TP): Modified.
	* sysdeps/sparc/nptl/tls.h: Modified.
	[! __ASSEMBLER__](TLS_INIT_TP): Modified.
	* sysdeps/unix/sysv/linux/arm/tls.h: Modified.
	[! __ASSEMBLER__](TLS_INIT_TP): Modified.
	* sysdeps/x86_64/nptl/tls.h: Modified.
	[! __ASSEMBLER__](TLS_INIT_TP): Modified.

2022-11-03  caiyinyu  <caiyinyu@loongson.cn>

	COMMIT: fb6ee7ba8122330ac819556a42cc56db07d9da76
	LoongArch: Fix ABI related macros in elf.h to keep consistent with binutils[1].

	* elf/elf.h: Modified.
	(EF_LARCH_ABI): Remove.
	(EF_LARCH_ABI_LP64D): Remove.
	(EF_LARCH_ABI_MODIFIER_MASK): New.
	(EF_LARCH_ABI_SOFT_FLOAT): New.
	(EF_LARCH_ABI_SINGLE_FLOAT): New.
	(EF_LARCH_ABI_DOUBLE_FLOAT): New.
	(EF_LARCH_OBJABI_V1): New.

2022-11-03  Florian Weimer  <fweimer@redhat.com>

	COMMIT: d33705c0b020632274318323931695a99753b5be
	scripts/glibcelf.py: Properly report <elf.h> parsing failures

	* scripts/glibcelf.py: Modified.

2022-11-03  Florian Weimer  <fweimer@redhat.com>

	COMMIT: ee1ada1bdb8074de6e1bdc956ab19aef7b6a7872
	elf: Rework exception handling in the dynamic loader [BZ #25486]

	* elf/Makefile: Modified.
	* elf/Versions: Modified.
	* elf/dl-error-skeleton.c: Move to...
	* elf/dl-catch.c: ... here.
	[!DL_ERROR_BOOTSTRAP](catch_hook): Remove.
	[DL_ERROR_BOOTSTRAP](catch_hook): Remove.
	[DL_ERROR_BOOTSTRAP](receiver): Remove.
	[DL_ERROR_BOOTSTRAP](_dl_signal_cexception): Remove.
	[DL_ERROR_BOOTSTRAP](_dl_signal_cerror): Remove.
	[DL_ERROR_BOOTSTRAP](_dl_receive_error): Remove.
	[DL_ERROR_BOOTSTRAP](_rtld_catch_error): Remove.
	(catch): Remove.
	(_dl_signal_exception): Modified function.
	(libc_hidden_def): Remove.
	(_dl_signal_error): Modified function.
	(libc_hidden_def): Remove.
	(_dl_catch_exception): Modified function.
	(libc_hidden_def): Remove.
	(libc_hidden_def): Remove.
	[IS_IN (rtld)](rtld_catch_notls): New.
	[IS_IN (rtld)](receiver): New.
	[IS_IN (rtld)](_dl_signal_cexception): New.
	[IS_IN (rtld)](_dl_signal_cerror): New.
	[IS_IN (rtld)](_dl_receive_error): New.
	(tls.h): Include file.
	(rtld_catch): New.
	(get_catch): New function.
	(set_catch): New function.
	(rtld_hidden_def): New.
	(rtld_hidden_def): New.
	(rtld_hidden_def): New.
	* elf/dl-error-minimal.c: Delete file.
	* elf/dl-error.c: Delete file.
	* elf/rtld.c: Modified.
	* nptl/descr.h: Modified.
	(pthread): Modified.
	* sysdeps/generic/ldsodefs.h: Modified.
	(libc_hidden_proto): Remove.
	(libc_hidden_proto): Remove.
	(_dl_catch_error): Modified.
	(libc_hidden_proto): Remove.
	(__typeof__): Remove.
	(libc_hidden_proto): Remove.
	(rtld_hidden_proto): Modified.
	(rtld_hidden_proto): Modified.
	(rtld_hidden_proto): Modified.
	(rtld_hidden_proto): Modified.
	(rtld_hidden_proto): Modified.
	(rtld_hidden_proto): Modified.
	(rtld_hidden_proto): New.
	(rtld_hidden_proto): New.
	(rtld_hidden_proto): New.
	* sysdeps/generic/localplt.data: Modified.
	* sysdeps/mach/hurd/i386/localplt.data: Modified.
	* sysdeps/mach/hurd/i386/tls.h: Modified.
	[! __ASSEMBLER__](tcbhead_t): Modified.
	* sysdeps/unix/sysv/linux/aarch64/localplt.data: Modified.
	* sysdeps/unix/sysv/linux/alpha/localplt.data: Modified.
	* sysdeps/unix/sysv/linux/arc/localplt.data: Modified.
	* sysdeps/unix/sysv/linux/arm/localplt.data: Modified.
	* sysdeps/unix/sysv/linux/csky/localplt.data: Modified.
	* sysdeps/unix/sysv/linux/hppa/localplt.data: Modified.
	* sysdeps/unix/sysv/linux/i386/localplt.data: Modified.
	* sysdeps/unix/sysv/linux/ia64/localplt.data: Modified.
	* sysdeps/unix/sysv/linux/loongarch/localplt.data: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/localplt.data: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/localplt.data: Modified.
	* sysdeps/unix/sysv/linux/microblaze/localplt.data: Modified.
	* sysdeps/unix/sysv/linux/nios2/localplt.data: Modified.
	* sysdeps/unix/sysv/linux/or1k/localplt.data: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/localplt.data: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/localplt.data: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/localplt.data: Modified.
	* sysdeps/unix/sysv/linux/riscv/localplt.data: Modified.
	* sysdeps/unix/sysv/linux/s390/localplt.data: Modified.
	* sysdeps/unix/sysv/linux/sh/localplt.data: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/localplt.data: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/localplt.data: Modified.
	* sysdeps/x86_64/localplt.data: Modified.

2022-11-02  Aurelien Jarno  <aurelien@aurel32.net>

	COMMIT: f4ce325dfc50e13cf8240424fa0561fca78e72e7
	linux: Drop useless include from fstatat.c

	* sysdeps/unix/sysv/linux/fstatat.c: Modified.
	[!XSTAT_IS_XSTAT64](kstat_cp.h): Remove include.

2022-11-02  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 17bfe5954baee1f18672aea94caa1126ec36fb81
	Fix OOB read in stdlib thousand grouping parsing [BZ #29727]

	* stdlib/grouping.c: Modified.
	[! USE_WIDE_CHAR](__correctly_grouped_prefixmb): Modified function.
	[USE_WIDE_CHAR](__correctly_grouped_prefixwc): Modified function.

2022-11-02  Aurelien Jarno  <aurelien@aurel32.net>

	COMMIT: 7457b7eef8dfe8cc48e55b9f9837df6dd397b80d
	linux: Fix fstatat on MIPSn64 (BZ #29730)

	* sysdeps/unix/sysv/linux/mips/mips64/n64/fstatat.c: New file.

2022-11-02  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 40c112ed0d7d0577d2f84851c1f7b8157b3bd2f5
	elf: Remove allocate use on _dl_debug_printf

	* elf/dl-printf.c: Modified.
	(_dl_debug_vdprintf): Modified function.
	(intprops.h): Include file.

2022-11-01  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 3d8b5dde879c6e024548118914da5bfcbd5170a7
	nptl: Fix pthread_create.c build with clang

	* nptl/pthread_create.c: Modified.
	(__nptl_threads_events): Modified.
	(__nptl_last_event): Modified.
	(__nptl_threads_events): New.
	(__nptl_last_event): New.

2022-11-01  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 8161978f89c3454e1b70e08efd98923e6a317a56
	allocate_once: Apply asm redirection before first use

	* include/allocate_once.h: Modified.

2022-11-01  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 34b358eb03e592fadd9887dd3ef8c1cfaba39688
	alloc_buffer: Apply asm redirection before first use

	* include/alloc_buffer.h: Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.

2022-11-01  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 8d98c7c00f3f06545de9e5ce5cf778d2ab2450a4
	configure: Use -Wno-ignored-attributes if compiler warns about multiple aliases

	* argp/Makefile: Modified.
	* configure: Modified.
	* configure.ac: Modified.
	* dirent/Makefile: Modified.
	* inet/Makefile: Modified.
	* io/Makefile: Modified.
	* libio/Makefile: Modified.
	* login/Makefile: Modified.
	* misc/Makefile: Modified.
	* posix/Makefile: Modified.
	* resolv/Makefile: Modified.
	* resource/Makefile: Modified.
	* socket/Makefile: Modified.
	* stdio-common/Makefile: Modified.
	* stdlib/Makefile: Modified.
	* string/Makefile: Modified.
	* sysdeps/aarch64/Makefile: Modified.
	* sysdeps/arm/Makefile: Modified.
	* sysdeps/wordsize-64/Makefile: Modified.
	* termios/Makefile: Modified.
	* time/Makefile: Modified.
	* wcsmbs/Makefile: Modified.
	* wctype/Makefile: Modified.

2022-11-01  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 5c5a8b99cf96b71940e36a9db66d3a61bc315016
	Disable use of -fsignaling-nans if compiler does not support it

	* benchtests/Makefile: Modified.
	* configure: Modified.
	* configure.ac: Modified.
	* math/Makefile: Modified.
	* math/libm-test-fpclassify.inc: Modified.
	* math/libm-test-isfinite.inc: Modified.
	* math/libm-test-isinf.inc: Modified.
	* math/libm-test-isnan.inc: Modified.
	* math/libm-test-isnormal.inc: Modified.
	* math/libm-test-issubnormal.inc: Modified.
	* math/libm-test-iszero.inc: Modified.
	* math/test-snan.c: Modified.
	(sigfpe_buf): Remove.
	(myFPsighandler): Remove function.
	(errors): Remove.
	(CHECK): Remove.
	(TEST_FUNC): Remove.
	(TEST_FUNC): Remove.
	(TEST_FUNC): Remove.
	(do_test): Modified function.
	(TEST_FUNCTION): Remove.
	(../test-skeleton.c): Remove include.
	[__SUPPORT_SNAN__](sigfpe_buf): New.
	[__SUPPORT_SNAN__](myFPsighandler): New.
	[__SUPPORT_SNAN__](errors): New.
	[__SUPPORT_SNAN__](CHECK): New.
	[__SUPPORT_SNAN__](TEST_FUNC): New.
	[__SUPPORT_SNAN__](TEST_FUNC): New.
	[__SUPPORT_SNAN__](TEST_FUNC): New.
	(support/check.h): Include file.
	(support/test-driver.c): Include file.
	* sysdeps/powerpc/nofpu/Makefile: Modified.
	* sysdeps/powerpc/powerpc32/power4/fpu/multiarch/Makefile: Modified.
	* sysdeps/powerpc/powerpc64/be/fpu/multiarch/Makefile: Modified.
	* sysdeps/powerpc/powerpc64/le/fpu/multiarch/Makefile: Modified.

2022-11-01  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 6ee5a9767a245455720d39eeaa3ce136825e8a42
	intl: Fix clang -Wunused-but-set-variable on plural.c

	* intl/Makefile: Modified.

2022-11-01  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: d227fd53cbbc9ae7e5604da3669d04b6ccb53aa1
	Apply asm redirection in not-cancel before first use

	* sysdeps/unix/sysv/linux/not-cancel.h: Modified.

2022-11-01  Carlos Eduardo Seo  <carlos.seo@arm.com>

	COMMIT: d08dec4ea7c9f8b1d734cc1ba80c7f70df2f2c25
	malloc: Use uintptr_t for pointer alignment

	* malloc/arena.c: Modified.
	[IS_IN (libc)](_int_new_arena): Modified function.
	[MALLOC_DEBUG > 1](dump_heap): Modified function.
	(alloc_new_heap): Modified function.

2022-11-01  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: f4973d31bb0673bc6a5fc207713837f143920b01
	Use uintptr_t in fts for pointer alignment

	* io/fts.c: Modified.
	[! ALIGN](ALIGN): Modified.
	(stdint.h): Include file.

2022-10-31  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: f66780ba46805760a328f01967836416b06c93ca
	Fix build with GCC 13 _FloatN, _FloatNx built-in functions

	* math/Makefile: Modified.
	* sysdeps/ieee754/float128/Makefile: Modified.
	* sysdeps/ieee754/ldbl-128/Makefile: Modified.
	* sysdeps/ieee754/ldbl-96/Makefile: Modified.
	* sysdeps/powerpc/powerpc32/fpu/Makefile: Modified.
	* sysdeps/powerpc/powerpc64/fpu/Makefile: Modified.
	* sysdeps/powerpc/powerpc64/le/fpu/multiarch/Makefile: Modified.
	* sysdeps/x86_64/x32/Makefile: Modified.

2022-10-31  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: bbff275fb1b16f5b7dd95933bde6e1e496414dbf
	elf: Build tst-relr-mod[34]a.so with $(LDFLAGS-rpath-ORIGIN)

	* elf/Makefile: Modified.

2022-10-30  Sunil K Pandey  <skpgkp2@gmail.com>

	COMMIT: e96971482de05eff92c1408b694c320cedd2d167
	x86-64: Improve evex512 version of strlen functions

	* sysdeps/x86_64/multiarch/strlen-evex-base.S: Modified.

2022-10-28  Ludovic Courtès  <ludo@gnu.org>

	COMMIT: 361d6454c034a920f2c96517c277990d390b9652
	Correctly determine libc.so 'OUTPUT_FORMAT' when cross-compiling.

	* aclocal.m4: Modified.
	* configure: Modified.
	* configure.ac: Modified.

2022-10-28  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 8c77e26ba8b360c851b2b9485bb4431aacc51ad1
	Remove unused scratch_buffer_dupfree

	* include/scratch_buffer.h: Modified.
	(__libc_scratch_buffer_dupfree): Remove.
	(libc_hidden_proto): Remove.
	(scratch_buffer_dupfree): Remove function.
	* malloc/Makefile: Modified.
	* malloc/Versions: Modified.
	* malloc/scratch_buffer_dupfree.c: Delete file.
	* malloc/tst-scratch_buffer.c: Modified.
	(do_test): Modified function.

2022-10-28  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 2eeeee7636cb52a09740598404808def17cf750e
	Fix elf/tst-dlmopen-twice not to exhaust static TLS

	* elf/tst-dlmopen-twice.c: Modified.
	(do_test): Modified function.

2022-10-28  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: f9deea6f81cd5266ffb3d27e2584d609fef9b8d2
	Use uintptr_t in string/tester for pointer alignment

	* string/tester.c: Modified.
	(test_strlen): Modified function.
	(test_strnlen): Modified function.
	(test_strchr): Modified function.
	(test_strchrnul): Modified function.
	(test_rawmemchr): Modified function.
	(test_strrchr): Modified function.
	(stdint.h): Include file.

2022-10-28  Letu Ren  <fantasquex@gmail.com>

	COMMIT: 0cc0033ef19bd3378445c2b851e53d7255cb1b1e
	stdlib/strfrom: Add copysign to fix NAN issue on riscv (BZ #29501)

	* stdlib/strfrom-skeleton.c: Modified.
	(STRFROM): Modified function.
	(fix-float-double-convert-nan.h): Include file.
	* sysdeps/generic/fix-float-double-convert-nan.h: New file.
	* sysdeps/riscv/rvd/fix-float-double-convert-nan.h: New file.

2022-10-28  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: b4174c28d21e1672ef3cc15a058558e97b8471c6
	Fix resource/bug-ulimit1 test

	* resource/bug-ulimit1.c: Modified.
	(main): Modified function.

2022-10-28  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: b866018f54ad0670ee9b930a14ae6e8960b9f4bf
	Fix missing NUL terminator in stdio-common/scanf13 test

	* stdio-common/scanf13.c: Modified.
	(main): Modified function.

2022-10-28  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 6a3794ea917558776ba1a66a925f2d5e1dbf0724
	Fix off-by-one OOB read in elf/tst-tls20

	* elf/tst-tls20.c: Modified.
	(do_test_dependency): Modified function.
	(do_test_invalid_dependency): Modified function.

2022-10-28  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: eef17d4d9fcd38c5cbb9bc9515ba72d1773b67a2
	elf: Fix alloca size in _dl_debug_vdprintf

	* elf/dl-printf.c: Modified.
	(_dl_debug_vdprintf): Modified function.

2022-10-28  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 68619ddb3b7e8b64a6b849e4972e67163f7659c3
	malloc: Use uintptr_t in alloc_buffer

	* include/alloc_buffer.h: Modified.
	(nonnull): Modified function.
	(nonnull): Modified function.
	* malloc/alloc_buffer_alloc_array.c: Modified.
	(__libc_alloc_buffer_alloc_array): Modified function.

2022-10-28  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 3fa20d59d9607e4494dfbc99bacee1935ec5ded9
	Fix invalid pointer dereference in wcpcpy_chk

	* debug/wcpcpy_chk.c: Modified.
	(__wcpcpy_chk): Modified function.

2022-10-28  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: e5ece9de1417ac33c755226f3dd962fc2c7d97aa
	Fix invalid pointer dereference in wcscpy_chk

	* debug/wcscpy_chk.c: Modified.
	(__wcscpy_chk): Modified function.

2022-10-28  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 09c6c6073c925235b385af1d8edf6bc853eeaf60
	aarch64: Fix the extension header write in getcontext and swapcontext

	* sysdeps/unix/sysv/linux/aarch64/getcontext.S: Modified.
	* sysdeps/unix/sysv/linux/aarch64/swapcontext.S: Modified.

2022-10-28  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: dd31f42e39206bc69f4a60e47ee117f6c968138c
	aarch64: Don't build wordcopy

	* sysdeps/aarch64/wordcopy.c: New file.

2022-10-28  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 0b845d3b3fde40e72c5372d6fa0f129b5e45c363
	scripts: Use bool in tunables initializer

	* scripts/gen-tunables.awk: Modified.

2022-10-28  Xi Ruoyao  <xry111@xry111.site>

	COMMIT: 37db2657c92da3bc50128feed53b3f58739a9b19
	longlong.h: update from GCC for LoongArch clz/ctz support

	* stdlib/longlong.h: Modified.
	[(__GNUC__) && ! NO_ASM][__loongarch__][W_TYPE_SIZE == 32](count_leading_zeros): New.
	[(__GNUC__) && ! NO_ASM][__loongarch__][W_TYPE_SIZE == 32](count_trailing_zeros): New.
	[(__GNUC__) && ! NO_ASM][__loongarch__][W_TYPE_SIZE == 32](COUNT_LEADING_ZEROS_0): New.
	[(__GNUC__) && ! NO_ASM][__loongarch__][W_TYPE_SIZE == 64](count_leading_zeros): New.
	[(__GNUC__) && ! NO_ASM][__loongarch__][W_TYPE_SIZE == 64](count_trailing_zeros): New.
	[(__GNUC__) && ! NO_ASM][__loongarch__][W_TYPE_SIZE == 64](COUNT_LEADING_ZEROS_0): New.

2022-10-27  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 6f360366f7f76b158a0f4bf20d42f2854ad56264
	elf: Introduce to _dl_call_fini

	* elf/Makefile: Modified.
	* elf/dl-call_fini.c: New file.
	* elf/dl-close.c: Modified.
	(fini_t): Remove.
	(call_destructors): Remove function.
	(_dl_close_worker): Modified function.
	* elf/dl-fini.c: Modified.
	(fini_t): Remove.
	(_dl_fini): Modified function.
	* sysdeps/generic/ldsodefs.h: Modified.
	(fini_t): New.
	(_dl_call_fini): New function.

2022-10-27  Florian Weimer  <fweimer@redhat.com>

	COMMIT: a65ff76c9a1811dd2396ab45563f645579c0e687
	ld.so: Export tls_init_tp_called as __rtld_tls_init_tp_called

	* elf/rtld.c: Modified.
	(tls_init_tp_called): Remove.
	(init_tls): Modified function.
	(dl_main): Modified function.
	(__rtld_tls_init_tp_called): New.
	* sysdeps/generic/ldsodefs.h: Modified.
	(__rtld_tls_init_tp_called): New.

2022-10-27  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 77db67c56b24bba3c735aac34a6f796c909b68c0
	scripts/localplt.awk: Handle DT_JMPREL with empty PLT (for C-SKY)

	* scripts/localplt.awk: Modified.

2022-10-26  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 11306df777e4355bb94f3581fcd2207a525d47dd
	Remove lingering libSegfault Makefile entries

	* Makeconfig: Modified.

2022-10-26  Wilco Dijkstra  <wdijkstr@arm.com>

	COMMIT: e6f3fe362f1aab78b1448d69ecdbd9e3872636d3
	aarch64: Use memcpy_simd as the default memcpy

	* sysdeps/aarch64/memcpy.S: Modified.
	* sysdeps/aarch64/multiarch/Makefile: Modified.
	* sysdeps/aarch64/multiarch/ifunc-impl-list.c: Modified.
	(__libc_ifunc_impl_list): Modified function.
	* sysdeps/aarch64/multiarch/memcpy.c: Modified.
	(__memcpy_simd): Remove.
	(__typeof): Modified function.
	* sysdeps/aarch64/multiarch/memcpy_advsimd.S: Delete file.
	* sysdeps/aarch64/multiarch/memmove.c: Modified.
	(__memmove_simd): Remove.
	(__typeof): Modified function.

2022-10-26  Wilco Dijkstra  <wdijkstr@arm.com>

	COMMIT: a8e72913fea0c6e2832c50523c60907ffa3b753b
	aarch64: Cleanup memset ifunc

	* sysdeps/aarch64/multiarch/ifunc-impl-list.c: Modified.
	(__libc_ifunc_impl_list): Modified function.
	* sysdeps/aarch64/multiarch/memset.c: Modified.
	[!(IS_IN (libc))](memset): Remove.
	[!(IS_IN (libc))](strong_alias): Remove.
	[IS_IN (libc)][HAVE_AARCH64_SVE_ASM](__memset_a64fx): Remove.
	[IS_IN (libc)](memset): Remove.
	[IS_IN (libc)](string.h): Remove.
	[IS_IN (libc)](init-arch.h): Remove.
	[IS_IN (libc)](__libc_memset): Remove.
	[IS_IN (libc)](__memset_falkor): Remove.
	[IS_IN (libc)](__memset_emag): Remove.
	[IS_IN (libc)](__memset_kunpeng): Remove.
	[IS_IN (libc)](__memset_generic): Remove.
	[IS_IN (libc)](zva_size): Remove.
	(memset): New.
	(string.h): Include file.
	(init-arch.h): Include file.
	(__libc_memset): New.
	(__memset_falkor): New.
	(__memset_emag): New.
	(__memset_kunpeng): New.
	(__memset_a64fx): New.
	(__memset_generic): New.
	(__typeof): New function.
	(libc_ifunc): New function.
	(memset): New.
	(strong_alias): New function.

2022-10-26  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 891a7958a28eac6d4af1517dd2896fef5e4951d4
	elf: Reinstate on DL_DEBUG_BINDINGS _dl_lookup_symbol_x

	* elf/dl-lookup.c: Modified.
	(_dl_lookup_symbol_x): Modified function.

2022-10-25  Sunil K Pandey  <skpgkp2@gmail.com>

	COMMIT: 59e501f204fa196d6571b523459ba528bbef7783
	x86_64: Implement evex512 version of strchrnul, strchr and wcschr

	* sysdeps/x86_64/multiarch/Makefile: Modified.
	* sysdeps/x86_64/multiarch/ifunc-impl-list.c: Modified.
	(__libc_ifunc_impl_list): Modified function.
	* sysdeps/x86_64/multiarch/strchr-evex-base.S: New file.
	* sysdeps/x86_64/multiarch/strchr-evex512.S: New file.
	* sysdeps/x86_64/multiarch/strchrnul-evex512.S: New file.
	* sysdeps/x86_64/multiarch/wcschr-evex512.S: New file.

2022-10-25  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 7a6ca82f8007ddbd43e2b8fce806ba7101ee47f5
	linux: Fix generic struct_stat for 64 bit time (BZ# 29657)

	* sysdeps/unix/sysv/linux/arm/bits/struct_stat.h: New file.
	* sysdeps/unix/sysv/linux/bits/struct_stat.h: Modified.
	[! _BITS_STRUCT_STAT_H][__USE_LARGEFILE64](stat64): Modified.
	[! _BITS_STRUCT_STAT_H](stat): Modified.
	[! _BITS_STRUCT_STAT_H][__BYTE_ORDER != __LITTLE_ENDIAN](__field64): New.
	[! _BITS_STRUCT_STAT_H][__BYTE_ORDER == __LITTLE_ENDIAN](__field64): New.
	[! _BITS_STRUCT_STAT_H][__USE_FILE_OFFSET64](__field64): New.
	[! _BITS_STRUCT_STAT_H][__WORDSIZE == 64 ||  __INO_T_MATCHES_INO64_T][__INO_T_MATCHES_INO64_T && ! __OFF_T_MATCHES_OFF64_T](ino_t and off_t must both be the same type"): New.
	[! _BITS_STRUCT_STAT_H][__WORDSIZE == 64 ||  __INO_T_MATCHES_INO64_T](__field64): New.
	[! _BITS_STRUCT_STAT_H](__field64): New.
	* sysdeps/unix/sysv/linux/generic/bits/struct_stat.h: Move to...
	* sysdeps/unix/sysv/linux/csky/bits/struct_stat.h: ... here.
	[! _BITS_STRUCT_STAT_H][__USE_LARGEFILE64](stat64): Modified.
	[! _BITS_STRUCT_STAT_H](stat): Modified.
	* sysdeps/unix/sysv/linux/hppa/bits/struct_stat.h: New file.
	* sysdeps/unix/sysv/linux/nios2/bits/struct_stat.h: New file.
	* sysdeps/unix/sysv/linux/sh/bits/struct_stat.h: New file.

2022-10-25  Jakub Wilk  <jwilk@jwilk.net>

	COMMIT: a35c960dbb1d7c7cf25905514f5f9d5e99cf6160
	manual: Add missing % in int conversion list

	* manual/stdio.texi: Modified.

2022-10-24  Aurelien Jarno  <aurelien@aurel32.net>

	COMMIT: 2b5478569e72ee4820a6e163d306690c9c0eaf5e
	Avoid undefined behaviour in ibm128 implementation of llroundl (BZ #29488)

	* sysdeps/ieee754/ldbl-128ibm/s_llroundl.c: Modified.
	(__llroundl): Modified function.

2022-10-24  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: be930668eccf842d5a1a068a3e01b660d5bcb813
	Remove all assembly optimizations for htonl and htons

	* sysdeps/alpha/htonl.S: Delete file.
	* sysdeps/alpha/htons.S: Delete file.
	* sysdeps/i386/htons.S: Delete file.
	* sysdeps/ia64/htonl.S: Delete file.
	* sysdeps/ia64/htons.S: Delete file.

2022-10-24  Cristian Rodríguez  <crrodriguez@opensuse.org>

	COMMIT: 29ff5b5b7237c8560dafecd27bd809c80ae5338e
	Remove htonl.S for i386/x86_64

	* sysdeps/i386/htonl.S: Delete file.
	* sysdeps/x86_64/htonl.S: Delete file.

2022-10-24  Michael Hudson-Doyle  <michael.hudson@canonical.com>

	COMMIT: b6e37b7805b0182c3e25cdab39ebf5f001c04d05
	Fix BZ #29463 in the ibm128 implementation of y1l too

	* sysdeps/ieee754/ldbl-128ibm/e_j1l.c: Modified.
	(__ieee754_y1l): Modified function.

2022-10-24  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: b87a70e5e26e2656637da5f58ba4d26777d9e37b
	Add ADDRB from Linux 6.0 to bits/termios-c_cflag.h

	* sysdeps/unix/sysv/linux/alpha/bits/termios-c_cflag.h: Modified.
	[__USE_MISC](ADDRB): New.
	* sysdeps/unix/sysv/linux/bits/termios-c_cflag.h: Modified.
	[__USE_MISC](ADDRB): New.
	* sysdeps/unix/sysv/linux/powerpc/bits/termios-c_cflag.h: Modified.
	[__USE_MISC](ADDRB): New.

2022-10-20  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 8775479804cfea2bbe4dcdf19d6589264c96d5fb
	x86: Use `testb` for FSRM check in memmove-vec-unaligned-erms

	* sysdeps/x86_64/multiarch/memmove-vec-unaligned-erms.S: Modified.

2022-10-20  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: f04f8373ddd71794050b904174fb06967be6393f
	x86: Use `testb` for case-locale check in str{n}casecmp-sse42

	* sysdeps/x86_64/multiarch/strcmp-sse4_2.S: Modified.

2022-10-20  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 7775574ce0527c326eaea78370bc9f49cc4743a6
	x86: Use `testb` for case-locale check in str{n}casecmp-sse2

	* sysdeps/x86_64/multiarch/strcmp-sse2.S: Modified.

2022-10-20  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: b6d02d64570e83bedfdb946cb1bdf0c9fd6d3eb0
	x86: Use `testb` for case-locale check in str{n}casecmp-avx2

	* sysdeps/x86_64/multiarch/strcmp-avx2.S: Modified.

2022-10-20  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 5ce9766417782c1b57f239451d0400f1229e83f7
	x86: Add support for VEC_SIZE == 64 in strcmp-evex.S impl

	* sysdeps/x86_64/multiarch/strcmp-evex.S: Modified.

2022-10-20  Noah Goldstein  <goldstein.w.n@gmail.com>
            Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: c25eb94aed942761aabdcd05239b7e76dcdde098
	x86: Remove AVX512-BVMI2 instruction from strrchr-evex.S

	* sysdeps/x86_64/multiarch/strrchr-evex.S: Modified.

2022-10-20  Felix Riemann  <felix.riemann@sma.de>

	COMMIT: a885fc2d6897d3baa438e2594a92f0125f1258a9
	sysdeps: arm: Fix preconfigure script for ARMv8/v9 targets [BZ #29698]

	* sysdeps/arm/preconfigure: Modified.
	* sysdeps/arm/preconfigure.ac: Modified.

2022-10-20  Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>

	COMMIT: 0ff92021c045ee53b91bd42fa3fbbb923a6ffb17
	nis: Fix nis_print_directory

	* nis/nis_print.c: Modified.
	(nis_print_objtype): Modified function.
	(nis_print_directory): Modified function.
	(nis_objtype): New function.

2022-10-20  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 9b5e138f2bbd032da858a4ad5bb51ed99d6f89b6
	linux: Avoid shifting a negative signed on POSIX timer interface

	* nptl/pthread_getcpuclockid.c: Modified.
	(__pthread_getcpuclockid): Modified function.
	* sysdeps/unix/sysv/linux/clock_getcpuclockid.c: Modified.
	(__clock_getcpuclockid): Modified function.
	* sysdeps/unix/sysv/linux/clock_nanosleep.c: Modified.
	(__clock_nanosleep_time64): Modified function.
	* sysdeps/unix/sysv/linux/kernel-posix-cpu-timers.h: Modified.
	(MAKE_PROCESS_CPUCLOCK): Remove.
	(MAKE_THREAD_CPUCLOCK): Remove.
	(make_process_cpuclock): New function.
	(make_thread_cpuclock): New function.
	(PROCESS_CLOCK): New.
	(THREAD_CLOCK): New.
	* sysdeps/unix/sysv/linux/timer_create.c: Modified.
	(___timer_create): Modified function.

2022-10-19  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 643a2d01399188192e0da234581034f77c892054
	Bench: Improve benchtests for memchr, strchr, strnlen, strrchr

	* benchtests/bench-memchr.c: Modified.
	(test_main): Modified function.
	* benchtests/bench-rawmemchr.c: Modified.
	(do_test): Modified function.
	(test_main): Modified function.
	* benchtests/bench-strchr.c: Modified.
	(test_main): Modified function.
	* benchtests/bench-strnlen.c: Modified.
	(test_main): Modified function.
	* benchtests/bench-strrchr.c: Modified.
	(test_main): Modified function.

2022-10-19  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: b412213eee0afa3b51dfe92b736dfc7c981309f5
	x86: Optimize strrchr-evex.S and implement with VMM headers

	* sysdeps/x86_64/multiarch/strrchr-evex.S: Modified.

2022-10-19  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 4af6844aa5d3577e327f15dd877a38a043cb236a
	x86: Optimize memrchr-evex.S

	* sysdeps/x86_64/multiarch/memrchr-evex.S: Modified.

2022-10-19  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: b79f8ff26aa6151d2d2167afcddcd1ec46cfbc81
	x86: Optimize strnlen-evex.S and implement with VMM headers

	* sysdeps/x86_64/multiarch/strlen-evex.S: Modified.
	* sysdeps/x86_64/multiarch/strnlen-evex.S: Modified.
	* sysdeps/x86_64/multiarch/wcsnlen-evex.S: Modified.

2022-10-19  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 69717709ec5c2769322678e96a7672d1e270de3a
	x86: Shrink / minorly optimize strchr-evex and implement with VMM headers

	* sysdeps/x86_64/multiarch/strchr-evex.S: Modified.

2022-10-19  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 330881763efff626d6b1cdf8de9ffee4ed7a1ba1
	x86: Optimize memchr-evex.S and implement with VMM headers

	* sysdeps/x86_64/multiarch/memchr-evex.S: Modified.
	* sysdeps/x86_64/multiarch/rawmemchr-evex-rtm.S: Modified.
	* sysdeps/x86_64/multiarch/rawmemchr-evex.S: Modified.

2022-10-18  Sunil K Pandey  <skpgkp2@gmail.com>

	COMMIT: 451c6e58540e8571e31581c04c4829e5d2cfe8ac
	x86_64: Implement evex512 version of memchr, rawmemchr and wmemchr

	* sysdeps/x86_64/multiarch/Makefile: Modified.
	* sysdeps/x86_64/multiarch/ifunc-impl-list.c: Modified.
	(__libc_ifunc_impl_list): Modified function.
	* sysdeps/x86_64/multiarch/memchr-evex-base.S: New file.
	* sysdeps/x86_64/multiarch/memchr-evex512.S: New file.
	* sysdeps/x86_64/multiarch/rawmemchr-evex512.S: New file.
	* sysdeps/x86_64/multiarch/wmemchr-evex512.S: New file.

2022-10-18  Sunil K Pandey  <skpgkp2@gmail.com>

	COMMIT: 932dd83efdce7dbe7c008a27c4eff424a109b3a0
	String: Improve test coverage for memchr

	* string/test-memchr.c: Modified.
	(test_main): Modified function.

2022-10-18  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 58548b9d689fb9bba67bdc5b59c8d2fa47f4f8ec
	Use PTR_MANGLE and PTR_DEMANGLE unconditionally in C sources

	* hurd/sigunwind.c: Modified.
	(_hurdsig_longjmp_from_handler): Modified function.
	* iconv/gconv.c: Modified.
	(__gconv): Modified function.
	* iconv/gconv_cache.c: Modified.
	[! STATIC_GCONV](find_module): Modified function.
	* iconv/gconv_db.c: Modified.
	[! STATIC_GCONV](increment_counter): Modified function.
	(free_derivation): Modified function.
	(__gconv_release_step): Modified function.
	(gen_steps): Modified function.
	* iconv/gconv_dl.c: Modified.
	(__gconv_find_shlib): Modified function.
	* iconv/gconv_trans.c: Modified.
	(__gconv_transliterate): Modified function.
	* iconv/skeleton.c: Modified.
	(FUNCTION_NAME): Modified function.
	* inet/idna.c: Modified.
	(functions_allocate): Modified function.
	(__idna_to_dns_encoding): Modified function.
	(__idna_from_dns_encoding): Modified function.
	* libio/iofopncook.c: Modified.
	[SHLIB_COMPAT (libc, GLIBC_2_0, GLIBC_2_2)](_IO_old_cookie_seek): Modified function.
	(_IO_cookie_read): Modified function.
	(_IO_cookie_write): Modified function.
	(_IO_cookie_seek): Modified function.
	(_IO_cookie_close): Modified function.
	(set_callbacks): Modified function.
	* libio/iofwide.c: Modified.
	(__libio_codecvt_out): Modified function.
	(__libio_codecvt_in): Modified function.
	(__libio_codecvt_length): Modified function.
	* libio/libioP.h: Modified.
	[SHARED](IO_set_accept_foreign_vtables): Modified function.
	* libio/vtables.c: Modified.
	(_IO_vtable_check): Modified function.
	* misc/unwind-link.c: Modified.
	(__libc_unwind_link_get): Modified function.
	* nss/nss_module.c: Modified.
	[SHARED &&  USE_NSCD](__nss_disable_nscd): Modified function.
	(module_load_builtin): Modified function.
	(module_load_nss_files): Modified function.
	(module_load): Modified function.
	(__nss_module_get_function): Modified function.
	* stdlib/cxa_atexit.c: Modified.
	(__libc_lock_define_initialized): Modified function.
	* stdlib/cxa_finalize.c: Modified.
	(__cxa_finalize): Modified function.
	* stdlib/cxa_thread_atexit_impl.c: Modified.
	(__cxa_thread_atexit_impl): Modified function.
	(__call_tls_dtors): Modified function.
	* stdlib/exit.c: Modified.
	(__run_exit_handlers): Modified function.
	* stdlib/on_exit.c: Modified.
	(__on_exit): Modified function.
	* sysdeps/aarch64/jmpbuf-offsets.h: Modified.
	[! __ASSEMBLER__](_jmpbuf_sp): Modified function.
	* sysdeps/alpha/jmpbuf-unwind.h: Modified.
	(_jmpbuf_sp): Modified function.
	* sysdeps/arc/jmpbuf-unwind.h: Modified.
	(_jmpbuf_sp): Modified function.
	* sysdeps/arm/jmpbuf-unwind.h: Modified.
	(_jmpbuf_sp): Modified function.
	* sysdeps/csky/jmpbuf-unwind.h: Modified.
	(_jmpbuf_sp): Modified function.
	* sysdeps/generic/unwind-link.h: Modified.
	[SHARED][! PTR_DEMANGLE](UNWIND_LINK_PTR): Remove.
	[SHARED][PTR_DEMANGLE](UNWIND_LINK_PTR): Remove.
	[SHARED](libc_hidden_proto): Remove.
	[SHARED](__libc_unwind_link_after_fork): Remove.
	[SHARED](UNWIND_LINK_PTR): New.
	[SHARED](libc_hidden_proto): New function.
	* sysdeps/i386/jmpbuf-unwind.h: Modified.
	(_jmpbuf_sp): Modified function.
	* sysdeps/i386/unwind-arch.h: Modified.
	[! PTR_MANGLE](UNWIND_LINK_EXTRA_INIT): Remove.
	[PTR_MANGLE](UNWIND_LINK_EXTRA_INIT): Remove.
	(UNWIND_LINK_EXTRA_INIT): New.
	* sysdeps/loongarch/jmpbuf-unwind.h: Modified.
	(_jmpbuf_sp): Modified function.
	* sysdeps/m68k/jmpbuf-unwind.h: Modified.
	(_jmpbuf_sp): Modified function.
	* sysdeps/mach/hurd/jmp-unwind.c: Modified.
	(demangle_ptr): Modified function.
	* sysdeps/microblaze/jmpbuf-unwind.h: Modified.
	(_jmpbuf_sp): Modified function.
	* sysdeps/mips/jmpbuf-unwind.h: Modified.
	(_jmpbuf_sp): Modified function.
	* sysdeps/nios2/jmpbuf-offsets.h: Modified.
	[! __ASSEMBLER__](_jmpbuf_sp): Modified function.
	* sysdeps/powerpc/jmpbuf-unwind.h: Modified.
	(_jmpbuf_sp): Modified function.
	* sysdeps/riscv/jmpbuf-unwind.h: Modified.
	(_jmpbuf_sp): Modified function.
	* sysdeps/s390/jmpbuf-unwind.h: Modified.
	(_jmpbuf_sp): Modified function.
	* sysdeps/s390/s390-32/__longjmp.c: Modified.
	[IS_IN (rtld)](PTR_DEMANGLE): New.
	* sysdeps/s390/s390-64/__longjmp.c: Modified.
	[IS_IN (rtld)](PTR_DEMANGLE): New.
	* sysdeps/sh/jmpbuf-unwind.h: Modified.
	(_jmpbuf_sp): Modified function.
	* sysdeps/sparc/sparc32/jmpbuf-unwind.h: Modified.
	(_jmpbuf_sp): Modified function.
	* sysdeps/x86_64/jmpbuf-unwind.h: Modified.
	(_jmpbuf_sp): Modified function.
	* wcsmbs/btowc.c: Modified.
	(__btowc): Modified function.
	* wcsmbs/mbrtoc16.c: Modified.
	(mbrtoc16): Modified function.
	* wcsmbs/mbrtowc.c: Modified.
	(__mbrtowc): Modified function.
	* wcsmbs/mbsnrtowcs.c: Modified.
	(__mbsnrtowcs): Modified function.
	* wcsmbs/mbsrtowcs_l.c: Modified.
	(__mbsrtowcs_l): Modified function.
	* wcsmbs/wcrtomb.c: Modified.
	(__wcrtomb_internal): Modified function.
	* wcsmbs/wcsnrtombs.c: Modified.
	(__wcsnrtombs): Modified function.
	* wcsmbs/wcsrtombs.c: Modified.
	(__wcsrtombs): Modified function.
	* wcsmbs/wctob.c: Modified.
	(wctob): Modified function.

2022-10-18  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 88f4b6929c26f9240a4b0b7dcc62922f02544a09
	Introduce <pointer_guard.h>, extracted from <sysdep.h>

	* Suppressing diff as too many files differ.

2022-10-18  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 246f37d6b1c4c6c0a6365df8783e62e3adf208e8
	x86-64: Move LP_SIZE definition to its own header

	* sysdeps/x86_64/sysdep.h: Modified.
	[! __ASSEMBLER__](LP_SIZE): Remove.
	[__ASSEMBLER__](LP_SIZE): Remove.
	(x86-lp_size.h): Include file.
	* sysdeps/x86_64/x32/sysdep.h: Modified.
	[! __ASSEMBLER__](LP_SIZE): Remove.
	[__ASSEMBLER__](LP_SIZE): Remove.
	(LP_SIZE): Remove.
	(x86-lp_size.h): Include file.
	* sysdeps/x86_64/x32/x86-lp_size.h: New file.
	* sysdeps/x86_64/x86-lp_size.h: New file.

2022-10-17  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 7363a9a9a097c455a7ddb9386b4c6f7bdf91065f
	math: Fix asin and acos invalid exception with old gcc

	* sysdeps/ieee754/dbl-64/e_asin.c: Modified.
	(__ieee754_asin): Modified function.
	(__ieee754_acos): Modified function.

2022-10-14  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: be066536bd313f1eec6e36fb92a96d39bf76f483
	x86: Update strlen-evex-base to use new reg/vec macros.

	* sysdeps/x86_64/multiarch/strlen-evex-base.S: Modified.
	* sysdeps/x86_64/multiarch/strlen-evex512.S: Modified.

2022-10-14  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 47f5d5146179696cfefff2c95e10ec613d6d1494
	x86: Remove now unused vec header macros.

	* sysdeps/x86_64/multiarch/avx-rtm-vecs.h: Delete file.
	* sysdeps/x86_64/multiarch/avx-vecs.h: Delete file.
	* sysdeps/x86_64/multiarch/evex-vecs-common.h: Delete file.
	* sysdeps/x86_64/multiarch/evex256-vecs.h: Delete file.
	* sysdeps/x86_64/multiarch/evex512-vecs.h: Delete file.
	* sysdeps/x86_64/multiarch/sse2-vecs.h: Delete file.
	* sysdeps/x86_64/multiarch/vec-macros.h: Delete file.

2022-10-14  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: a6784653f77e77c1f91dedcb524dcb3851d49fc9
	x86: Update memset to use new VEC macros

	* sysdeps/x86_64/multiarch/memset-avx2-unaligned-erms-rtm.S: Modified.
	* sysdeps/x86_64/multiarch/memset-avx2-unaligned-erms.S: Modified.
	* sysdeps/x86_64/multiarch/memset-avx512-unaligned-erms.S: Modified.
	* sysdeps/x86_64/multiarch/memset-evex-unaligned-erms.S: Modified.
	* sysdeps/x86_64/multiarch/memset-sse2-unaligned-erms.S: Modified.
	* sysdeps/x86_64/multiarch/memset-vec-unaligned-erms.S: Modified.

2022-10-14  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 4fb7d8a9385a08871d4dcf92f41b51da7ade732e
	x86: Update memmove to use new VEC macros

	* sysdeps/x86_64/multiarch/memmove-avx-unaligned-erms-rtm.S: Modified.
	* sysdeps/x86_64/multiarch/memmove-avx-unaligned-erms.S: Modified.
	* sysdeps/x86_64/multiarch/memmove-avx512-unaligned-erms.S: Modified.
	* sysdeps/x86_64/multiarch/memmove-evex-unaligned-erms.S: Modified.
	* sysdeps/x86_64/multiarch/memmove-sse2-unaligned-erms.S: Modified.
	* sysdeps/x86_64/multiarch/memmove-vec-unaligned-erms.S: Modified.

2022-10-14  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 3088a66ff8801c28ca5d268f0ae6a0983d9cfb5e
	x86: Update memrchr to use new VEC macros

	* sysdeps/x86_64/multiarch/memrchr-evex.S: Modified.

2022-10-14  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 52ab7604db35e0421bc3d2468a3af52b2c513a7b
	x86: Update VEC macros to complete API for evex/evex512 impls

	* sysdeps/x86_64/multiarch/reg-macros.h: New file.
	* sysdeps/x86_64/multiarch/scripts/gen-reg-macros.py: New file.
	* sysdeps/x86_64/multiarch/x86-avx-rtm-vecs.h: New file.
	* sysdeps/x86_64/multiarch/x86-avx-vecs.h: New file.
	* sysdeps/x86_64/multiarch/x86-evex-vecs-common.h: New file.
	* sysdeps/x86_64/multiarch/x86-evex256-vecs.h: New file.
	* sysdeps/x86_64/multiarch/x86-evex512-vecs.h: New file.
	* sysdeps/x86_64/multiarch/x86-sse2-vecs.h: New file.
	* sysdeps/x86_64/multiarch/x86-vec-macros.h: New file.

2022-10-14  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 2c42257314536b94cc8d52edede86e94e98c1436
	elf: Do not completely clear reused namespace in dlmopen (bug 29600)

	* elf/dl-open.c: Modified.
	(_dl_open): Modified function.
	* elf/tst-dlmopen-twice.c: Modified.
	(do_test): Modified function.
	(stdio.h): Include file.
	(recurse): New function.

2022-10-13  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 15a94e6668a6d7c5697e805d8d67f1d102d0d52e
	malloc: Switch global_max_fast to uint8_t

	* malloc/malloc.c: Modified.
	(global_max_fast): Modified.

2022-10-12  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: ba0ca36132d72d88f577062520b479b4b97df114
	Add NT_S390_PV_CPU_DATA from Linux 6.0 to elf.h

	* elf/elf.h: Modified.
	(NT_S390_PV_CPU_DATA): New.

2022-10-12  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 3bd18aa4d1d4c3d34d7033de3f3920cddab90008
	Add AArch64 HWCAP2_EBF16 from Linux 6.0 to bits/hwcap.h

	* sysdeps/unix/sysv/linux/aarch64/bits/hwcap.h: Modified.
	(HWCAP2_EBF16): New.

2022-10-10  Sunil K Pandey  <skpgkp2@gmail.com>

	COMMIT: 264db94040c463d9bc356101595d89335586875e
	String: Improve test coverage for memchr

	* string/test-memchr.c: Modified.
	(test_main): Modified function.

2022-10-10  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 5355f9ca7b10183ce06e8a18003ba30f43774858
	elf: Remove -fno-tree-loop-distribute-patterns usage on dl-support

	* elf/Makefile: Modified.
	* elf/dl-support.c: Modified.
	(dl-symbol-redir-ifunc.h): Include file.
	* sysdeps/aarch64/multiarch/dl-symbol-redir-ifunc.h: New file.
	* sysdeps/generic/dl-symbol-redir-ifunc.h: New file.
	* sysdeps/i386/i686/multiarch/dl-symbol-redir-ifunc.h: New file.
	* sysdeps/powerpc/powerpc64/le/multiarch/dl-symbol-redir-ifunc.h: New file.
	* sysdeps/s390/multiarch/dl-symbol-redir-ifunc.h: New file.
	* sysdeps/sparc/sparc32/sparcv9/multiarch/dl-symbol-redir-ifunc.h: New file.
	* sysdeps/sparc/sparc64/multiarch/dl-symbol-redir-ifunc.h: New file.
	* sysdeps/x86_64/multiarch/dl-symbol-redir-ifunc.h: New file.

2022-10-10  Andreas Schwab  <schwab@suse.de>

	COMMIT: c15318bfc5499d835c434a4d98b688aa2d928412
	socket: Use offsetof in SUN_LEN (bug 29578)

	* socket/sys/un.h: Modified.
	[__USE_MISC](SUN_LEN): Modified.
	[__USE_MISC](stddef.h): Include file.

2022-10-10  Andreas Schwab  <schwab@suse.de>

	COMMIT: 954b8f38958de72c4712088735eb175118f17b51
	Expose all MAP_ constants in <sys/mman.h> unconditionally (bug 29375)

	* bits/mman.h: Modified.
	[__USE_MISC](MAP_FILE): Remove.
	[__USE_MISC](MAP_ANON): Remove.
	[__USE_MISC](MAP_TYPE): Remove.
	[__USE_MISC](MAP_ANONYMOUS): Remove.
	[__USE_MISC](MAP_COPY): Remove.
	[__USE_MISC](MAP_NOEXTEND): Remove.
	[__USE_MISC](MAP_HASSEMPHORE): Remove.
	[__USE_MISC](MAP_INHERIT): Remove.
	(MAP_FILE): New.
	(MAP_ANON): New.
	(MAP_TYPE): New.
	(MAP_ANONYMOUS): New.
	(MAP_COPY): New.
	(MAP_NOEXTEND): New.
	(MAP_HASSEMPHORE): New.
	(MAP_INHERIT): New.
	* sysdeps/unix/sysv/linux/alpha/bits/mman.h: Modified.
	[__USE_MISC](MAP_GROWSDOWN): Remove.
	[__USE_MISC](MAP_DENYWRITE): Remove.
	[__USE_MISC](MAP_EXECUTABLE): Remove.
	[__USE_MISC](MAP_LOCKED): Remove.
	[__USE_MISC](MAP_NORESERVE): Remove.
	[__USE_MISC](MAP_POPULATE): Remove.
	[__USE_MISC](MAP_NONBLOCK): Remove.
	[__USE_MISC](MAP_STACK): Remove.
	[__USE_MISC](MAP_HUGETLB): Remove.
	[__USE_MISC](MAP_FIXED_NOREPLACE): Remove.
	(MAP_GROWSDOWN): New.
	(MAP_DENYWRITE): New.
	(MAP_EXECUTABLE): New.
	(MAP_LOCKED): New.
	(MAP_NORESERVE): New.
	(MAP_POPULATE): New.
	(MAP_NONBLOCK): New.
	(MAP_STACK): New.
	(MAP_HUGETLB): New.
	(MAP_FIXED_NOREPLACE): New.
	* sysdeps/unix/sysv/linux/bits/mman-linux.h: Modified.
	[__USE_MISC][! __MAP_ANONYMOUS](MAP_ANONYMOUS): Remove.
	[__USE_MISC][__MAP_ANONYMOUS](MAP_ANONYMOUS): Remove.
	[__USE_MISC](MAP_SHARED_VALIDATE): Remove.
	[__USE_MISC](MAP_TYPE): Remove.
	[__USE_MISC](MAP_FILE): Remove.
	[__USE_MISC](MAP_ANON): Remove.
	[__USE_MISC](MAP_HUGE_SHIFT): Remove.
	[__USE_MISC](MAP_HUGE_MASK): Remove.
	[! __MAP_ANONYMOUS](MAP_ANONYMOUS): New.
	[__MAP_ANONYMOUS](MAP_ANONYMOUS): New.
	(MAP_SHARED_VALIDATE): New.
	(MAP_TYPE): New.
	(MAP_FILE): New.
	(MAP_ANON): New.
	(MAP_HUGE_SHIFT): New.
	(MAP_HUGE_MASK): New.
	* sysdeps/unix/sysv/linux/bits/mman-map-flags-generic.h: Modified.
	[__USE_MISC](MAP_GROWSDOWN): Remove.
	[__USE_MISC](MAP_DENYWRITE): Remove.
	[__USE_MISC](MAP_EXECUTABLE): Remove.
	[__USE_MISC](MAP_LOCKED): Remove.
	[__USE_MISC](MAP_NORESERVE): Remove.
	[__USE_MISC](MAP_POPULATE): Remove.
	[__USE_MISC](MAP_NONBLOCK): Remove.
	[__USE_MISC](MAP_STACK): Remove.
	[__USE_MISC](MAP_HUGETLB): Remove.
	[__USE_MISC](MAP_SYNC): Remove.
	[__USE_MISC](MAP_FIXED_NOREPLACE): Remove.
	(MAP_GROWSDOWN): New.
	(MAP_DENYWRITE): New.
	(MAP_EXECUTABLE): New.
	(MAP_LOCKED): New.
	(MAP_NORESERVE): New.
	(MAP_POPULATE): New.
	(MAP_NONBLOCK): New.
	(MAP_STACK): New.
	(MAP_HUGETLB): New.
	(MAP_SYNC): New.
	(MAP_FIXED_NOREPLACE): New.
	* sysdeps/unix/sysv/linux/hppa/bits/mman.h: Modified.
	[__USE_MISC](MAP_VARIABLE): Remove.
	[__USE_MISC](MAP_DENYWRITE): Remove.
	[__USE_MISC](MAP_EXECUTABLE): Remove.
	[__USE_MISC](MAP_LOCKED): Remove.
	[__USE_MISC](MAP_NORESERVE): Remove.
	[__USE_MISC](MAP_GROWSDOWN): Remove.
	[__USE_MISC](MAP_POPULATE): Remove.
	[__USE_MISC](MAP_NONBLOCK): Remove.
	[__USE_MISC](MAP_STACK): Remove.
	[__USE_MISC](MAP_HUGETLB): Remove.
	[__USE_MISC](MAP_FIXED_NOREPLACE): Remove.
	[__USE_MISC](MAP_TYPE): Remove.
	(MAP_VARIABLE): New.
	(MAP_DENYWRITE): New.
	(MAP_EXECUTABLE): New.
	(MAP_LOCKED): New.
	(MAP_NORESERVE): New.
	(MAP_GROWSDOWN): New.
	(MAP_POPULATE): New.
	(MAP_NONBLOCK): New.
	(MAP_STACK): New.
	(MAP_HUGETLB): New.
	(MAP_FIXED_NOREPLACE): New.
	(MAP_TYPE): New.
	* sysdeps/unix/sysv/linux/ia64/bits/mman.h: Modified.
	[__USE_MISC](MAP_GROWSUP): Remove.
	(MAP_GROWSUP): New.
	* sysdeps/unix/sysv/linux/mips/bits/mman.h: Modified.
	[__USE_MISC](MAP_NORESERVE): Remove.
	[__USE_MISC](MAP_GROWSDOWN): Remove.
	[__USE_MISC](MAP_DENYWRITE): Remove.
	[__USE_MISC](MAP_EXECUTABLE): Remove.
	[__USE_MISC](MAP_LOCKED): Remove.
	[__USE_MISC](MAP_POPULATE): Remove.
	[__USE_MISC](MAP_NONBLOCK): Remove.
	[__USE_MISC](MAP_STACK): Remove.
	[__USE_MISC](MAP_HUGETLB): Remove.
	[__USE_MISC](MAP_FIXED_NOREPLACE): Remove.
	[__USE_MISC](MAP_RENAME): Remove.
	(MAP_NORESERVE): New.
	(MAP_GROWSDOWN): New.
	(MAP_DENYWRITE): New.
	(MAP_EXECUTABLE): New.
	(MAP_LOCKED): New.
	(MAP_POPULATE): New.
	(MAP_NONBLOCK): New.
	(MAP_STACK): New.
	(MAP_HUGETLB): New.
	(MAP_FIXED_NOREPLACE): New.
	(MAP_RENAME): New.
	* sysdeps/unix/sysv/linux/powerpc/bits/mman.h: Modified.
	[__USE_MISC](MAP_GROWSDOWN): Remove.
	[__USE_MISC](MAP_DENYWRITE): Remove.
	[__USE_MISC](MAP_EXECUTABLE): Remove.
	[__USE_MISC](MAP_LOCKED): Remove.
	[__USE_MISC](MAP_NORESERVE): Remove.
	[__USE_MISC](MAP_POPULATE): Remove.
	[__USE_MISC](MAP_NONBLOCK): Remove.
	[__USE_MISC](MAP_STACK): Remove.
	[__USE_MISC](MAP_HUGETLB): Remove.
	[__USE_MISC](MAP_SYNC): Remove.
	[__USE_MISC](MAP_FIXED_NOREPLACE): Remove.
	(MAP_GROWSDOWN): New.
	(MAP_DENYWRITE): New.
	(MAP_EXECUTABLE): New.
	(MAP_LOCKED): New.
	(MAP_NORESERVE): New.
	(MAP_POPULATE): New.
	(MAP_NONBLOCK): New.
	(MAP_STACK): New.
	(MAP_HUGETLB): New.
	(MAP_SYNC): New.
	(MAP_FIXED_NOREPLACE): New.
	* sysdeps/unix/sysv/linux/sparc/bits/mman.h: Modified.
	[__USE_MISC](MAP_GROWSDOWN): Remove.
	[__USE_MISC](MAP_DENYWRITE): Remove.
	[__USE_MISC](MAP_EXECUTABLE): Remove.
	[__USE_MISC](MAP_LOCKED): Remove.
	[__USE_MISC](MAP_NORESERVE): Remove.
	[__USE_MISC](_MAP_NEW): Remove.
	[__USE_MISC](MAP_POPULATE): Remove.
	[__USE_MISC](MAP_NONBLOCK): Remove.
	[__USE_MISC](MAP_STACK): Remove.
	[__USE_MISC](MAP_HUGETLB): Remove.
	[__USE_MISC](MAP_SYNC): Remove.
	[__USE_MISC](MAP_FIXED_NOREPLACE): Remove.
	[__USE_MISC](MAP_RENAME): Remove.
	(MAP_GROWSDOWN): New.
	(MAP_DENYWRITE): New.
	(MAP_EXECUTABLE): New.
	(MAP_LOCKED): New.
	(MAP_NORESERVE): New.
	(_MAP_NEW): New.
	(MAP_POPULATE): New.
	(MAP_NONBLOCK): New.
	(MAP_STACK): New.
	(MAP_HUGETLB): New.
	(MAP_SYNC): New.
	(MAP_FIXED_NOREPLACE): New.
	(MAP_RENAME): New.
	* sysdeps/unix/sysv/linux/x86/bits/mman.h: Modified.
	[__USE_MISC](MAP_32BIT): Remove.
	(MAP_32BIT): New.

2022-10-08  Xi Ruoyao  <xry111@xry111.site>

	COMMIT: 589eda82bb2ff210c33003beef239eedea1f9cac
	LoongArch: Fix the condition to use PC-relative addressing in start.S

	* sysdeps/loongarch/configure: Modified.
	* sysdeps/loongarch/configure.ac: Modified.
	* sysdeps/loongarch/start.S: Modified.

2022-10-07  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: f9646d138f568ced95b29c20efdf902063c7ea96
	arm: Enable USE_ATOMIC_COMPILER_BUILTINS (BZ #24774)

	* sysdeps/arm/atomic-machine.h: Modified.
	(USE_ATOMIC_COMPILER_BUILTINS): Modified.

2022-10-06  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: e82aab227bdf3faa0f28a69dbf50b5562659d1cf
	csu: Disable stack protector for static-reloc for static-pie

	* csu/Makefile: Modified.

2022-10-06  Andreas Schwab  <schwab@suse.de>

	COMMIT: 90d58fe8442fb2f79cab88c07af91c9eae59419a
	NEWS: Fix grammar

	* NEWS: Modified.

2022-10-06  Javier Pello  <devel@otheo.eu>

	COMMIT: e76369ed6371734f77f468eab097ef4e5b5db1c5
	elf: Simplify output of hwcap subdirectories in ld.so help

	* elf/dl-usage.c: Modified.
	(print_hwcap_1): Remove function.
	(print_hwcap_1_finish): Remove function.
	(print_hwcaps_subdirectories): Modified function.

2022-10-06  Javier Pello  <devel@otheo.eu>

	COMMIT: ab40f20364f4a417a63dd51fdd943742070bfe96
	elf: Remove _dl_string_hwcap

	* sysdeps/alpha/dl-procinfo.h: Modified.
	(_dl_string_hwcap): Remove.
	* sysdeps/csky/dl-procinfo.h: Modified.
	(_dl_string_hwcap): Remove.
	* sysdeps/generic/dl-procinfo.h: Modified.
	(_dl_string_hwcap): Remove.
	* sysdeps/mips/dl-procinfo.h: Modified.
	(_dl_string_hwcap): Remove.
	* sysdeps/powerpc/dl-procinfo.h: Modified.
	(_dl_string_hwcap): Remove function.
	* sysdeps/s390/dl-procinfo.h: Modified.
	(_dl_string_hwcap): Remove function.
	* sysdeps/sparc/dl-procinfo.h: Modified.
	(_dl_string_hwcap): Remove function.
	* sysdeps/unix/sysv/linux/aarch64/dl-procinfo.h: Modified.
	(_dl_string_hwcap): Remove function.
	* sysdeps/unix/sysv/linux/arm/dl-procinfo.h: Modified.
	(_dl_string_hwcap): Remove function.
	* sysdeps/x86/dl-hwcap.h: Modified.
	(_dl_string_hwcap): Remove function.

2022-10-06  Javier Pello  <devel@otheo.eu>

	COMMIT: 78d9a1620b840deb0880686e4159eaf70708866a
	Add NEWS entry for legacy hwcaps removal

	* NEWS: Modified.

2022-10-06  Javier Pello  <devel@otheo.eu>

	COMMIT: cfbf883db36727a84ef7929af49ef68c195b5972
	elf: Remove hwcap and bits_hwcap fields from struct cache_entry

	* elf/cache.c: Modified.
	(cache_entry): Modified.
	(compare): Modified function.
	(save_cache): Modified function.
	(add_to_cache): Modified function.

2022-10-06  Javier Pello  <devel@otheo.eu>

	COMMIT: 4a7094119ce05cadf927f52cc5d723e2195e65f9
	elf: Remove hwcap parameter from add_to_cache signature

	* elf/cache.c: Modified.
	(add_to_cache): Modified function.
	* elf/ldconfig.c: Modified.
	(search_dir): Modified function.
	* sysdeps/generic/ldconfig.h: Modified.
	(add_to_cache): Modified.

2022-10-06  Javier Pello  <devel@otheo.eu>

	COMMIT: b78ff5a25dc8ba9d8c6df10bb0a533254bdd193f
	elf: Remove legacy hwcaps support from ldconfig

	* elf/ldconfig.c: Modified.
	(TLS_SUBPATH): Remove.
	(TLS_HWCAP_BIT): Remove.
	(hwcap_mask): Remove.
	(is_hwcap_platform): Remove function.
	(path_hwcap): Remove function.
	(search_dir): Modified function.
	(set_hwcap): Remove function.
	(main): Modified function.

2022-10-06  Javier Pello  <devel@otheo.eu>

	COMMIT: 6099908fb84debee4c3bcb05d88769410c2aecd1
	elf: Remove legacy hwcaps support from the dynamic loader

	* elf/Makefile: Modified.
	* elf/dl-hwcaps.c: Modified.
	(_dl_important_hwcaps): Modified function.
	* elf/dl-usage.c: Modified.
	(print_legacy_hwcap_directories): Remove function.
	(_dl_help): Modified function.

2022-10-06  Javier Pello  <devel@otheo.eu>

	COMMIT: d178c67535f0d159df73843e7c18cbdb39b4d25d
	x86_64: Remove platform directory library loading test

	* sysdeps/x86_64/Makefile: Modified.
	* sysdeps/x86_64/tst-x86_64-1.c: Delete file.
	* sysdeps/x86_64/tst-x86_64mod-1.c: Delete file.

2022-10-06  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: 7fe6734d28feb18acb3c50b13a5f5a52f66d39cf
	Update to Unicode 15.0.0 [BZ #29604]

	* localedata/charmaps/UTF-8: Modified.
	* localedata/locales/i18n_ctype: Modified.
	* localedata/locales/tr_TR: Modified.
	* localedata/locales/translit_circle: Modified.
	* localedata/locales/translit_cjk_compat: Modified.
	* localedata/locales/translit_combining: Modified.
	* localedata/locales/translit_compat: Modified.
	* localedata/locales/translit_font: Modified.
	* localedata/locales/translit_fraction: Modified.
	* localedata/unicode-gen/DerivedCoreProperties.txt: Modified.
	* localedata/unicode-gen/EastAsianWidth.txt: Modified.
	* localedata/unicode-gen/Makefile: Modified.
	* localedata/unicode-gen/PropList.txt: Modified.
	* localedata/unicode-gen/UnicodeData.txt: Modified.

2022-10-05  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 27d67e974ea4f506641d3ef5248e29bef387ddf8
	Update kernel version to 6.0 in header constant tests

	* sysdeps/unix/sysv/linux/tst-mman-consts.py: Modified.
	* sysdeps/unix/sysv/linux/tst-mount-consts.py: Modified.
	* sysdeps/unix/sysv/linux/tst-pidfd-consts.py: Modified.

2022-10-05  Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>

	COMMIT: 9dc4e29f630c6ef8299120b275e503321dc0c8c7
	x86: Fix -Os build (BZ #29576)

	* sysdeps/x86_64/multiarch/rtld-strcpy.S: New file.

2022-10-05  Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>

	COMMIT: 6128e82ebe973163d2dd614d31753c88c0c4d645
	sunrpc: Suppress GCC -Os warning on user2netname

	* sunrpc/netname.c: Modified.
	(user2netname): Modified function.
	(libc-diag.h): Include file.

2022-10-05  Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>

	COMMIT: cbf24edbb3123e3154ad2366912e0c1270ad3546
	rt: Initialize mq_send input on tst-mqueue{5,6}

	* rt/tst-mqueue5.c: Modified.
	[_POSIX_THREADS &&  SIGRTMIN &&  SA_SIGINFO](int): Modified function.
	* rt/tst-mqueue6.c: Modified.
	[_POSIX_THREADS](int): Modified function.

2022-10-05  Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>

	COMMIT: 442e3a21724b07b3ae1c3c5eeba4a8e44a1a50a3
	posix: Suppress -Os may be used uninitialized warnings on regexec

	* posix/regexec.c: Modified.
	[RE_ENABLE_I18N](check_node_accept_bytes): Modified function.

2022-10-05  Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>

	COMMIT: 9ec1c8cd243e9d7d63e188620a7e70a3b69777e6
	posix: Suppress -Os warnings on fnmatch

	* posix/fnmatch_loop.c: Modified.
	(FCT): Modified function.

2022-10-05  Martin Jansa  <Martin.Jansa@gmail.com>

	COMMIT: c651f9da530320e9939e6cbad57b87695eeba41c
	locale: prevent maybe-uninitialized errors with -Os [BZ #19444]

	* locale/weight.h: Modified.
	(findidx): Modified function.

2022-10-05  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: a878a1384c8f7ae2383c4413feab88ba2fee7f17
	Regenerate sysdeps/mach/hurd/bits/errno.h

	* sysdeps/mach/hurd/bits/errno.h: Modified.

2022-10-05  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 919b9bfaa969c9517fe86c753c001b96ee4ea840
	Update syscall lists for Linux 6.0

	* sysdeps/unix/sysv/linux/syscall-names.list: Modified.

2022-10-04  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 6e33e5c4b73cea7b8aa3de0947123db16200fb65
	nscd: Drop local address tuple variable [BZ #29607]

	* nscd/aicache.c: Modified.
	(addhstaiX): Modified function.

2022-10-04  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 1f3f0060a1c9bd050a5e391352d3a95a25054861
	Use Linux 6.0 in build-many-glibcs.py

	* scripts/build-many-glibcs.py: Modified.

2022-10-03  Aurelien Jarno  <aurelien@aurel32.net>

	COMMIT: 7e8283170c5d6805b609a040801d819e362a6292
	x86-64: Require BMI1/BMI2 for AVX2 strrchr and wcsrchr implementations

	* sysdeps/x86/isa-level.h: Modified.
	(BMI1_X86_ISA_LEVEL): New.
	* sysdeps/x86_64/multiarch/ifunc-avx2.h: Modified.
	(IFUNC_SELECTOR): Modified function.
	* sysdeps/x86_64/multiarch/ifunc-impl-list.c: Modified.
	(__libc_ifunc_impl_list): Modified function.

2022-10-03  Aurelien Jarno  <aurelien@aurel32.net>

	COMMIT: 3c0c78afabfed4b6fc161c159e628fbf14ff370b
	x86-64: Require BMI2 and LZCNT for AVX2 memrchr implementation

	* sysdeps/x86/isa-level.h: Modified.
	(LZCNT_X86_ISA_LEVEL): New.
	* sysdeps/x86_64/multiarch/ifunc-avx2.h: Modified.
	(IFUNC_SELECTOR): Modified function.
	* sysdeps/x86_64/multiarch/ifunc-impl-list.c: Modified.
	(__libc_ifunc_impl_list): Modified function.

2022-10-03  Aurelien Jarno  <aurelien@aurel32.net>

	COMMIT: e3e7fab7fe5186d18ca2046d99ba321c27db30ad
	x86-64: Require BMI2 for AVX2 (raw|w)memchr implementations

	* sysdeps/x86_64/multiarch/ifunc-impl-list.c: Modified.
	(__libc_ifunc_impl_list): Modified function.

2022-10-03  Aurelien Jarno  <aurelien@aurel32.net>

	COMMIT: f31a5a884ed84bd37032729d4d1eb9d06c9f3c29
	x86-64: Require BMI2 for AVX2 wcs(n)cmp implementations

	* sysdeps/x86_64/multiarch/ifunc-impl-list.c: Modified.
	(__libc_ifunc_impl_list): Modified function.

2022-10-03  Aurelien Jarno  <aurelien@aurel32.net>

	COMMIT: fc7de1d9b99ae1676bc626ddca422d7abee0eb48
	x86-64: Require BMI2 for AVX2 strncmp implementation

	* sysdeps/x86_64/multiarch/ifunc-impl-list.c: Modified.
	(__libc_ifunc_impl_list): Modified function.
	* sysdeps/x86_64/multiarch/strncmp.c: Modified.
	(IFUNC_SELECTOR): Modified function.

2022-10-03  Aurelien Jarno  <aurelien@aurel32.net>

	COMMIT: 4d64c6445735e9b34e2ac8e369312cbfc2f88e17
	x86-64: Require BMI2 for AVX2 strcmp implementation

	* sysdeps/x86_64/multiarch/ifunc-impl-list.c: Modified.
	(__libc_ifunc_impl_list): Modified function.
	* sysdeps/x86_64/multiarch/strcmp.c: Modified.
	(IFUNC_SELECTOR): Modified function.

2022-10-03  Aurelien Jarno  <aurelien@aurel32.net>

	COMMIT: 10f79d3670b036925da63dc532b122d27ce65ff8
	x86-64: Require BMI2 for AVX2 str(n)casecmp implementations

	* sysdeps/x86_64/multiarch/ifunc-impl-list.c: Modified.
	(__libc_ifunc_impl_list): Modified function.
	* sysdeps/x86_64/multiarch/ifunc-strcasecmp.h: Modified.
	(IFUNC_SELECTOR): Modified function.

2022-10-03  Aurelien Jarno  <aurelien@aurel32.net>

	COMMIT: b80f16adbd979831bf25ea491e1261e81885c2b6
	x86: include BMI1 and BMI2 in x86-64-v3 level

	* sysdeps/x86/get-isa-level.h: Modified.
	(get_isa_level): Modified function.

2022-10-03  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 653c12c7d880340462bd963752619a7a61bcb4e3
	x86: Cleanup pthread_spin_{try}lock.S

	* sysdeps/x86_64/nptl/pthread_spin_lock.S: Modified.
	* sysdeps/x86_64/nptl/pthread_spin_trylock.S: Modified.

2022-10-03  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 10c779f44ab3e9525f2d2a3c9a0aa9dedea5f1ec
	Benchtests: Add bench for pthread_spin_{try}lock and mutex_trylock

	* benchtests/Makefile: Modified.
	* benchtests/bench-pthread-mutex-locks.c: Move to...
	* benchtests/bench-pthread-lock-base.c: ... here.
	(TEST_NAME): Remove.
	(lock): Modified.
	(attr): Modified.
	(worker): Modified function.
	(do_one_test): Modified function.
	(do_bench): Modified function.
	* benchtests/bench-pthread-mutex-lock.c: New file.
	* benchtests/bench-pthread-mutex-trylock.c: New file.
	* benchtests/bench-pthread-spin-lock.c: New file.
	* benchtests/bench-pthread-spin-trylock.c: New file.

2022-10-03  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 114e299ca66353fa7be1ee45bb4e1307d3de1fa2
	x86: Remove .tfloat usage

	* sysdeps/i386/fpu/e_atanh.S: Modified.
	* sysdeps/i386/fpu/e_atanhf.S: Modified.
	* sysdeps/i386/fpu/e_atanhl.S: Modified.
	* sysdeps/i386/fpu/s_asinhl.S: Modified.
	* sysdeps/i386/fpu/s_cbrtl.S: Modified.
	* sysdeps/i386/fpu/s_expm1.S: Modified.
	* sysdeps/i386/fpu/s_expm1f.S: Modified.
	* sysdeps/i386/fpu/s_log1pl.S: Modified.
	* sysdeps/x86_64/fpu/s_log1pl.S: Modified.

2022-10-03  Yu Chien Peter Lin  <peterlin@andestech.com>

	COMMIT: 365b3af67ecaf176b2e2678afe903bebce598fd7
	nptl: Convert tst-setuid2 to test-driver

	* nptl/tst-setuid2.c: Modified.
	(thread_func): Modified function.
	(run_on_thread): Modified function.
	(TEST_FUNCTION): Remove.
	(../test-skeleton.c): Remove include.
	(support/xthread.h): Include file.
	(support/test-driver.c): Include file.

2022-10-03  Yu Chien Peter Lin  <peterlin@andestech.com>

	COMMIT: 3bea50ccbc925d4fc5f85ec402b6154cbe770b71
	support: Add xpthread_cond_signal wrapper

	* support/Makefile: Modified.
	* support/xpthread_cond_signal.c: New file.
	* support/xthread.h: Modified.
	(xpthread_cond_signal): New function.

2022-10-01  John David Anglin  <danglin@gcc.gnu.org>

	COMMIT: b7bd94068e55d5fa8681e2ab4802d31852ea404e
	hppa: Fix initialization of dp register [BZ 29635]

	* sysdeps/hppa/dl-machine.h: Modified.
	[! dl_machine_h](RTLD_START): Modified.

2022-09-30  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: ba70f6959876b6daba180afbe427710e4383e357
	Fix iseqsig for _FloatN and _FloatNx in C++ with GCC 13

	* math/math.h: Modified.
	* math/test-math-iseqsig.cc: Modified.

2022-09-30  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 609c9d0951da387cd523b5db42a82d38dabc37c4
	malloc: Do not clobber errno on __getrandom_nocancel (BZ #29624)

	* stdlib/arc4random.c: Modified.
	(__arc4random_buf): Modified function.
	* sysdeps/mach/hurd/not-cancel.h: Modified.
	(__getrandom_nocancel): Remove.
	(sys/random.h): Include file.
	(__getrandom_nocancel): New function.
	* sysdeps/unix/sysv/linux/not-cancel.h: Modified.
	(__getrandom_nocancel): Modified function.

2022-09-30  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 13db9ee2cb3b77e25f852be7d6952882e1be6f00
	stdlib: Fix __getrandom_nocancel type and arc4random usage (BZ #29638)

	* stdlib/arc4random.c: Modified.
	(__arc4random_buf): Modified function.
	* sysdeps/unix/sysv/linux/not-cancel.h: Modified.
	(__getrandom_nocancel): Modified function.

2022-09-30  Xi Ruoyao  <xry111@xry111.site>

	COMMIT: 8b10727a9af3e2aa4b27dff0116bb8d3c9afce3d
	LoongArch: Add static PIE support

	* sysdeps/loongarch/configure: Modified.
	* sysdeps/loongarch/configure.ac: Modified.
	* sysdeps/loongarch/start.S: Modified.

2022-09-28  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 5eb21c62cea9e5879e7637ac6713ba2cb5993ca5
	Benchtest: Add additional benchmarks for strlen and strnlen

	* benchtests/bench-strlen.c: Modified.
	(test_main): Modified function.
	* benchtests/bench-strnlen.c: Modified.
	(do_one_test): Modified function.
	(test_main): Modified function.

2022-09-28  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: b0969fa53a28b4ab2159806bf6c99a98999502ee
	x86: Fix wcsnlen-avx2 page cross length comparison [BZ #29591]

	* string/test-strnlen.c: Modified.
	(do_test): Modified function.
	(do_overflow_tests): Modified function.
	* sysdeps/x86_64/multiarch/strlen-avx2.S: Modified.

2022-09-28  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 3e5760fcb48528d48deeb60cb885a97bb731160c
	Update _FloatN header support for C++ in GCC 13

	* bits/floatn-common.h: Modified.
	[! __ASSEMBLER__][__HAVE_FLOAT128X][!(!__GNUC_PREREQ (7, 0) ||  __cplusplus)](__f128x): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT128X][!(!__GNUC_PREREQ (7, 0) ||  __cplusplus)](__CFLOAT128X): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT128X][!__GNUC_PREREQ (7, 0) ||  __cplusplus](_Float128X supported but no constant suffix"): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT128X][!__GNUC_PREREQ (7, 0) ||  __cplusplus](_Float128X supported but no complex type"): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT128X][!__GNUC_PREREQ (7, 0) ||  __cplusplus](_Float128x supported but no type"): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT128X][!(!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0)))](__f128x): New.
	[! __ASSEMBLER__][__HAVE_FLOAT128X][!(!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0)))](__CFLOAT128X): New.
	[! __ASSEMBLER__][__HAVE_FLOAT128X][!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0))](_Float128X supported but no constant suffix"): New.
	[! __ASSEMBLER__][__HAVE_FLOAT128X][!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0))](_Float128X supported but no complex type"): New.
	[! __ASSEMBLER__][__HAVE_FLOAT128X][!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0))](_Float128x supported but no type"): New.
	[! __ASSEMBLER__][__HAVE_FLOAT16][!(!__GNUC_PREREQ (7, 0) ||  __cplusplus)](__f16): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT16][!(!__GNUC_PREREQ (7, 0) ||  __cplusplus)](__CFLOAT16): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT16][!__GNUC_PREREQ (7, 0) ||  __cplusplus](__f16): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT16][!__GNUC_PREREQ (7, 0) ||  __cplusplus](__mode__): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT16][!__GNUC_PREREQ (7, 0) ||  __cplusplus](__CFLOAT16): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT16][!__GNUC_PREREQ (7, 0) ||  __cplusplus](__mode__): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT16][!(!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0)))](__f16): New.
	[! __ASSEMBLER__][__HAVE_FLOAT16][!(!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0)))](__CFLOAT16): New.
	[! __ASSEMBLER__][__HAVE_FLOAT16][!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0))](__f16): New.
	[! __ASSEMBLER__][__HAVE_FLOAT16][!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0))](__mode__): New.
	[! __ASSEMBLER__][__HAVE_FLOAT16][!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0))](__CFLOAT16): New.
	[! __ASSEMBLER__][__HAVE_FLOAT16][!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0))](__mode__): New.
	[! __ASSEMBLER__][__HAVE_FLOAT32][!(!__GNUC_PREREQ (7, 0) ||  __cplusplus)](__f32): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT32][!(!__GNUC_PREREQ (7, 0) ||  __cplusplus)](__CFLOAT32): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT32][!__GNUC_PREREQ (7, 0) ||  __cplusplus](__f32): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT32][!__GNUC_PREREQ (7, 0) ||  __cplusplus](__CFLOAT32): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT32][!__GNUC_PREREQ (7, 0) ||  __cplusplus](_Float32): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT32][!(!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0)))](__f32): New.
	[! __ASSEMBLER__][__HAVE_FLOAT32][!(!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0)))](__CFLOAT32): New.
	[! __ASSEMBLER__][__HAVE_FLOAT32][!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0))](__f32): New.
	[! __ASSEMBLER__][__HAVE_FLOAT32][!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0))](__CFLOAT32): New.
	[! __ASSEMBLER__][__HAVE_FLOAT32][!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0))](_Float32): New.
	[! __ASSEMBLER__][__HAVE_FLOAT32X][!(!__GNUC_PREREQ (7, 0) ||  __cplusplus)](__f32x): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT32X][!(!__GNUC_PREREQ (7, 0) ||  __cplusplus)](__CFLOAT32X): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT32X][!__GNUC_PREREQ (7, 0) ||  __cplusplus](__f32x): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT32X][!__GNUC_PREREQ (7, 0) ||  __cplusplus](__CFLOAT32X): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT32X][!__GNUC_PREREQ (7, 0) ||  __cplusplus](_Float32x): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT32X][!(!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0)))](__f32x): New.
	[! __ASSEMBLER__][__HAVE_FLOAT32X][!(!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0)))](__CFLOAT32X): New.
	[! __ASSEMBLER__][__HAVE_FLOAT32X][!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0))](__f32x): New.
	[! __ASSEMBLER__][__HAVE_FLOAT32X][!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0))](__CFLOAT32X): New.
	[! __ASSEMBLER__][__HAVE_FLOAT32X][!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0))](_Float32x): New.
	[! __ASSEMBLER__][__HAVE_FLOAT64][! __NO_LONG_DOUBLE_MATH][!__GNUC_PREREQ (7, 0) ||  __cplusplus](_Float64): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT64][! __NO_LONG_DOUBLE_MATH][!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0))](_Float64): New.
	[! __ASSEMBLER__][__HAVE_FLOAT64][!(!__GNUC_PREREQ (7, 0) ||  __cplusplus)](__f64): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT64][!(!__GNUC_PREREQ (7, 0) ||  __cplusplus)](__CFLOAT64): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT64][!__GNUC_PREREQ (7, 0) ||  __cplusplus][! __NO_LONG_DOUBLE_MATH](__f64): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT64][!__GNUC_PREREQ (7, 0) ||  __cplusplus][! __NO_LONG_DOUBLE_MATH](__CFLOAT64): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT64][!__GNUC_PREREQ (7, 0) ||  __cplusplus][__NO_LONG_DOUBLE_MATH](__f64): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT64][!__GNUC_PREREQ (7, 0) ||  __cplusplus][__NO_LONG_DOUBLE_MATH](__CFLOAT64): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT64][__NO_LONG_DOUBLE_MATH][!__GNUC_PREREQ (7, 0) ||  __cplusplus](_Float64): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT64][__NO_LONG_DOUBLE_MATH][!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0))](_Float64): New.
	[! __ASSEMBLER__][__HAVE_FLOAT64][!(!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0)))](__f64): New.
	[! __ASSEMBLER__][__HAVE_FLOAT64][!(!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0)))](__CFLOAT64): New.
	[! __ASSEMBLER__][__HAVE_FLOAT64][!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0))][! __NO_LONG_DOUBLE_MATH](__f64): New.
	[! __ASSEMBLER__][__HAVE_FLOAT64][!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0))][! __NO_LONG_DOUBLE_MATH](__CFLOAT64): New.
	[! __ASSEMBLER__][__HAVE_FLOAT64][!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0))][__NO_LONG_DOUBLE_MATH](__f64): New.
	[! __ASSEMBLER__][__HAVE_FLOAT64][!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0))][__NO_LONG_DOUBLE_MATH](__CFLOAT64): New.
	[! __ASSEMBLER__][__HAVE_FLOAT64X][! __HAVE_FLOAT64X_LONG_DOUBLE][!__GNUC_PREREQ (7, 0) ||  __cplusplus](_Float64x): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT64X][! __HAVE_FLOAT64X_LONG_DOUBLE][!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0))](_Float64x): New.
	[! __ASSEMBLER__][__HAVE_FLOAT64X][!(!__GNUC_PREREQ (7, 0) ||  __cplusplus)](__f64x): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT64X][!(!__GNUC_PREREQ (7, 0) ||  __cplusplus)](__CFLOAT64X): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT64X][!__GNUC_PREREQ (7, 0) ||  __cplusplus][! __HAVE_FLOAT64X_LONG_DOUBLE](__f64x): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT64X][!__GNUC_PREREQ (7, 0) ||  __cplusplus][! __HAVE_FLOAT64X_LONG_DOUBLE](__CFLOAT64X): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT64X][!__GNUC_PREREQ (7, 0) ||  __cplusplus][__HAVE_FLOAT64X_LONG_DOUBLE](__f64x): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT64X][!__GNUC_PREREQ (7, 0) ||  __cplusplus][__HAVE_FLOAT64X_LONG_DOUBLE](__CFLOAT64X): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT64X][__HAVE_FLOAT64X_LONG_DOUBLE][!__GNUC_PREREQ (7, 0) ||  __cplusplus](_Float64x): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT64X][__HAVE_FLOAT64X_LONG_DOUBLE][!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0))](_Float64x): New.
	[! __ASSEMBLER__][__HAVE_FLOAT64X][!(!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0)))](__f64x): New.
	[! __ASSEMBLER__][__HAVE_FLOAT64X][!(!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0)))](__CFLOAT64X): New.
	[! __ASSEMBLER__][__HAVE_FLOAT64X][!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0))][! __HAVE_FLOAT64X_LONG_DOUBLE](__f64x): New.
	[! __ASSEMBLER__][__HAVE_FLOAT64X][!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0))][! __HAVE_FLOAT64X_LONG_DOUBLE](__CFLOAT64X): New.
	[! __ASSEMBLER__][__HAVE_FLOAT64X][!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0))][__HAVE_FLOAT64X_LONG_DOUBLE](__f64x): New.
	[! __ASSEMBLER__][__HAVE_FLOAT64X][!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0))][__HAVE_FLOAT64X_LONG_DOUBLE](__CFLOAT64X): New.
	* sysdeps/ia64/bits/floatn.h: Modified.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!(!__GNUC_PREREQ (7, 0) ||  __cplusplus)](__f128): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!(!__GNUC_PREREQ (7, 0) ||  __cplusplus)](__CFLOAT128): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!__GNUC_PREREQ (7, 0) ||  __cplusplus](__f128): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!__GNUC_PREREQ (7, 0) ||  __cplusplus](__mode__): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!__GNUC_PREREQ (7, 0) ||  __cplusplus](__CFLOAT128): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!__GNUC_PREREQ (7, 0) ||  __cplusplus](_Float128): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!(!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0)))](__f128): New.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!(!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0)))](__CFLOAT128): New.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0))](__f128): New.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0))](__mode__): New.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0))](__CFLOAT128): New.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0))](_Float128): New.
	* sysdeps/ieee754/ldbl-128/bits/floatn.h: Modified.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!(!__GNUC_PREREQ (7, 0) ||  __cplusplus)](__f128): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!(!__GNUC_PREREQ (7, 0) ||  __cplusplus)](__CFLOAT128): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!__GNUC_PREREQ (7, 0) ||  __cplusplus](__f128): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!__GNUC_PREREQ (7, 0) ||  __cplusplus](__CFLOAT128): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!__GNUC_PREREQ (7, 0) ||  __cplusplus](_Float128): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!(!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0)))](__f128): New.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!(!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0)))](__CFLOAT128): New.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0))](__f128): New.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0))](__CFLOAT128): New.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0))](_Float128): New.
	* sysdeps/mips/ieee754/bits/floatn.h: Modified.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!(!__GNUC_PREREQ (7, 0) ||  __cplusplus)](__f128): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!(!__GNUC_PREREQ (7, 0) ||  __cplusplus)](__CFLOAT128): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!__GNUC_PREREQ (7, 0) ||  __cplusplus](__f128): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!__GNUC_PREREQ (7, 0) ||  __cplusplus](__CFLOAT128): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!__GNUC_PREREQ (7, 0) ||  __cplusplus](_Float128): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!(!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0)))](__f128): New.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!(!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0)))](__CFLOAT128): New.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0))](__f128): New.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0))](__CFLOAT128): New.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0))](_Float128): New.
	* sysdeps/powerpc/bits/floatn.h: Modified.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!(!__GNUC_PREREQ (7, 0) ||  __cplusplus)](__f128): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!(!__GNUC_PREREQ (7, 0) ||  __cplusplus)](__CFLOAT128): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!__GNUC_PREREQ (7, 0) ||  __cplusplus][__LDBL_MANT_DIG__ != 113](__f128): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!__GNUC_PREREQ (7, 0) ||  __cplusplus][__LDBL_MANT_DIG__ == 113](__f128): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!__GNUC_PREREQ (7, 0) ||  __cplusplus](_Float128): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!__GNUC_PREREQ (7, 0) ||  __cplusplus](__mode__): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!__GNUC_PREREQ (7, 0) ||  __cplusplus](__CFLOAT128): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT128][__LDBL_MANT_DIG__ == 113 &&  __cplusplus](_Float128): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT128][__LDBL_MANT_DIG__ == 113 &&  __cplusplus](__CFLOAT128): Remove.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!(!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0)))](__f128): New.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!(!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0)))](__CFLOAT128): New.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0))][__LDBL_MANT_DIG__ != 113](__f128): New.
	[! __ASSEMBLER__][__HAVE_FLOAT128][!__GNUC_PREREQ (7, 0) || ( __cplusplus && !__GNUC_PREREQ (13, 0))][__LDBL_MANT_DIG__ == 113](__f128): New.
